Index: sys/arch/i386/bios/vesabios.c
===================================================================
RCS file: /cvsroot/src/sys/arch/i386/bios/vesabios.c,v
retrieving revision 1.26
diff -u -r1.26 vesabios.c
--- sys/arch/i386/bios/vesabios.c	9 Jul 2008 20:40:16 -0000	1.26
+++ sys/arch/i386/bios/vesabios.c	31 Aug 2008 02:33:07 -0000
@@ -52,7 +52,7 @@
 	uint16_t OemSoftwareRev;
 	uint32_t OemVendorNamePtr, OemProductNamePtr, OemProductRevPtr;
 	/* data area, in total max 512 bytes for VBE 2.0 */
-} __attribute__ ((packed));
+} __packed;
 
 #define FAR2FLATPTR(p) ((p & 0xffff) + ((p >> 12) & 0xffff0))
 
Index: sys/arch/i386/bios/vesabiosreg.h
===================================================================
RCS file: /cvsroot/src/sys/arch/i386/bios/vesabiosreg.h,v
retrieving revision 1.6
diff -u -r1.6 vesabiosreg.h
--- sys/arch/i386/bios/vesabiosreg.h	24 Mar 2007 00:07:17 -0000	1.6
+++ sys/arch/i386/bios/vesabiosreg.h	31 Aug 2008 02:33:07 -0000
@@ -42,13 +42,13 @@
 	uint8_t LinRsvdMaskSize, LinRsvdFieldPosition;
 	uint32_t MaxPixelClock;
 	uint8_t Reserved4[189];
-} __attribute__ ((packed));
+} __packed;
 
 struct paletteentry {
 	uint8_t Blue;
 	uint8_t Green;
 	uint8_t Red;
 	uint8_t Alignment;
-} __attribute__ ((packed));
+} __packed;
 
 #endif /* !_ARCH_I386_BIOS_VESABIOSREG_H */
Index: sys/arch/i386/mca/mca_machdep.c
===================================================================
RCS file: /cvsroot/src/sys/arch/i386/mca/mca_machdep.c,v
retrieving revision 1.35
diff -u -r1.35 mca_machdep.c
--- sys/arch/i386/mca/mca_machdep.c	28 Apr 2008 20:23:24 -0000	1.35
+++ sys/arch/i386/mca/mca_machdep.c	31 Aug 2008 02:33:08 -0000
@@ -78,7 +78,7 @@
 #define FEATURE_DMA3	0x80	/* DMA channel 3 used by hard disk BIOS	*/
 	uint8_t		feature2;
 	uint8_t		pad[9];
-} __attribute__ ((packed));
+} __packed;
 
 /*
  * Used to encode DMA channel into ISA DMA cookie. We use upper 4 bits of
Index: sys/arch/x86/x86/patch.c
===================================================================
RCS file: /cvsroot/src/sys/arch/x86/x86/patch.c,v
retrieving revision 1.13
diff -u -r1.13 patch.c
--- sys/arch/x86/x86/patch.c	30 Apr 2008 00:05:20 -0000	1.13
+++ sys/arch/x86/x86/patch.c	31 Aug 2008 02:33:18 -0000
@@ -83,7 +83,7 @@
 #define	X86_DS		0x3e
 #define	X86_GROUP_0F	0x0f
 
-static void __attribute__ ((__unused__))
+static void __unused
 patchfunc(void *from_s, void *from_e, void *to_s, void *to_e,
 	  void *pcrel)
 {
@@ -108,7 +108,7 @@
 	}
 }
 
-static inline void  __attribute__ ((__unused__))
+static inline void __unused
 patchbytes(void *addr, const int byte1, const int byte2)
 {
 
Index: sys/dev/kloader.h
===================================================================
RCS file: /cvsroot/src/sys/dev/kloader.h,v
retrieving revision 1.6
diff -u -r1.6 kloader.h
--- sys/dev/kloader.h	28 Apr 2008 20:23:46 -0000	1.6
+++ sys/dev/kloader.h	31 Aug 2008 02:33:27 -0000
@@ -70,7 +70,7 @@
 	uint32_t src;
 	uint32_t dst;
 	uint32_t sz;
-} __attribute__((__packed__, __aligned__(4)));
+} __packed __aligned(4);
 
 #define KLOADER_KERNELARGS_MAX		256
 
@@ -87,7 +87,7 @@
 
 	/* argv buffer */
 	char _argbuf[KLOADER_KERNELARGS_MAX];
-} __attribute__((__packed__, __aligned__(4)));
+} __packed __aligned(4);
 
 /*
  * kloader_reboot_setup sets machine dependent kloader_ops to
Index: sys/dev/dec/dz.c
===================================================================
RCS file: /cvsroot/src/sys/dev/dec/dz.c,v
retrieving revision 1.37
diff -u -r1.37 dz.c
--- sys/dev/dec/dz.c	27 May 2008 14:13:41 -0000	1.37
+++ sys/dev/dec/dz.c	31 Aug 2008 02:33:28 -0000
@@ -93,7 +93,7 @@
 
 #ifdef __mips__
 #define	DZ_DELAY(x)	DELAY(x)
-#define control		__attribute ((noinline))
+#define control		__noinline
 #else	/* presumably vax */
 #define	DZ_DELAY(x)	/* nothing */
 #define	control		inline
Index: sys/dev/i2o/dpti.c
===================================================================
RCS file: /cvsroot/src/sys/dev/i2o/dpti.c,v
retrieving revision 1.39
diff -u -r1.39 dpti.c
--- sys/dev/i2o/dpti.c	8 Jun 2008 12:43:52 -0000	1.39
+++ sys/dev/i2o/dpti.c	31 Aug 2008 02:33:28 -0000
@@ -175,7 +175,7 @@
 		struct	i2o_param_op_results pr;
 		struct	i2o_param_read_results prr;
 		struct	i2o_dpt_param_exec_iop_buffers dib;
-	} __attribute__ ((__packed__)) param;
+	} __packed param;
 	int rv;
 
 	sc = device_private(self);
Index: sys/dev/i2o/i2o.h
===================================================================
RCS file: /cvsroot/src/sys/dev/i2o/i2o.h,v
retrieving revision 1.14
diff -u -r1.14 i2o.h
--- sys/dev/i2o/i2o.h	28 Apr 2008 20:23:48 -0000	1.14
+++ sys/dev/i2o/i2o.h	31 Aug 2008 02:33:30 -0000
@@ -176,7 +176,7 @@
 
 	/* Message payload */
 
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_MSGFLAGS_STATICMF		0x0100
 #define	I2O_MSGFLAGS_64BIT		0x0200
@@ -200,7 +200,7 @@
 
 	/* Reply payload */
 
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * Fault notification reply, returned when a message frame can not be
@@ -231,7 +231,7 @@
 	u_int8_t	busnumber;
 	u_int8_t	bustype;
 	u_int8_t	businfo[8];
-} __attribute__ ((__packed__));
+} __packed;
 
 struct i2o_hrt {
 	u_int16_t	numentries;
@@ -239,7 +239,7 @@
 	u_int8_t	hrtversion;
 	u_int32_t	changeindicator;
 	struct i2o_hrt_entry	entry[1];
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * Logical configuration table entry.  Bitfields are broken down as follows:
@@ -263,7 +263,7 @@
 	u_int32_t	usertid;
 	u_int8_t	identitytag[8];
 	u_int32_t	eventcaps;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * Logical configuration table header.
@@ -274,7 +274,7 @@
 	u_int32_t	iopflags;
 	u_int32_t	changeindicator;
 	struct i2o_lct_entry	entry[1];
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * IOP system table.  Bitfields are broken down as follows:
@@ -299,7 +299,7 @@
 	u_int32_t	iopcaps;
 	u_int32_t	inboundmsgportaddresslow;
 	u_int32_t	inboundmsgportaddresshigh;
-} __attribute__ ((__packed__));
+} __packed;
 
 struct i2o_systab {
 	u_int8_t	numentries;
@@ -308,7 +308,7 @@
 	u_int32_t	changeindicator;
 	u_int32_t	reserved1[2];
 	struct	i2o_systab_entry entry[1];
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * IOP status record.  Bitfields are broken down as follows:
@@ -345,7 +345,7 @@
 	u_int32_t	currentpriviobase;
 	u_int8_t	reserved2[3];
 	u_int8_t	syncbyte;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_IOP_STATE_INITIALIZING		0x01
 #define	I2O_IOP_STATE_RESET			0x02
@@ -367,7 +367,7 @@
 	u_int32_t	addrlow;
 	u_int32_t	addrhigh;
 	u_int32_t	length;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_EXEC_OUTBOUND_INIT		0xa1
 struct i2o_exec_outbound_init {
@@ -377,7 +377,7 @@
 	u_int32_t	msgtctx;
 	u_int32_t	pagesize;
 	u_int32_t	flags;		/* init code, outbound msg size */
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_EXEC_OUTBOUND_INIT_IN_PROGRESS	1
 #define	I2O_EXEC_OUTBOUND_INIT_REJECTED		2
@@ -392,7 +392,7 @@
 	u_int32_t	msgtctx;
 	u_int32_t	classid;
 	u_int32_t	changeindicator;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_EXEC_SYS_TAB_SET		0xa3
 struct i2o_exec_sys_tab_set {
@@ -402,7 +402,7 @@
 	u_int32_t	msgtctx;
 	u_int32_t	iopid;
 	u_int32_t	segnumber;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_EXEC_HRT_GET		0xa8
 struct i2o_exec_hrt_get {
@@ -410,7 +410,7 @@
 	u_int32_t	msgfunc;
 	u_int32_t	msgictx;
 	u_int32_t	msgtctx;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_EXEC_IOP_RESET		0xbd
 struct i2o_exec_iop_reset {
@@ -419,7 +419,7 @@
 	u_int32_t	reserved[4];
 	u_int32_t	statuslow;
 	u_int32_t	statushigh;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_RESET_IN_PROGRESS		0x01
 #define	I2O_RESET_REJECTED		0x02
@@ -441,7 +441,7 @@
 	u_int32_t	msgfunc;
 	u_int32_t	msgictx;
 	u_int32_t	msgtctx;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * ================= HBA class parameter groups =================
@@ -453,7 +453,7 @@
 	u_int8_t	busstate;
 	u_int16_t	reserved;
 	u_int8_t	busname[12];
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_HBA_BUS_GENERIC		0x00
 #define	I2O_HBA_BUS_SCSI		0x01
@@ -469,7 +469,7 @@
 	u_int8_t	reserved1;
 	u_int16_t	reserved2;
 	u_int32_t	maxnumberofdevices;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_PARAM_HBA_SCSI_PORT_GENERIC	0x01
 #define	I2O_PARAM_HBA_SCSI_PORT_UNKNOWN	0x02
@@ -512,7 +512,7 @@
 	u_int8_t	maxoffset;
 	u_int8_t	maxdatawidth;
 	u_int64_t	maxsyncrate;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * ================= Utility messages =================
@@ -526,7 +526,7 @@
 	u_int32_t	msgtctx;
 	u_int32_t	flags;		/* abort type and function type */
 	u_int32_t	tctxabort;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_UTIL_ABORT_EXACT		0x00000000
 #define	I2O_UTIL_ABORT_FUNCTION		0x00010000
@@ -541,7 +541,7 @@
 	u_int32_t	msgictx;
 	u_int32_t	msgtctx;
 	u_int32_t	count;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_UTIL_PARAMS_SET		0x05
 #define	I2O_UTIL_PARAMS_GET		0x06
@@ -551,7 +551,7 @@
 	u_int32_t	msgictx;
 	u_int32_t	msgtctx;
 	u_int32_t	flags;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_PARAMS_OP_FIELD_GET		1
 #define	I2O_PARAMS_OP_LIST_GET		2
@@ -567,25 +567,25 @@
 struct i2o_param_op_list_header {
 	u_int16_t	count;
 	u_int16_t	reserved;
-} __attribute__ ((__packed__));
+} __packed;
 
 struct i2o_param_op_all_template {
 	u_int16_t	operation;
 	u_int16_t	group;
 	u_int16_t	fieldcount;
 	u_int16_t	fields[1];
-} __attribute__ ((__packed__));
+} __packed;
 
 struct i2o_param_op_results {
 	u_int16_t	count;
 	u_int16_t	reserved;
-} __attribute__ ((__packed__));
+} __packed;
 
 struct i2o_param_read_results {
 	u_int16_t	blocksize;
 	u_int8_t	blockstatus;
 	u_int8_t	errorinfosize;
-} __attribute__ ((__packed__));
+} __packed;
 
 struct i2o_param_table_results {
 	u_int16_t	blocksize;
@@ -593,7 +593,7 @@
 	u_int8_t	errorinfosize;
 	u_int16_t	rowcount;
 	u_int16_t	moreflag;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_UTIL_CLAIM			0x09
 struct i2o_util_claim {
@@ -602,7 +602,7 @@
 	u_int32_t	msgictx;
 	u_int32_t	msgtctx;
 	u_int32_t	flags;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_UTIL_CLAIM_RESET_SENSITIVE		0x00000002
 #define	I2O_UTIL_CLAIM_STATE_SENSITIVE		0x00000004
@@ -622,7 +622,7 @@
 	u_int32_t	msgictx;
 	u_int32_t	msgtctx;
 	u_int32_t	flags;		/* User flags as per I2O_UTIL_CLAIM */
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_UTIL_CLAIM_RELEASE_CONDITIONAL	0x00000001
 
@@ -633,7 +633,7 @@
 	u_int32_t	msgictx;
 	u_int32_t	msgtctx;
 	u_int32_t	pageno;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_UTIL_EVENT_REGISTER		0x13
 struct i2o_util_event_register {
@@ -642,7 +642,7 @@
 	u_int32_t	msgictx;
 	u_int32_t	msgtctx;
 	u_int32_t	eventmask;
-} __attribute__ ((__packed__));
+} __packed;
 
 struct i2o_util_event_register_reply {
 	u_int32_t	msgflags;
@@ -651,7 +651,7 @@
 	u_int32_t	msgtctx;
 	u_int32_t	event;
 	u_int32_t	eventdata[1];
-} __attribute__ ((__packed__));
+} __packed;
 
 /* Generic events. */
 #define	I2O_EVENT_GEN_DEVICE_STATE		0x00400000
@@ -698,7 +698,7 @@
 	u_int8_t	revlevel[8];
 	u_int8_t	snformat;
 	u_int8_t	serialnumber[1];
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_PARAM_DDM_IDENTITY		0xf101
 struct i2o_param_ddm_identity {
@@ -707,7 +707,7 @@
 	u_int8_t	revlevel[8];
 	u_int8_t	snformat;
 	u_int8_t	serialnumber[12];
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * ================= Block storage class messages =================
@@ -723,7 +723,7 @@
 	u_int32_t	datasize;
 	u_int32_t	lowoffset;
 	u_int32_t	highoffset;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_RBS_BLOCK_READ_NO_RETRY	0x01
 #define	I2O_RBS_BLOCK_READ_SOLO		0x02
@@ -741,7 +741,7 @@
 	u_int32_t	datasize;
 	u_int32_t	lowoffset;
 	u_int32_t	highoffset;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_RBS_BLOCK_WRITE_NO_RETRY	0x01
 #define	I2O_RBS_BLOCK_WRITE_SOLO	0x02
@@ -756,7 +756,7 @@
 	u_int32_t	msgictx;
 	u_int32_t	msgtctx;
 	u_int32_t	flags;		/* flags, time multipler */
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_RBS_MEDIA_MOUNT		0x41
 struct i2o_rbs_media_mount {
@@ -766,7 +766,7 @@
 	u_int32_t	msgtctx;
 	u_int32_t	mediaid;
 	u_int32_t	loadflags;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_RBS_MEDIA_EJECT             0x43
 struct i2o_rbs_media_eject {
@@ -775,7 +775,7 @@
 	u_int32_t	msgictx;
 	u_int32_t	msgtctx;
 	u_int32_t	mediaid;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_RBS_MEDIA_LOCK		0x49
 struct i2o_rbs_media_lock {
@@ -784,7 +784,7 @@
 	u_int32_t	msgictx;
 	u_int32_t	msgtctx;
 	u_int32_t	mediaid;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_RBS_MEDIA_UNLOCK		0x4b
 struct i2o_rbs_media_unlock {
@@ -793,7 +793,7 @@
 	u_int32_t	msgictx;
 	u_int32_t	msgtctx;
 	u_int32_t	mediaid;
-} __attribute__ ((__packed__));
+} __packed;
 
 /* Standard RBS reply frame. */
 struct i2o_rbs_reply {
@@ -806,7 +806,7 @@
 	u_int8_t	reqstatus;
 	u_int32_t	transfercount;
 	u_int64_t	offset;		/* Error replies only */
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * ================= Block storage class parameter groups =================
@@ -821,7 +821,7 @@
 	u_int64_t	capacity;
 	u_int32_t	capabilities;
 	u_int32_t	state;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_RBS_TYPE_DIRECT		0x00
 #define	I2O_RBS_TYPE_WORM		0x04
@@ -865,7 +865,7 @@
 	u_int32_t	timeoutbase;
 	u_int32_t	orderedreqdepth;
 	u_int32_t	atomicwritesize;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_PARAM_RBS_OPERATION_autoreass		0
 #define	I2O_PARAM_RBS_OPERATION_reasstolerance		1
@@ -888,7 +888,7 @@
 	u_int8_t	readpolicy;
 	u_int8_t	errorcorrection;
 	u_int8_t	reserved;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * ================= SCSI peripheral class messages =================
@@ -900,7 +900,7 @@
 	u_int32_t	msgfunc;
 	u_int32_t	msgictx;
 	u_int32_t	msgtctx;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_SCSI_SCB_EXEC		0x81
 struct i2o_scsi_scb_exec {
@@ -911,7 +911,7 @@
 	u_int32_t	flags;		/* CDB length and flags */
 	u_int8_t	cdb[16];
 	u_int32_t	datalen;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_SCB_FLAG_SENSE_DATA_IN_MESSAGE  0x00200000
 #define	I2O_SCB_FLAG_SENSE_DATA_IN_BUFFER   0x00600000
@@ -930,7 +930,7 @@
 	u_int32_t	msgictx;
 	u_int32_t	msgtctx;
 	u_int32_t	tctxabort;
-} __attribute__ ((__packed__));
+} __packed;
 
 struct i2o_scsi_reply {
 	u_int32_t	msgflags;
@@ -944,7 +944,7 @@
 	u_int32_t	datalen;
 	u_int32_t	senselen;
 	u_int8_t	sense[40];
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_SCSI_DSC_SUCCESS                0x00
 #define	I2O_SCSI_DSC_REQUEST_ABORTED        0x02
@@ -1001,7 +1001,7 @@
 	u_int8_t	negdatawidth;
 	u_int8_t	reserved2;
 	u_int64_t	negsyncrate;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * ================= LAN class messages =================
@@ -1015,7 +1015,7 @@
 	u_int32_t	tcw;
 
 	/* SGL follows */
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_LAN_TCW_ACCESS_PRI_MASK	0x00000007
 #define	I2O_LAN_TCW_SUPPRESS_CRC	0x00000008
@@ -1035,7 +1035,7 @@
 	u_int32_t	tcw;		/* As per PACKET_SEND. */
 
 	/* SGL follows */
-} __attribute__ ((__packed__));
+} __packed;
 
 struct i2o_lan_send_reply {
 	u_int32_t	msgflags;
@@ -1046,7 +1046,7 @@
 	u_int8_t	reserved;
 	u_int8_t	reqstatus;
 	u_int32_t	tctx[1];
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_LAN_RECEIVE_POST		0x3e
 struct i2o_lan_receive_post {
@@ -1056,7 +1056,7 @@
 	u_int32_t	bktcnt;
 
 	/* SGL follows */
-} __attribute__ ((__packed__));
+} __packed;
 
 struct i2o_lan_receive_reply {
 	u_int32_t	msgflags;
@@ -1067,7 +1067,7 @@
 	u_int8_t	reserved;
 	u_int8_t	trlflags;
 	u_int32_t	bucketsleft;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_LAN_RECEIVE_REPLY_PDB	0x80
 
@@ -1089,7 +1089,7 @@
 	u_int32_t	msgictx;
 	u_int16_t	reserved;
 	u_int16_t	resrcflags;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_LAN_RESRC_RETURN_BUCKETS	0x0001
 #define	I2O_LAN_RESRC_RETURN_XMITS	0x0002
@@ -1101,7 +1101,7 @@
 	u_int32_t	msgictx;
 	u_int16_t	reserved;
 	u_int16_t	resrcflags;	/* As per RESET. */
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_LAN_DSC_SUCCESS			0x00
 #define	I2O_LAN_DSC_DEVICE_FAILURE		0x01
@@ -1138,7 +1138,7 @@
 	u_int8_t	hwaddr[8];
 	u_int64_t	maxtxbps;
 	u_int64_t	maxrxbps;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_LAN_TYPE_ETHERNET		0x0030
 #define	I2O_LAN_TYPE_100BASEVG		0x0040
@@ -1156,7 +1156,7 @@
 	u_int32_t	maxmcastaddr;
 	u_int32_t	maxfilterperfect;
 	u_int32_t	maxfilterimperfect;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_PARAM_LAN_MAC_ADDRESS_activeaddr		0
 #define	I2O_PARAM_LAN_MAC_ADDRESS_localaddr		1
@@ -1192,7 +1192,7 @@
 	u_int32_t	maxrxbatchdelay;
 	u_int32_t	maxtxbatchdelay;	/* 2.0 (conflict with 1.5) */
 	u_int32_t	maxtxbatchcount;	/* 2.0 only */
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_PARAM_LAN_BATCH_CONTROL_batchflags		0
 #define	I2O_PARAM_LAN_BATCH_CONTROL_risingloaddly	1
@@ -1211,7 +1211,7 @@
 	u_int32_t	pktorphanlimit;
 	u_int32_t	txmodesenable;		/* 2.0 only */
 	u_int32_t	rxmodesenable;		/* 2.0 only */
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_PARAM_LAN_OPERATION_pktprepad		0
 #define	I2O_PARAM_LAN_OPERATION_userflags		1
@@ -1231,7 +1231,7 @@
 	u_int8_t	duplextarget;		/* v2.0 only */
 	u_int32_t	connectortarget;	/* v2.0 only */
 	u_int32_t	connectiontarget;	/* v2.0 only */
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_PARAM_LAN_MEDIA_OPERATION_connectortype	0
 #define	I2O_PARAM_LAN_MEDIA_OPERATION_connectiontype	1
@@ -1305,7 +1305,7 @@
 	u_int32_t	maxpktsout;
 	u_int32_t	maxpktsreq;
 	u_int32_t	txmodes;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_LAN_MODES_NO_DA_IN_SGL		0x0002
 #define	I2O_LAN_MODES_CRC_SUPPRESSION		0x0004
@@ -1323,7 +1323,7 @@
 struct i2o_param_lan_receive_info {
 	u_int32_t	maxchain;
 	u_int32_t	maxbuckets;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_PARAM_LAN_STATS		0x0009
 struct i2o_param_lan_stats {
@@ -1334,7 +1334,7 @@
 	u_int64_t	ierrors;
 	u_int64_t	rxnobuffer;
 	u_int64_t	resetcount;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_PARAM_LAN_802_3_STATS	0x0200
 struct i2o_param_lan_802_3_stats {
@@ -1346,7 +1346,7 @@
 	u_int64_t	maxcollisions;
 	u_int64_t	carrierlost;
 	u_int64_t	excessivedeferrals;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_PARAM_LAN_FDDI_STATS	0x0400
 struct i2o_param_lan_fddi_stats {
@@ -1360,6 +1360,6 @@
 	u_int64_t	lemrejects;
 	u_int64_t	lemcount;
 	u_int64_t	lconnectionstate;
-} __attribute__ ((__packed__));
+} __packed;
 
 #endif	/* !defined _I2O_I2O_H_ */
Index: sys/dev/i2o/i2odpt.h
===================================================================
RCS file: /cvsroot/src/sys/dev/i2o/i2odpt.h,v
retrieving revision 1.4
diff -u -r1.4 i2odpt.h
--- sys/dev/i2o/i2odpt.h	28 Apr 2008 20:23:48 -0000	1.4
+++ sys/dev/i2o/i2odpt.h	31 Aug 2008 02:33:30 -0000
@@ -70,7 +70,7 @@
 	u_int32_t	scbflags;
 	u_int8_t	cdb[16];
 	u_int32_t	bytecount;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_DPT_FLASH_REGION_SIZE	0x0100
 #define	I2O_DPT_FLASH_REGION_READ	0x0101
@@ -85,7 +85,7 @@
 	u_int32_t	region;
 	u_int32_t	regionoffset;
 	u_int32_t	bytecount;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	DPT_FLASH_REGION_OP_FIRMWARE	0x00
 #define	DPT_FLASH_REGION_SOFTWARE	0x01
@@ -102,7 +102,7 @@
 	u_int32_t	privfunc;
 	u_int32_t	printbuffersize;
 	u_int8_t	printbuffer[1];
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_DPT_DIAG_ENABLE		0x0201
 struct i2o_dpt_diag_enable {
@@ -111,7 +111,7 @@
 	u_int32_t	msgictx;
 	u_int32_t	msgtctx;
 	u_int32_t	privfunc;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_DPT_DRIVER_GET		0x0300
 struct i2o_dpt_driver_get {
@@ -124,7 +124,7 @@
 	u_int32_t	bytecount;
 
 	/* SGL follows. */
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_DPT_DRIVER_SET		0x0301
 struct i2o_dpt_driver_set {
@@ -137,7 +137,7 @@
 	u_int32_t	bytecount;
 
 	/* SGL follows. */
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * ================= Parameter groups =================
@@ -150,7 +150,7 @@
 	u_int16_t	bus;
 	u_int32_t	identifier;
 	u_int8_t	luninfo[8];
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	I2O_DPT_PARAM_EXEC_IOP_BUFFERS	0x8000
 struct i2o_dpt_param_exec_iop_buffers {
@@ -158,6 +158,6 @@
 	u_int32_t	serialoutputsize;
 	u_int32_t	serialheadersize;
 	u_int32_t	serialflagssupported;
-} __attribute__ ((__packed__));
+} __packed;
 
 #endif	/* _I2O_I2ODPT_H_ */
Index: sys/dev/i2o/iop.c
===================================================================
RCS file: /cvsroot/src/sys/dev/i2o/iop.c,v
retrieving revision 1.73
diff -u -r1.73 iop.c
--- sys/dev/i2o/iop.c	8 Jun 2008 12:43:52 -0000	1.73
+++ sys/dev/i2o/iop.c	31 Aug 2008 02:33:32 -0000
@@ -2370,7 +2370,7 @@
 		struct	i2o_param_op_results pr;
 		struct	i2o_param_read_results prr;
 		struct	i2o_param_device_identity di;
-	} __attribute__ ((__packed__)) p;
+	} __packed p;
 	char buf[32];
 	int rv;
 
Index: sys/dev/i2o/iopsp.c
===================================================================
RCS file: /cvsroot/src/sys/dev/i2o/iopsp.c,v
retrieving revision 1.32
diff -u -r1.32 iopsp.c
--- sys/dev/i2o/iopsp.c	28 Apr 2008 20:23:48 -0000	1.32
+++ sys/dev/i2o/iopsp.c	31 Aug 2008 02:33:34 -0000
@@ -87,7 +87,7 @@
 		struct	i2o_param_op_results pr;
 		struct	i2o_param_read_results prr;
 		struct	i2o_param_hba_ctlr_info ci;
-	} __attribute__ ((__packed__)) param;
+	} __packed param;
 
 	ia = aux;
 
@@ -119,7 +119,7 @@
 			struct	i2o_param_hba_scsi_ctlr_info sci;
 			struct	i2o_param_hba_scsi_port_info spi;
 		} p;
-	} __attribute__ ((__packed__)) param;
+	} __packed param;
 	int fc, rv;
 	int size;
 
@@ -219,7 +219,7 @@
 		struct	i2o_param_op_results pr;
 		struct	i2o_param_read_results prr;
 		struct	i2o_param_scsi_device_info sdi;
-	} __attribute__ ((__packed__)) param;
+	} __packed param;
 	u_int tid, nent, i, targ, lun, size, rv, bptid;
 	u_short *tidmap;
 	void *tofree;
Index: sys/dev/i2o/iopvar.h
===================================================================
RCS file: /cvsroot/src/sys/dev/i2o/iopvar.h,v
retrieving revision 1.21
diff -u -r1.21 iopvar.h
--- sys/dev/i2o/iopvar.h	28 Apr 2008 20:23:48 -0000	1.21
+++ sys/dev/i2o/iopvar.h	31 Aug 2008 02:33:34 -0000
@@ -99,7 +99,7 @@
 struct iop_pgop {
 	struct	i2o_param_op_list_header olh;
 	struct	i2o_param_op_all_template oat;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * Per-IOP context.
Index: sys/dev/i2o/ld_iop.c
===================================================================
RCS file: /cvsroot/src/sys/dev/i2o/ld_iop.c,v
retrieving revision 1.30
diff -u -r1.30 ld_iop.c
--- sys/dev/i2o/ld_iop.c	11 Aug 2008 06:43:37 -0000	1.30
+++ sys/dev/i2o/ld_iop.c	31 Aug 2008 02:33:34 -0000
@@ -135,7 +135,7 @@
 			struct	i2o_param_rbs_cache_control cc;
 			struct	i2o_param_rbs_device_info bdi;
 		} p;
-	} __attribute__ ((__packed__)) param;
+	} __packed param;
 
 	sc = device_private(self);
 	ld = &sc->sc_ld;
Index: sys/dev/ic/aacreg.h
===================================================================
RCS file: /cvsroot/src/sys/dev/ic/aacreg.h,v
retrieving revision 1.11
diff -u -r1.11 aacreg.h
--- sys/dev/ic/aacreg.h	28 Apr 2008 20:23:48 -0000	1.11
+++ sys/dev/ic/aacreg.h	31 Aug 2008 02:33:36 -0000
@@ -110,7 +110,7 @@
 struct aac_queue_entry {
 	u_int32_t aq_fib_size;		/* FIB size in bytes */
 	u_int32_t aq_fib_addr;		/* receiver-space address of the FIB */
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	AAC_PRODUCER_INDEX	0
 #define	AAC_CONSUMER_INDEX	1
@@ -136,7 +136,7 @@
 	    qt_AdapNormRespQueue[AAC_ADAP_NORM_RESP_ENTRIES];
 	struct aac_queue_entry
 	    qt_AdapHighRespQueue[AAC_ADAP_HIGH_RESP_ENTRIES];
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * Adapter Init Structure: this is passed to the adapter with the
@@ -226,12 +226,12 @@
 	u_int64_t SgAddress;
 	u_int32_t SgByteCount;
 	u_int32_t Flags;	/* reserved for FW use */
-} __attribute__ ((__packed__));
+} __packed;
 
 struct aac_sg_tableraw {
 	u_int32_t SgCount;
 	struct aac_sg_entryraw SgEntryRaw[0];
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * Host-side scatter/gather list for 32-bit commands.
@@ -239,12 +239,12 @@
 struct aac_sg_entry {
 	u_int32_t SgAddress;
 	u_int32_t SgByteCount;
-} __attribute__ ((__packed__));
+} __packed;
 
 struct aac_sg_table {
 	u_int32_t SgCount;
 	struct aac_sg_entry SgEntry[0];
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * Host-side scatter/gather list for 64-bit commands.
@@ -252,12 +252,12 @@
 struct aac_sg_entry64 {
 	u_int64_t SgAddress;
 	u_int32_t SgByteCount;
-} __attribute__ ((__packed__));
+} __packed;
 
 struct aac_sg_table64 {
 	u_int32_t SgCount;
 	struct aac_sg_entry64	SgEntry64[0];
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * Container creation data
@@ -273,7 +273,7 @@
 	u_int32_t Minute:6;		/* 0-59 */
 	u_int32_t Second:6;		/* 0-59 */
 	u_int64_t ViaAdapterSerialNumber;
-} __attribute__ ((__packed__));
+} __packed;
 
 typedef enum {
 	RevApplication = 1,
@@ -535,20 +535,20 @@
 		u_int32_t pad[8];
 	} ObjExtension;
 	u_int32_t AlterEgoId;
-} __attribute__ ((__packed__));
+} __packed;
 
 struct aac_mntinfo {
 	u_int32_t Command;
 	u_int32_t MntType;
 	u_int32_t MntCount;
-} __attribute__ ((__packed__));
+} __packed;
 
 struct aac_mntinforesponse {
 	u_int32_t Status;
 	u_int32_t MntType;
 	u_int32_t MntRespCount;
 	struct aac_mntobj MntTable[1];
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * Container shutdown command.
@@ -556,7 +556,7 @@
 struct aac_closecommand {
 	u_int32_t	Command;
 	u_int32_t	ContainerId;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * Container Config Command
@@ -566,13 +566,13 @@
 	u_int32_t		Command;
 	u_int32_t		cmd;
 	u_int32_t		param;
-} __attribute__ ((__packed__));
+} __packed;
 
 struct aac_ctcfg_resp {
 	u_int32_t		Status;
 	u_int32_t		resp;
 	u_int32_t		param;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 'Ioctl' commads
@@ -590,7 +590,7 @@
 	u_int32_t		TargetsPerBus;
 	u_int8_t		InitiatorBusId[AAC_SCSI_MAX_PORTS];
 	u_int8_t		BusValid[AAC_SCSI_MAX_PORTS];
-} __attribute__ ((__packed__));
+} __packed;
 
 struct aac_vmioctl {
 	u_int32_t		Command;
@@ -599,7 +599,7 @@
 	u_int32_t		ObjId;
 	u_int32_t		IoctlCmd;
 	u_int32_t		IoctlBuf[1];	/* Placeholder? */
-} __attribute__ ((__packed__));
+} __packed;
 
 struct aac_vmi_businf_resp {
 	u_int32_t		Status;
@@ -608,7 +608,7 @@
 	u_int32_t		ObjId;
 	u_int32_t		IoctlCmd;
 	struct aac_getbusinf	BusInf;
-} __attribute__ ((__packed__));
+} __packed;
 
 #if 0
 #define AAC_BTL_TO_HANDLE(b, t, l) \
@@ -689,7 +689,7 @@
 	u_int32_t BlockNumber;
 	u_int32_t ByteCount;
 	struct aac_sg_table SgMap;	/* variable size */
-} __attribute__ ((__packed__));
+} __packed;
 
 struct aac_blockread64 {
 	u_int32_t Command;	/* not FSACommand! */
@@ -699,12 +699,12 @@
 	u_int16_t Pad;
 	u_int16_t Flags;
 	struct aac_sg_table64 SgMap64;	/* variable size */
-} __attribute__ ((__packed__));
+} __packed;
 
 struct aac_blockread_response {
 	u_int32_t Status;
 	u_int32_t ByteCount;
-} __attribute__ ((__packed__));
+} __packed;
 
 struct aac_blockwrite {
 	u_int32_t Command;	/* not FSACommand! */
@@ -713,7 +713,7 @@
 	u_int32_t ByteCount;
 	u_int32_t Stable;
 	struct aac_sg_table SgMap;	/* variable size */
-} __attribute__ ((__packed__));
+} __packed;
 
 struct aac_blockwrite64 {
 	u_int32_t Command;	/* not FSACommand! */
@@ -723,13 +723,13 @@
 	u_int16_t Pad;
 	u_int16_t Flags;
 	struct aac_sg_table64 SgMap64;	/* variable size */
-} __attribute__ ((__packed__));
+} __packed;
 
 struct aac_blockwrite_response {
 	u_int32_t Status;
 	u_int32_t ByteCount;
 	u_int32_t Committed;
-} __attribute__ ((__packed__));
+} __packed;
 
 struct aac_raw_io {
 	u_int64_t		BlockNumber;
@@ -739,12 +739,12 @@
 	u_int16_t		BpTotal;			/* reserved for FW use */
 	u_int16_t		BpComplete;			/* reserved for FW use */
 	struct aac_sg_tableraw	SgMapRaw;	/* variable size */
-} __attribute__ ((__packed__));
+} __packed;
 
 struct aac_close_command {
 	u_int32_t	Command;
 	u_int32_t	ContainerId;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * SCSI Passthrough structures
@@ -1184,7 +1184,7 @@
 	u_int32_t	NV_NDirty;	/* count of dirty NVRAM buffers */
 	u_int32_t	NV_NActive;	/* count of NVRAM buffers being
 					 * written */
-} __attribute__ ((__packed__));
+} __packed;
 
 struct aac_nvraminfo {
 	AAC_NVSTATUS		NV_Status;	/* nvram subsystem status */
@@ -1204,7 +1204,7 @@
 	u_int32_t		NV_BattNeedsReconditioning;	/* boolean */
 	u_int32_t		NV_TotalSize;	/* size of all non-volatile
 						 * memories in bytes */
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * Data types relating to adapter-initiated FIBs
@@ -1272,7 +1272,7 @@
 struct aac_AifContainers {
 	u_int32_t	src;		/* from/master */
 	u_int32_t	dst;		/* to/slave */
-} __attribute__ ((__packed__));
+} __packed;
 
 union aac_AifJobClient {
 	struct aac_AifContainers	container;	/* For Container and
@@ -1288,7 +1288,7 @@
 	AAC_AifJobType		type;		/* Operation that is being
 						 * performed */
 	union aac_AifJobClient	client;		/* Details */
-} __attribute__ ((__packed__));
+} __packed;
 
 struct aac_AifJobProgressReport {
 	struct aac_AifJobDesc	jd;
@@ -1297,7 +1297,7 @@
 	u_int32_t		currentTick;
 	u_int32_t		jobSpecificData1;
 	u_int32_t		jobSpecificData2;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * Event Notification
@@ -1333,46 +1333,46 @@
 
 struct aac_AifEnsGeneric {
 	char	text[132];		/* Generic text */
-} __attribute__ ((__packed__));
+} __packed;
 
 struct aac_AifEnsDeviceFailure {
 	u_int32_t	deviceHandle;	/* SCSI device handle */
-} __attribute__ ((__packed__));
+} __packed;
 
 struct aac_AifEnsMirrorFailover {
 	u_int32_t	container;	/* Container with failed element */
 	u_int32_t	failedSlice;	/* Old slice which failed */
 	u_int32_t	creatingSlice;	/* New slice used for auto-create */
-} __attribute__ ((__packed__));
+} __packed;
 
 struct aac_AifEnsContainerChange {
 	u_int32_t	container[2];	/* container that changed, -1 if no
 					 * container */
-} __attribute__ ((__packed__));
+} __packed;
 
 struct aac_AifEnsContainerEvent {
 	u_int32_t	container;	/* container number  */
 	u_int32_t	eventType;	/* event type */
-} __attribute__ ((__packed__));
+} __packed;
 
 struct aac_AifEnsEnclosureEvent {
 	u_int32_t	empID;		/* enclosure management proc number  */
 	u_int32_t	unitID;		/* unitId, fan id, power supply id,
 					 * slot id, tempsensor id.  */
 	u_int32_t	eventType;	/* event type */
-} __attribute__ ((__packed__));
+} __packed;
 
 struct aac_AifEnsBatteryEvent {
 	AAC_NVBATT_TRANSITION	transition_type;	/* eg from low to ok */
 	AAC_NVBATTSTATUS	current_state;		/* current batt state */
 	AAC_NVBATTSTATUS	prior_state;		/* prev batt state */
-} __attribute__ ((__packed__));
+} __packed;
 
 struct aac_AifEnsDiskSetEvent {
 	u_int32_t	eventType;
 	u_int64_t	DsNum;
 	u_int64_t	CreatorId;
-} __attribute__ ((__packed__));
+} __packed;
 
 typedef enum {
 	CLUSTER_NULL_EVENT = 0,
@@ -1386,7 +1386,7 @@
 
 struct aac_AifEnsClusterEvent {
 	AAC_ClusterAifEvent	eventType;
-} __attribute__ ((__packed__));
+} __packed;
 
 struct aac_AifEventNotify {
 	AAC_AifEventNotifyType	type;
@@ -1402,7 +1402,7 @@
 /*		struct aac_AifEnsSMARTEvent		ES;*/
 		struct aac_AifEnsClusterEvent		ECLE;
 	} data;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * Adapter Initiated FIB command structures. Start with the adapter
@@ -1440,6 +1440,6 @@
 		u_int8_t			AR[AAC_AIF_REPORT_MAX_SIZE];
 		u_int8_t			data[AAC_FIB_DATASIZE - 8];
 	} data;
-} __attribute__ ((__packed__));
+} __packed;
 
 #endif	/* !_PCI_AACREG_H_ */
Index: sys/dev/ic/atwreg.h
===================================================================
RCS file: /cvsroot/src/sys/dev/ic/atwreg.h,v
retrieving revision 1.21
diff -u -r1.21 atwreg.h
--- sys/dev/ic/atwreg.h	12 Jun 2008 20:42:10 -0000	1.21
+++ sys/dev/ic/atwreg.h	31 Aug 2008 02:33:37 -0000
@@ -925,7 +925,7 @@
 	volatile uint32_t	at_flags;
 	volatile uint32_t	at_buf1;
 	volatile uint32_t	at_buf2;
-} __attribute__((__packed__, __aligned__(4)));
+} __packed __aligned(4);
 
 #define ATW_TXCTL_OWN		__BIT(31)	/* 1: ready to transmit */
 #define ATW_TXCTL_DONE		__BIT(30)	/* 0: not processed */
@@ -964,7 +964,7 @@
 	volatile uint32_t	ar_ctlrssi;
 	volatile uint32_t	ar_buf1;
 	volatile uint32_t	ar_buf2;
-} __attribute__((__packed__, __aligned__(4)));
+} __packed __aligned(4);
 
 #define ATW_RXCTL_RER		__BIT(25)	/* end of ring */
 #define ATW_RXCTL_RCH		__BIT(24)	/* ar_buf2 is 2nd chain */
Index: sys/dev/ic/dptreg.h
===================================================================
RCS file: /cvsroot/src/sys/dev/ic/dptreg.h,v
retrieving revision 1.18
diff -u -r1.18 dptreg.h
--- sys/dev/ic/dptreg.h	4 Mar 2007 06:01:54 -0000	1.18
+++ sys/dev/ic/dptreg.h	31 Aug 2008 02:33:37 -0000
@@ -104,7 +104,7 @@
 	u_int32_t	cp_dataaddr;		/* Addr of data/SG list */
 	u_int32_t	cp_stataddr;		/* Addr of status packet */
 	u_int32_t	cp_senseaddr;		/* Addr of req. sense */
-} __attribute__ ((__packed__));
+} __packed;
 
 struct eata_ucp {
 	u_int8_t	ucp_cp[sizeof(struct eata_cp) - 5*4];	/* XXX */
@@ -118,7 +118,7 @@
 	u_int8_t	ucp_tstatus;
 	u_int8_t	ucp_retries;
 	u_int8_t	ucp_padding;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define CP_C0_SCSI_RESET	0x01	/* Cause a bus reset */
 #define CP_C0_HBA_INIT		0x02	/* Reinitialize HBA */
@@ -163,7 +163,7 @@
 	u_int8_t	sp_que_message;
 	u_int8_t	sp_tag_message;
 	u_int8_t	sp_messages[9];
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * HBA status as returned by status packet.  Bit 7 signals end of command.
@@ -198,7 +198,7 @@
 struct eata_sg {
 	u_int32_t	sg_addr;
 	u_int32_t	sg_len;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * EATA configuration data as returned by HBA.  XXX This is bogus - it
@@ -226,7 +226,7 @@
 	u_int8_t	ec_maxlun;		/* Maximum LUN supported */
 	u_int8_t	ec_feat4;		/* 5th feature byte */
 	u_int8_t	ec_raidnum;		/* RAID host adapter humber */
-} __attribute__ ((__packed__));
+} __packed;
 
 #define EC_F0_OVERLAP_CMDS	0x01	/* Overlapped cmds supported */
 #define EC_F0_TARGET_MODE	0x02	/* Target mode supported */
@@ -284,6 +284,6 @@
 	char		ei_fw[3];		/* Firmware */
 	char		ei_fwrev[1];		/* Firmware revision */
 	u_int8_t	ei_extra[8];
-} __attribute__ ((__packed__));
+} __packed;
 
 #endif	/* !defined _IC_DPTREG_H_ */
Index: sys/dev/ic/icpreg.h
===================================================================
RCS file: /cvsroot/src/sys/dev/ic/icpreg.h,v
retrieving revision 1.6
diff -u -r1.6 icpreg.h
--- sys/dev/ic/icpreg.h	28 Apr 2008 20:23:50 -0000	1.6
+++ sys/dev/ic/icpreg.h	31 Aug 2008 02:33:37 -0000
@@ -187,7 +187,7 @@
 	u_int8_t	iv_lastchan;	/* last channel number */
 	u_int8_t	iv_chancount;	/* channel count */
 	u_int32_t	iv_listoffset;	/* offset of list[0] */
-} __attribute__ ((__packed__));
+} __packed;
 
 #define	ICP_IOC_NEWEST	0xffffffff
 
@@ -197,14 +197,14 @@
 	u_int8_t	io_type;	/* type (SCSI/FCAL) */
 	u_int8_t	io_localno;	/* local number */
 	u_int16_t	io_features;	/* channel features */
-} __attribute__ ((__packed__));
+} __packed;
 
 /* Get raw I/O channel description */
 struct icp_rawioc {
 	u_int8_t	ri_procid;	/* processor ID */
 	u_int8_t	ri_defect;	/* defect? */
 	u_int16_t	ri_padding;
-} __attribute__ ((__packed__));
+} __packed;
 
 /* Get SCSI channel count */
 struct icp_getch {
@@ -212,7 +212,7 @@
 	u_int32_t	gc_drivecnt;	/* drive count */
 	u_int8_t	gc_scsiid;	/* SCSI initiator ID */
 	u_int8_t	gc_scsistate;	/* SCSI processor state */
-} __attribute__ ((__packed__));
+} __packed;
 
 /* Cache info/config IOCTL structures */
 struct icp_cpar {
@@ -221,7 +221,7 @@
 	u_int16_t	cp_strategy;	/* cache strategy */
 	u_int16_t	cp_write_back;	/* write back (on/off) */
 	u_int16_t	cp_block_size;	/* cache block size */
-} __attribute__ ((__packed__));
+} __packed;
 
 struct icp_cstat {
 	u_int32_t	cs_size;	/* cache size */
@@ -230,7 +230,7 @@
 	u_int32_t	cs_trhits;	/* track hits */
 	u_int32_t	cs_sechits;	/* sector hits */
 	u_int32_t	cs_secmiss;	/* sector misses */
-} __attribute__ ((__packed__));
+} __packed;
 
 /* Board information. */
 struct icp_binfo {
@@ -259,7 +259,7 @@
 	u_int8_t	bi_subtype_valid;	/* board_subtype valid */
 	u_int8_t	bi_board_subtype;	/* subtype/hardware level */
 	u_int8_t	bi_rampar_pres;		/* RAM parity check hw? */
-} __attribute__ ((__packed__));
+} __packed;
 
 /* Board features. */
 struct icp_bfeat {
@@ -267,7 +267,7 @@
 	u_int8_t	bf_striping;	/* striping (RAID-0) supported */
 	u_int8_t	bf_mirroring;	/* mirroring (RAID-1) supported */
 	u_int8_t	bf_raid;	/* RAID-4/5/10 supported */
-} __attribute__ ((__packed__));
+} __packed;
 
 /* Cache drive information. */
 struct icp_cdevinfo {
@@ -287,12 +287,12 @@
 	u_int32_t	ld_last_error;
 	char		ld_name[8];
 	u_int8_t	ld_error;
-} __attribute__ ((__packed__));
+} __packed;
 
 struct icp_sg {
 	u_int32_t	sg_addr;
 	u_int32_t	sg_len;
-} __attribute__ ((__packed__));
+} __packed;
 
 struct icp_cachecmd {
 	u_int16_t	cc_deviceno;
@@ -301,19 +301,19 @@
 	u_int32_t	cc_addr;		/* ~0 == s/g */
 	u_int32_t	cc_nsgent;
 	struct icp_sg	cc_sg[ICP_MAXSG];
-} __attribute__ ((__packed__));
+} __packed;
 
 struct icp_ioctlcmd {
 	u_int16_t	ic_bufsize;
 	u_int32_t	ic_subfunc;
 	u_int32_t	ic_channel;
 	u_int32_t	ic_addr;
-} __attribute__ ((__packed__));
+} __packed;
 
 struct icp_screencmd {
 	u_int32_t	sc_msghandle;
 	u_int32_t	sc_msgaddr;
-} __attribute__ ((__packed__));
+} __packed;
 
 struct icp_rawcmd {
 	u_int16_t	rc_padding0;		/* unused */
@@ -333,13 +333,13 @@
 	u_int32_t	rc_padding1;		/* unused */
 	u_int32_t	rc_nsgent;		/* s/g element count */
 	struct icp_sg	rc_sg[ICP_MAXSG];	/* s/g list */
-} __attribute__ ((__packed__));
+} __packed;
 
 struct icp_cmdhdr {
 	u_int32_t	cmd_boardnode;		/* always 0 */
 	u_int32_t	cmd_cmdindex;		/* command identifier */
 	u_int16_t	cmd_opcode;
-} __attribute__ ((__packed__));
+} __packed;
 
 struct icp_cmd {
 	u_int32_t	cmd_boardnode;		/* always 0 */
@@ -352,6 +352,6 @@
 		struct icp_ioctlcmd	ic;
 		struct icp_cachecmd	cc;
 	} cmd_packet;
-} __attribute__ ((__packed__));
+} __packed;
 
 #endif	/* !_IC_ICPREG_H_ */
Index: sys/dev/ic/isacsx.h
===================================================================
RCS file: /cvsroot/src/sys/dev/ic/isacsx.h,v
retrieving revision 1.3
diff -u -r1.3 isacsx.h
--- sys/dev/ic/isacsx.h	11 Dec 2005 12:21:27 -0000	1.3
+++ sys/dev/ic/isacsx.h	31 Aug 2008 02:33:37 -0000
@@ -239,7 +239,7 @@
 			unsigned char dummy_6f;
 		} isacsx_w;
 	} isacsx_rw;
-}  __attribute__ ((packed)) isacsx_reg_t;
+}  __packed isacsx_reg_t;
 
 #define REG_OFFSET(type, field) (int)(&(((type *)0)->field))
 
Index: sys/dev/ic/midway.c
===================================================================
RCS file: /cvsroot/src/sys/dev/ic/midway.c,v
retrieving revision 1.81
diff -u -r1.81 midway.c
--- sys/dev/ic/midway.c	12 Jun 2008 22:30:30 -0000	1.81
+++ sys/dev/ic/midway.c	31 Aug 2008 02:33:38 -0000
@@ -336,7 +336,7 @@
  * prototypes
  */
 
-STATIC INLINE	int en_b2sz(int) __attribute__ ((unused));
+STATIC INLINE	int en_b2sz(int) __unused;
 #ifdef EN_DDBHOOK
 		int en_dump(int,int);
 		int en_dumpmem(int,int,int);
@@ -345,25 +345,25 @@
 STATIC		int en_dmaprobe_doit(struct en_softc *, u_int8_t *,
 		    u_int8_t *, int);
 STATIC INLINE	int en_dqneed(struct en_softc *, void *, u_int,
-		    u_int) __attribute__ ((unused));
+		    u_int) __unused;
 STATIC		void en_init(struct en_softc *);
 STATIC		int en_ioctl(struct ifnet *, EN_IOCTL_CMDT, void *);
-STATIC INLINE	int en_k2sz(int) __attribute__ ((unused));
+STATIC INLINE	int en_k2sz(int) __unused;
 STATIC		void en_loadvc(struct en_softc *, int);
 STATIC		int en_mfix(struct en_softc *, struct mbuf **,
 		    struct mbuf *);
 STATIC INLINE	struct mbuf *en_mget(struct en_softc *, u_int,
-		    u_int *) __attribute__ ((unused));
+		    u_int *) __unused;
 STATIC INLINE	u_int32_t en_read(struct en_softc *,
-		    u_int32_t) __attribute__ ((unused));
+		    u_int32_t) __unused;
 STATIC		int en_rxctl(struct en_softc *, struct atm_pseudoioctl *, int);
 STATIC		void en_txdma(struct en_softc *, int);
 STATIC		void en_txlaunch(struct en_softc *, int, struct en_launch *);
 STATIC		void en_service(struct en_softc *);
 STATIC		void en_start(struct ifnet *);
-STATIC INLINE	int en_sz2b(int) __attribute__ ((unused));
+STATIC INLINE	int en_sz2b(int) __unused;
 STATIC INLINE	void en_write(struct en_softc *, u_int32_t,
-		    u_int32_t) __attribute__ ((unused));
+		    u_int32_t) __unused;
 
 #ifdef ATM_PVCEXT
 static void rrp_add(struct en_softc *, struct ifnet *);
Index: sys/dev/ic/mlxreg.h
===================================================================
RCS file: /cvsroot/src/sys/dev/ic/mlxreg.h,v
retrieving revision 1.7
diff -u -r1.7 mlxreg.h
--- sys/dev/ic/mlxreg.h	28 Apr 2008 20:23:50 -0000	1.7
+++ sys/dev/ic/mlxreg.h	31 Aug 2008 02:33:38 -0000
@@ -213,7 +213,7 @@
 struct mlx_sgentry {
 	u_int32_t	sge_addr;
 	u_int32_t	sge_count;
-} __attribute__ ((packed));
+} __packed;
 
 /*
  * Command result buffers, as placed in system memory by the controller.
@@ -240,8 +240,8 @@
 	struct  {
 		u_int8_t	dd_targ;
 		u_int8_t	dd_chan;
-	} __attribute__ ((packed)) me_dead[20];
-} __attribute__ ((packed));
+	} __packed me_dead[20];
+} __packed;
 
 struct mlx_enquiry {
 	u_int8_t	me_num_sys_drvs;
@@ -269,8 +269,8 @@
 	struct {
 		u_int8_t	dd_targ;
 		u_int8_t	dd_chan;
-	} __attribute__ ((packed)) me_dead[20];
-} __attribute__ ((packed));
+	} __packed me_dead[20];
+} __packed;
 
 struct mlx_enquiry2 {
 	u_int8_t	me_hardware_id[4];
@@ -319,7 +319,7 @@
 	u_int8_t	me_res10;
 	u_int32_t	me_firmware_features;
 	u_int8_t	me_res11[8];
-} __attribute__ ((packed));
+} __packed;
 
 /* MLX_CMD_ENQSYSDRIVE returns an array of 32 of these. */
 struct mlx_enq_sys_drive {
@@ -327,7 +327,7 @@
 	u_int8_t	sd_state;
 	u_int8_t	sd_raidlevel;
 	u_int16_t	sd_res1;
-} __attribute__ ((packed));
+} __packed;
 
 /*
  * MLX_CMD_LOGOP/MLX_LOGOP_GET
@@ -359,7 +359,7 @@
 	u_int8_t	el_asc;
 	u_int8_t	el_asq;
 	u_int8_t	el_res3[12];
-} __attribute__ ((packed));
+} __packed;
 
 #define	MLX_LOGOP_GET		0x00	/* operation codes for MLX_CMD_LOGOP */
 #define	MLX_LOGMSG_SENSE	0x00	/* log message contents codes */
@@ -368,7 +368,7 @@
 	u_int32_t	rb_drive;
 	u_int32_t	rb_size;
 	u_int32_t	rb_remaining;
-} __attribute__ ((packed));
+} __packed;
 
 struct mlx_config {
 	u_int16_t	cf_flags1;
@@ -408,7 +408,7 @@
 	u_int8_t	cf_delay_between_spinups;
 	u_int8_t	cf_res3;
 	u_int16_t	cf_checksum;
-} __attribute__ ((packed));
+} __packed;
 
 struct mlx_config2 {
 	struct mlx_config cf2_cf;
@@ -419,13 +419,13 @@
 #define	MLX_CF2_GEOM_255	0x20
 	u_int8_t	cf2_reserved1[9];
 	u_int16_t	cf2_checksum;
-} __attribute__ ((__packed__));
+} __packed;
 
 struct mlx_sys_drv_span {
 	u_int32_t	sp_start_lba;
 	u_int32_t	sp_nblks;
 	u_int8_t	sp_arm[8];
-} __attribute__ ((packed));
+} __packed;
 
 struct mlx_sys_drv {
 	u_int8_t	sd_status;
@@ -445,7 +445,7 @@
 	u_int8_t	sd_init_state;
 #define	MLX_SYS_DRV_INITTED	0x81;
 	struct	mlx_sys_drv_span sd_span[4];
-} __attribute__ ((packed));
+} __packed;
 
 struct mlx_phys_drv {
 	u_int8_t	pd_flags1;
@@ -469,14 +469,14 @@
 	u_int8_t	pd_period;
 	u_int8_t	pd_offset;
 	u_int32_t	pd_config_size;
-} __attribute__ ((packed));
+} __packed;
 
 struct mlx_core_cfg {
 	u_int8_t	cc_num_sys_drives;
 	u_int8_t	cc_res1[3];
 	struct	mlx_sys_drv cc_sys_drives[32];
 	struct	mlx_phys_drv cc_phys_drives[5 * 16];
-} __attribute__ ((packed));
+} __packed;
 
 /*
  * Bitfields:
@@ -507,7 +507,7 @@
 	u_int8_t	dcdb_sense[64];
 	u_int8_t	dcdb_status;
 	u_int8_t	res1;
-} __attribute__ ((packed));
+} __packed;
 
 struct mlx_bbtable_entry {
 	u_int32_t	bbt_block_number;
@@ -515,6 +515,6 @@
 	u_int8_t	bbt_res1;
 	u_int8_t	bbt_entry_type;
 	u_int8_t	bbt_system_drive;	/* high 3 bits reserved */
-} __attribute__ ((packed));
+} __packed;
 
 #endif	/* !_IC_MLXREG_H_ */
Index: sys/dev/ic/rtwreg.h
===================================================================
RCS file: /cvsroot/src/sys/dev/ic/rtwreg.h,v
retrieving revision 1.25
diff -u -r1.25 rtwreg.h
--- sys/dev/ic/rtwreg.h	6 Jun 2008 17:39:56 -0000	1.25
+++ sys/dev/ic/rtwreg.h	31 Aug 2008 02:33:39 -0000
@@ -841,7 +841,7 @@
 	volatile uint32_t	td_len;
 	volatile uint32_t	td_next;
 	volatile uint32_t	td_rsvd[3];
-} __attribute__((__packed__, __aligned__(4)));
+} __packed __aligned(4);
 
 #define td_stat td_ctl0
 
@@ -902,7 +902,7 @@
 	volatile uint32_t	rd_rsvd0;
 	volatile uint32_t	rd_buf;
 	volatile uint32_t	rd_rsvd1;
-} __attribute__((__packed__, __aligned__(4)));
+} __packed __aligned(4);
 
 #define rd_stat rd_ctl
 #define rd_rssi rd_rsvd0
Index: sys/dev/ic/siisatareg.h
===================================================================
RCS file: /cvsroot/src/sys/dev/ic/siisatareg.h,v
retrieving revision 1.1
diff -u -r1.1 siisatareg.h
--- sys/dev/ic/siisatareg.h	23 May 2008 21:11:40 -0000	1.1
+++ sys/dev/ic/siisatareg.h	31 Aug 2008 02:33:39 -0000
@@ -52,13 +52,13 @@
 #define SGE_FLAG_LNK __BIT(30)
 #define SGE_FLAG_DRD __BIT(29)
 #define SGE_FLAG_XCF __BIT(28)
-} __attribute__((__packed__));
+} __packed;
 
 /* Scatter/Gather Table */
 /* must be aligned to 64-bit boundary */
 struct siisata_sgt {
 	struct siisata_sge sgt_sge[4];
-} __attribute__((__packed__));
+} __packed;
 
 /* Port Request Block */
 struct siisata_prb {
@@ -84,7 +84,7 @@
 /* First SGE in PRB is always reserved for ATAPI in this implementation. */
 	uint8_t prb_atapi[16]; /* zero for non-ATAPI */
 	struct siisata_sge prb_sge[1]; /* extended to NSGE */
-} __attribute__((__packed__));
+} __packed;
 
 
 #define SIISATA_NSGE ((MAXPHYS/PAGE_SIZE) + 1)
Index: sys/dev/ieee1394/iec68113.h
===================================================================
RCS file: /cvsroot/src/sys/dev/ieee1394/iec68113.h,v
retrieving revision 1.2
diff -u -r1.2 iec68113.h
--- sys/dev/ieee1394/iec68113.h	11 Dec 2005 12:22:02 -0000	1.2
+++ sys/dev/ieee1394/iec68113.h	31 Aug 2008 02:33:39 -0000
@@ -93,7 +93,7 @@
 #define	CIP_STYPE_SDL	1
 #define	CIP_STYPE_HD	2
 	  		uint16_t cyc:16;	/* take care of byte order! */
-		} __attribute__ ((packed)) dv;
+		} __packed dv;
 		uint8_t bytes[3];
 	} fdf;
 
Index: sys/dev/marvell/gtidma.c
===================================================================
RCS file: /cvsroot/src/sys/dev/marvell/gtidma.c,v
retrieving revision 1.13
diff -u -r1.13 gtidma.c
--- sys/dev/marvell/gtidma.c	8 Apr 2008 20:40:42 -0000	1.13
+++ sys/dev/marvell/gtidma.c	31 Aug 2008 02:33:39 -0000
@@ -94,7 +94,7 @@
 #ifdef DIAGNOSTIC
 
 unsigned char idmalock[CACHELINESIZE]
-	__attribute__ ((aligned(CACHELINESIZE))) = { 0 };
+	__aligned(CACHELINESIZE) = { 0 };
 
 #endif
 
Index: sys/dev/marvell/gtidmareg.h
===================================================================
RCS file: /cvsroot/src/sys/dev/marvell/gtidmareg.h,v
retrieving revision 1.5
diff -u -r1.5 gtidmareg.h
--- sys/dev/marvell/gtidmareg.h	16 Feb 2006 20:17:19 -0000	1.5
+++ sys/dev/marvell/gtidmareg.h	31 Aug 2008 02:33:39 -0000
@@ -78,7 +78,7 @@
 	u_int32_t idd_dst_addr;
 	u_int32_t idd_next;
 	u_int32_t idd_pad[4];	/* pad to CACHELINESIZE */
-} idma_desc_t __attribute__ ((aligned(CACHELINESIZE)));
+} idma_desc_t __aligned(CACHELINESIZE);
 
 #define IDMA_DESC_CTL_CNT	IDMA_BITS(23,0)
 #define IDMA_DESC_CTL_RES	IDMA_BITS(29,24)
Index: sys/dev/marvell/gtmpsc.c
===================================================================
RCS file: /cvsroot/src/sys/dev/marvell/gtmpsc.c,v
retrieving revision 1.30
diff -u -r1.30 gtmpsc.c
--- sys/dev/marvell/gtmpsc.c	12 Jun 2008 22:29:03 -0000	1.30
+++ sys/dev/marvell/gtmpsc.c	31 Aug 2008 02:33:39 -0000
@@ -220,9 +220,9 @@
 STATIC unsigned int gtmpsccninit_done = 0;
 STATIC gtmpsc_softc_t gtmpsc_fake_softc;
 STATIC unsigned char gtmpsc_earlybuf[PAGE_SIZE]
-    __attribute__ ((aligned(PAGE_SIZE)));
+    __aligned(PAGE_SIZE);
 STATIC unsigned char gtmpsc_fake_dmapage[PAGE_SIZE]
-    __attribute__ ((aligned(PAGE_SIZE)));
+    __aligned(PAGE_SIZE);
 
 
 #define GTMPSC_PRINT_BUF_SIZE	4096
Index: sys/dev/pci/amrreg.h
===================================================================
RCS file: /cvsroot/src/sys/dev/pci/amrreg.h,v
retrieving revision 1.4
diff -u -r1.4 amrreg.h
--- sys/dev/pci/amrreg.h	28 Apr 2008 20:23:54 -0000	1.4
+++ sys/dev/pci/amrreg.h	31 Aug 2008 02:33:40 -0000
@@ -159,7 +159,7 @@
 	u_int8_t	aa_inserteddrive;
 	u_int8_t	aa_batterystatus;
 	u_int8_t   	aa_res1;
-} __attribute__ ((__packed__));
+} __packed;
 
 /* Logical drive information. */
 struct amr_logdrive_info {
@@ -168,14 +168,14 @@
 	u_int32_t	al_size[AMR_8LD_MAXDRIVES];
 	u_int8_t	al_properties[AMR_8LD_MAXDRIVES];
 	u_int8_t	al_state[AMR_8LD_MAXDRIVES];
-} __attribute__ ((__packed__));
+} __packed;
 
 /* Physical drive information. */
 struct amr_physdrive_info {
 	/* Low nybble is current state, high nybble is previous state. */
 	u_int8_t	ap_state[AMR_8LD_MAXPHYSDRIVES];
 	u_int8_t	ap_predictivefailure;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * Enquiry response structure for AMR_CMD_ENQUIRY (e), AMR_CMD_EXT_ENQUIRY (x)
@@ -200,7 +200,7 @@
 #define	AMR_SIG_T7	0xfff80007
 #define	AMR_SIG_490	0xfff70008
 	u_int8_t	res2[844];				/*     2 */
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 40LD firmware interface.
@@ -230,7 +230,7 @@
 	u_int16_t	ap_subsystem;		/* subsystem identifier */
 	u_int16_t	ap_subvendor;		/* subsystem vendor ID */
 	u_int8_t	ap_numnotifyctr;	/* number of notify counters */
-} __attribute__ ((__packed__));
+} __packed;
 
 /* Notify structure. */
 struct amr_notify {
@@ -292,7 +292,7 @@
 	u_int8_t	an_fcloopstate0;
 	u_int8_t	an_fcloopstate1;
 	u_int8_t	res4;
-} __attribute__ ((__packed__));
+} __packed;
 
 /* Enquiry3 structure. */
 struct amr_enquiry3 {
@@ -317,7 +317,7 @@
 	u_int8_t	ae_targxfer[80];			/* physical drive transfer rates */
 
 	u_int8_t	res1[263];		/* pad to 1024 bytes */
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * Mailbox and command structures.
@@ -333,13 +333,13 @@
 	u_int8_t	mb_nsgelem;
 	u_int8_t	res1;
 	u_int8_t	mb_busy;
-} __attribute__ ((__packed__));
+} __packed;
 
 struct amr_mailbox_resp {
 	u_int8_t	mb_nstatus;
 	u_int8_t	mb_status;
 	u_int8_t	mb_completed[46];
-}  __attribute__ ((__packed__));
+}  __packed;
 
 struct amr_mailbox {
 	u_int32_t	mb_res1[3];
@@ -349,7 +349,7 @@
 	u_int8_t	mb_poll;
 	u_int8_t	mb_ack;
 	u_int8_t	res2[62];		/* Pad to 128+16 bytes. */
-} __attribute__ ((__packed__));
+} __packed;
 
 struct amr_mailbox_ioctl {
 	u_int8_t	mb_command;
@@ -367,12 +367,12 @@
 	u_int8_t	mb_poll;
 	u_int8_t	mb_ack;
 	u_int8_t	res4[16];
-} __attribute__ ((__packed__));
+} __packed;
 
 struct amr_sgentry {
 	u_int32_t	sge_addr;
 	u_int32_t	sge_count;
-} __attribute__ ((__packed__));
+} __packed;
 
 struct amr_passthrough {
 	u_int8_t	ap_timeout:3;
@@ -392,7 +392,7 @@
 	u_int8_t	ap_scsi_status;
 	u_int32_t	ap_data_transfer_address;
 	u_int32_t	ap_data_transfer_length;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * "Quartz" i960 PCI bridge interface.
Index: sys/dev/pci/cxgb_osdep.h
===================================================================
RCS file: /cvsroot/src/sys/dev/pci/cxgb_osdep.h,v
retrieving revision 1.9
diff -u -r1.9 cxgb_osdep.h
--- sys/dev/pci/cxgb_osdep.h	17 Jan 2008 06:03:21 -0000	1.9
+++ sys/dev/pci/cxgb_osdep.h	31 Aug 2008 02:33:40 -0000
@@ -252,7 +252,7 @@
 #define M_SANITY(m, n)
 #endif
 
-#define __read_mostly __attribute__((__section__(".data.read_mostly")))
+#define __read_mostly __section(".data.read_mostly")
 
 /*
  * Workaround for weird Chelsio issue
Index: sys/dev/pci/if_iwireg.h
===================================================================
RCS file: /cvsroot/src/sys/dev/pci/if_iwireg.h,v
retrieving revision 1.18
diff -u -r1.18 if_iwireg.h
--- sys/dev/pci/if_iwireg.h	25 Dec 2007 18:33:40 -0000	1.18
+++ sys/dev/pci/if_iwireg.h	31 Aug 2008 02:33:40 -0000
@@ -434,12 +434,12 @@
 		u_int8_t lsn:4;
 		u_int8_t msn:4;
 #endif
-	} __attribute__ ((__packed__)) type[IWI_SCAN_CHANNELS / 2];
+	} __packed type[IWI_SCAN_CHANNELS / 2];
 
 	u_int8_t	reserved1;
 	u_int16_t	dwelltime[IWI_SCAN_TYPES];
 
-} __attribute__ ((__packed__));
+} __packed;
 
 /* structure for command IWI_CMD_SET_CONFIGURATION */
 struct iwi_configuration {
Index: sys/dev/pci/if_lmc.h
===================================================================
RCS file: /cvsroot/src/sys/dev/pci/if_lmc.h,v
retrieving revision 1.13
diff -u -r1.13 if_lmc.h
--- sys/dev/pci/if_lmc.h	27 Jun 2008 00:53:41 -0000	1.13
+++ sys/dev/pci/if_lmc.h	31 Aug 2008 02:33:40 -0000
@@ -814,7 +814,7 @@
   unsigned x:2;				/* div by 1|2|4|8                  */
   unsigned r:2;				/* div by 1|2|4|8                  */
   unsigned prescale:13;			/* log(final divisor): 2, 4 or 9   */
-  } __attribute__ ((packed));
+  } __packed;
 
 #define SYNTH_FREF	        20e6	/* reference xtal =  20 MHz        */
 #define SYNTH_FMIN	        50e6	/* internal VCO min  50 MHz        */
@@ -1178,7 +1178,7 @@
 #else					/* BUS_DMA */
 # define TLP_BUS_DSL_VAL	0
 #endif
-  } __attribute__ ((packed));
+  } __packed;
 
 /* Tulip DMA descriptor status bits */
 #define TLP_DSTS_OWNER		0x80000000
Index: sys/dev/pci/mlyreg.h
===================================================================
RCS file: /cvsroot/src/sys/dev/pci/mlyreg.h,v
retrieving revision 1.4
diff -u -r1.4 mlyreg.h
--- sys/dev/pci/mlyreg.h	28 Apr 2008 20:23:55 -0000	1.4
+++ sys/dev/pci/mlyreg.h	31 Aug 2008 02:33:41 -0000
@@ -82,7 +82,7 @@
 struct mly_sg_entry {
 	u_int64_t	physaddr;
 	u_int64_t	length;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 5.2 System Device Access
@@ -180,7 +180,7 @@
 	u_int8_t	lun;			/* LUN */
 	u_int8_t	tid;			/* TID */
 	u_int8_t	hid[32];		/* HID (one bit for each host) */
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 10.1 Controller Parameters
@@ -286,7 +286,7 @@
 #define	MLY_STARTUP_ALWAYS		0x5
 
 	u_int8_t	res15[62];
-} __attribute__ ((__packed__));
+} __packed__;
 
 /*
  * 10.2 Physical Device Parameters
@@ -298,7 +298,7 @@
 	u_int8_t	combing:1;
 	u_int8_t	res1:7;
 	u_int8_t	res2[3];
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 10.3 Logical Device Parameters
@@ -312,7 +312,7 @@
 	u_int8_t	stripe_size;		/* see 8.3 */
 	u_int8_t	read_write_control;	/* see 8.5 */
 	u_int8_t	res2[8];
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 12.3 Health Status Buffer
@@ -332,7 +332,7 @@
 	u_int32_t	profiler_page;				/* N/A */
 	u_int32_t	next_event;
 	u_int8_t	res3[4 + 16 + 64];			/* N/A */
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 14.2 Timeout Bit Format
@@ -365,7 +365,7 @@
 	u_int8_t	status;
 	u_int8_t	sense_length;
 	int32_t		residue;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 14.5 Command Control Bit (CCB) format
@@ -460,7 +460,7 @@
  */
 struct mly_short_transfer {
 	struct mly_sg_entry	sg[2];
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 17.1.5 Data Transfer Memory Address With SG List
@@ -471,7 +471,7 @@
 	u_int16_t	entries[3];
 	u_int16_t	res1;
 	u_int64_t	table_physaddr[3];
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 17.1.3 Data Transfer Memory Address Format
@@ -508,7 +508,7 @@
 struct mly_ioctl_param_data {
 	u_int8_t	param[10];
 	union mly_cmd_transfer	transfer;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 21.2 MDACIOCTL_SETMEMORYMAILBOX
@@ -520,7 +520,7 @@
 	u_int64_t	command_mailbox_physaddr;
 	u_int64_t	status_mailbox_physaddr;
 	u_int64_t	res2[2];
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 21.8.2 MDACIOCTL_GETCONTROLLERINFO: Data Format
@@ -633,7 +633,7 @@
 		u_int8_t	number;
 		u_int8_t	res1[12];			/* N/A */
 		char		name[16];			/* N/A */
-	} cpu[2] __attribute__ ((__packed__));
+	} cpu[2] __packed;
 	/* debugging/profiling/command time tracing information */
 	u_int16_t	profiling_page;				/* N/A */
 	u_int16_t	profiling_programs;			/* N/A */
@@ -698,7 +698,7 @@
 	u_int8_t	res26:6;				/* N/A */
 	u_int8_t	res27[3];				/* N/A */
 	u_int8_t	res28[32 + 512];			/* N/A */
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 21.9.2 MDACIOCTL_GETLOGDEVINFOVALID
@@ -748,7 +748,7 @@
 	u_int64_t	migration_block;
 	u_int64_t	patrol_block;				/* N/A */
 	u_int8_t	res7[64];				/* N/A */
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 21.10.2 MDACIOCTL_GETPHYSDEVINFOVALID: Data Format
@@ -808,7 +808,7 @@
 	u_int64_t	migration_block;			/* N/A */
 	u_int64_t	patrol_block;				/* N/A */
 	u_int8_t	res11[256];
-} __attribute__ ((__packed__));
+} __packed;
 
 union mly_devinfo {
 	struct mly_ioctl_getlogdevinfovalid	logdev;
@@ -842,7 +842,7 @@
 	u_int16_t	active_commands;			/* N/A */
 	u_int16_t	waiting_commands;			/* N/A */
 	u_int8_t	res3[8];				/* N/A */
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 21.13.2 MDACIOCTL_GETCONTROLLERSTATISTICS: Data Format
@@ -884,14 +884,14 @@
 	u_int16_t	host_system_commands_active;		/* N/A */
 	u_int16_t	host_system_commands_waiting;		/* N/A */
 	u_int8_t	res4[48 + 64];				/* N/A */
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 21.2 MDACIOCTL_SETRAIDDEVSTATE
  */
 struct mly_ioctl_param_setraiddevstate {
 	u_int8_t	state;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 21.27.2 MDACIOCTL_GETBDT_FOR_SYSDRIVE: Data Format
@@ -900,7 +900,7 @@
 struct mly_ioctl_getbdt_for_sysdrive {
 	u_int32_t	num_of_bdt_entries;
 	u_int32_t	bad_data_block_address[MLY_MAX_BDT_ENTRIES];
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 22.1 Physical Device Definition (PDD)
@@ -915,7 +915,7 @@
 	u_int8_t	target;
 	u_int8_t	lun;
 	u_int32_t	start_address;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 22.2 RAID Device Use Definition (UDD)
@@ -925,7 +925,7 @@
 	u_int8_t	state;				/* see 8.1 */
 	u_int16_t	raid_device;
 	u_int32_t	start_address;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * RAID Device Definition (LDD)
@@ -941,7 +941,7 @@
 	u_int8_t	read_write_control;		/* see 8.5 */
 	u_int32_t	devices_used_size;		/* XXX "block or MB" Huh? */
 	u_int16_t	devices_used[32];		/* XXX actual size of this field unknown! */
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * Define a datastructure giving the smallest allocation that will hold
@@ -967,7 +967,7 @@
  */
 struct mly_ioctl_param_renameraiddev {
 	u_int8_t	new_raid_device;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 23.6.2 MDACIOCTL_XLATEPHYSDEVTORAIDDEV
@@ -981,7 +981,7 @@
 	u_int8_t	channel;
 	u_int8_t	target;
 	u_int8_t	lun;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 23.7 MDACIOCTL_GETGROUPCONFINFO
@@ -990,7 +990,7 @@
 	u_int16_t			group;
 	u_int8_t			res1[8];
 	union mly_cmd_transfer	transfer;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 23.9.2 MDACIOCTL_GETFREESPACELIST: Data Format
@@ -1003,14 +1003,14 @@
 	u_int8_t	res1[6];
 	u_int32_t	address;		/* XXX "blocks or MB" Huh? */
 	u_int32_t	size;			/* XXX "blocks or MB" Huh? */
-} __attribute__ ((__packed__));
+} __packed;
 
 struct mly_ioctl_getfrespacelist {
 	u_int16_t	returned_entries;
 	u_int16_t	total_entries;
 	u_int8_t	res1[12];
-	struct mly_ioctl_getfreespacelist_entry space[0];	/* expand to suit */
-} __attribute__ ((__packed__));
+	struct mly_ioctl_getfreespacelist_entry space[];	/* expand to suit */
+} __packed;
 
 /*
  * 27.1 MDACIOCTL_GETSUBSYSTEMDATA
@@ -1027,7 +1027,7 @@
 	u_int8_t	subsystem:4;
 #define	MLY_SUBSYSTEM_BBU	0x01
 	u_int	parameter[3];		/* only for SETSUBSYSTEMDATA */
-} __attribute__ ((__packed__));
+} __packed;
 
 struct mly_ioctl_getsubsystemdata_bbustatus {
 	u_int16_t	current_power;
@@ -1049,7 +1049,7 @@
 #define	MLY_BBU_STATUS_DISCHARGING	0x20
 #define	MLY_BBU_STATUS_FASTCHARGING	0x40
 	u_int8_t	res2;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 28.9  MDACIOCTL_RESETDEVICE
@@ -1059,7 +1059,7 @@
  */
 struct mly_ioctl_param_deviceoperation {
 	u_int8_t	operation_device;		/* see 14.3 */
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 31.1 Event Data Format
@@ -1075,7 +1075,7 @@
 	u_int8_t   	res1[4];
 	u_int32_t	param;
 	u_int8_t	sense[40];
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 31.2 MDACIOCTL_GETEVENT
@@ -1084,7 +1084,7 @@
 	u_int16_t		sequence_number_low;
 	u_int8_t		res1[8];
 	union mly_cmd_transfer	transfer;
-} __attribute__ ((__packed__));
+} __packed;
 
 union mly_ioctl_param {
 	struct mly_ioctl_param_data			data;
@@ -1120,13 +1120,13 @@
  *	u_int8_t			target;
  *	u_int8_t			channel:3;
  *	u_int8_t			controller:5;
- * } __attribute__ ((__packed__));
+ * } __packed;
  *
  * struct mly_cmd_address_logical {
  *	u_int16_t			logdev;
  *	u_int8_t			res1:3;
  *	u_int8_t			controller:5;
- * } __attribute__ ((__packed__));
+ * } __packed;
  */
 
 struct mly_cmd_generic {
@@ -1140,7 +1140,7 @@
 	u_int8_t			maximum_sense_size;
 	u_int8_t			res1[11];
 	union mly_cmd_transfer	transfer;
-} __attribute__ ((__packed__));
+} __packed;
 
 
 /*
@@ -1159,7 +1159,7 @@
 	u_int8_t			cdb_length;
 	u_int8_t			cdb[MLY_CMD_SCSI_SMALL_CDB];
 	union mly_cmd_transfer	transfer;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 19.2 MDACMD_SCSILC & MDACMD_SCSILCPT
@@ -1177,7 +1177,7 @@
 	u_int16_t			res1;
 	u_int64_t			cdb_physaddr;
 	union mly_cmd_transfer	transfer;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * 20.1 IOCTL Command Format: Internal Bus
@@ -1193,7 +1193,7 @@
 	u_int8_t			maximum_sense_size;
 	u_int8_t			sub_ioctl;
 	union mly_ioctl_param		param;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * PG6: 8.2.2
@@ -1201,7 +1201,7 @@
 struct mly_cmd_mmbox {
 	u_int32_t			flag;
 	u_int8_t			data[60];
-} __attribute__ ((__packed__));
+} __packed;
 
 union mly_cmd_packet {
 	struct mly_cmd_generic		generic;
@@ -1288,7 +1288,7 @@
 	 struct {
 		 u_int32_t		flag;
 		 u_int8_t		data[4];
-	 } __attribute__ ((__packed__)) mmbox;
+	 } __packed mmbox;
 };
 union mly_health_region {
 	struct mly_health_status	status;
@@ -1301,6 +1301,6 @@
 	union mly_cmd_packet	mmm_command[MLY_MMBOX_COMMANDS];
 	union mly_status_packet	mmm_status[MLY_MMBOX_STATUS];
 	union mly_health_region	mmm_health;
-} __attribute__ ((__packed__));
+} __packed;
 
 #endif	/* !defined _PCI_MLYREG_H_ */
Index: sys/dev/pci/twaio.h
===================================================================
RCS file: /cvsroot/src/sys/dev/pci/twaio.h,v
retrieving revision 1.4
diff -u -r1.4 twaio.h
--- sys/dev/pci/twaio.h	23 Sep 2006 22:16:35 -0000	1.4
+++ sys/dev/pci/twaio.h	31 Aug 2008 02:33:41 -0000
@@ -51,7 +51,7 @@
 
 struct twa_scan_bus_packet {
 	uint32_t	unit;
-} __attribute__ ((packed));
+} __packed;
 
 struct tw_cl_event_packet {
 	uint32_t	sequence_id;
@@ -64,13 +64,13 @@
 	uint8_t		parameter_data[98];
 	uint32_t	event_src;
 	uint8_t		severity_str[20];
-} __attribute__ ((packed));
+} __packed;
 
 struct tw_cl_lock_packet {
 	uint32_t	timeout_msec;
 	uint32_t	time_remaining_msec;
 	uint32_t	force_flag;
-} __attribute__ ((packed));
+} __packed;
 
 
 struct tw_cl_compatibility_packet {
@@ -78,7 +78,7 @@
 	uint16_t	working_srl;	/* driver & firmware negotiated srl */
 	uint16_t	working_branch;	/* branch # of the firmware that the driver is compatible with */
 	uint16_t	working_build;	/* build # of the firmware that the driver is compatible with */
-} __attribute__ ((packed));
+} __packed;
 
 
 struct twa_driver_packet {
@@ -88,7 +88,7 @@
 	uint32_t	sequence_id;
 	uint32_t	os_status;
 	uint32_t	buffer_length;
-} __attribute__ ((packed));
+} __packed;
 
 /* Account for differences between 32/64 bit system. Offsets into memory
  * are anticipated for driver/firmware command packets and having a 
@@ -103,7 +103,7 @@
 	int8_t				padding[488 - TW_SIZEOF_VOIDPTR];
 	struct twa_command_packet	twa_cmd_pkt;
 	int8_t				data_buf[1];
-} __attribute__ ((packed));
+} __packed;
 
 typedef struct twa_ioctl_with_payload {
 	struct twa_driver_packet	twa_drvr_pkt;
@@ -115,7 +115,7 @@
 		struct tw_cl_compatibility_packet	compat_pkt;
 		int8_t					data_buf[1];
 	} payload;
-}  __attribute__ ((packed)) TWA_IOCTL_WITH_PAYLOAD;
+}  __packed TWA_IOCTL_WITH_PAYLOAD;
 
 /*
  * We need the structure below to ensure that the first byte of
@@ -130,7 +130,7 @@
 	void				*pdata; /* points to data_buf */
 	int8_t				padding[488 - TW_SIZEOF_VOIDPTR];
 	struct twa_command_packet	twa_cmd_pkt;
-}  __attribute__ ((packed)) TWA_IOCTL_NO_DATA_BUF;
+}  __packed TWA_IOCTL_NO_DATA_BUF;
 
 
 /*
Index: sys/dev/pci/twareg.h
===================================================================
RCS file: /cvsroot/src/sys/dev/pci/twareg.h,v
retrieving revision 1.9
diff -u -r1.9 twareg.h
--- sys/dev/pci/twareg.h	8 May 2008 11:27:54 -0000	1.9
+++ sys/dev/pci/twareg.h	31 Aug 2008 02:33:41 -0000
@@ -241,7 +241,7 @@
 	uint32_t	xx_address_xx;	/* Fail if userland tries to use this */
 #endif
 	uint32_t	length;
-} __attribute__ ((packed));
+} __packed;
 
 
 /* 7000 structures. */
@@ -260,7 +260,7 @@
 	uint16_t	fw_branch;
 	uint16_t	fw_build;
 	uint32_t	result;
-}__attribute__ ((packed));
+}__packed;
 
 struct twa_command_download_firmware {
 	uint8_t		opcode:5;	/* TWA_DOWNLOAD_FIRMWARE */
@@ -272,7 +272,7 @@
 	uint8_t		flags;
 	uint16_t	param;
 	uint8_t		sgl[1];
-} __attribute__ ((packed));
+} __packed;
 
 
 struct twa_command_reset_firmware {
@@ -285,7 +285,7 @@
 	uint8_t		flags;
 	uint8_t		res2;
 	uint8_t		param;
-} __attribute__ ((packed));
+} __packed;
 
 
 struct twa_command_io {
@@ -300,7 +300,7 @@
 	uint16_t	block_count;
 	uint32_t	lba;
 	struct twa_sg	sgl[TWA_MAX_SG_ELEMENTS];
-} __attribute__ ((packed));
+} __packed;
 
 
 struct twa_command_hotswap {
@@ -317,7 +317,7 @@
 #define TWA_OP_HOTSWAP_ADD_CBOD		0x01	/* add CBOD to empty port */
 #define TWA_OP_HOTSWAP_ADD_SPARE	0x02	/* add spare to empty port */
 	uint8_t		aport;
-} __attribute__ ((packed));
+} __packed;
 
 
 struct twa_command_param {
@@ -331,7 +331,7 @@
 	uint8_t		flags;
 	uint16_t	param_count;
 	uint8_t		sgl[1];
-} __attribute__ ((packed));
+} __packed;
 
 
 struct twa_command_rebuildunit {
@@ -350,7 +350,7 @@
 #define TWA_OP_REBUILDUNIT_STARTUNIT	5	/* rebuild src_unit (not supported) */
 	uint8_t		cs:1;			/* request state change on src_unit */
 	uint8_t		logical_subunit;	/* for RAID10 rebuild of logical subunit */
-} __attribute__ ((packed));
+} __packed;
 
 
 struct twa_command_ata {
@@ -371,7 +371,7 @@
 	uint8_t		drive_head;
 	uint8_t		command;
 	struct twa_sg	sgl[TWA_MAX_ATA_SG_ELEMENTS];
-} __attribute__ ((packed));
+} __packed;
 
 
 struct twa_command_generic {
@@ -389,7 +389,7 @@
 #define TWA_FLAGS_FATAL		0x03
 #define TWA_FLAGS_PERCENTAGE	(1<<8)	/* bits 0-6 indicate completion percentage */
 	uint16_t	count;		/* block count, parameter count, message credits */
-} __attribute__ ((packed));
+} __packed;
 
 /* Command packet header. */
 #pragma pack(1)
@@ -410,7 +410,7 @@
 		uint16_t	reserved;
 		uint8_t		size_sense;
 	} header_desc;
-} __attribute__ ((packed));
+} __packed;
 #pragma pack()
 
 
@@ -422,7 +422,7 @@
 	struct twa_command_param		param;
 	struct twa_command_generic		generic;
 	uint8_t padding[1024 - sizeof(struct twa_command_header)];
-} __attribute__ ((packed));
+} __packed;
 
 
 /* 9000 structures. */
@@ -441,7 +441,7 @@
 	uint8_t		cdb[16];
 	struct twa_sg	sg_list[TWA_MAX_SG_ELEMENTS];
 	uint8_t		padding[32];
-} __attribute__ ((packed));
+} __packed;
 
 
 
@@ -452,7 +452,7 @@
 		union twa_command_7k	cmd_pkt_7k;
 		struct twa_command_9k 	cmd_pkt_9k;
 	} command;
-} __attribute__ ((packed));
+} __packed;
 
 
 /* Response queue entry. */
@@ -463,7 +463,7 @@
 		uint32_t	undefined_2:20;
 	} u;
 	uint32_t	value;
-} __attribute__ ((packed));
+} __packed;
 
 
 #define TWA_AEN_QUEUE_EMPTY		0x00
@@ -511,6 +511,6 @@
 	uint16_t	parameter_size_bytes;
 	uint16_t	parameter_actual_size_bytes;
 	uint8_t		data[1];
-} __attribute__ ((packed));
+} __packed;
 
 #endif	/* !_PCI_TWAREG_H_ */
Index: sys/dev/pci/twereg.h
===================================================================
RCS file: /cvsroot/src/sys/dev/pci/twereg.h,v
retrieving revision 1.14
diff -u -r1.14 twereg.h
--- sys/dev/pci/twereg.h	28 Apr 2008 20:23:55 -0000	1.14
+++ sys/dev/pci/twereg.h	31 Aug 2008 02:33:41 -0000
@@ -149,7 +149,7 @@
 struct twe_sgb {
 	u_int32_t	tsg_address;
 	u_int32_t	tsg_length;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * Command block.  This is 512 (really 508) bytes in size, and must be
@@ -167,16 +167,16 @@
 		struct {
 			u_int32_t	lba;
 			struct	twe_sgb sgl[TWE_SG_SIZE];
-		} io __attribute__ ((__packed__));
+		} io __packed;
 		struct {
 			struct	twe_sgb sgl[TWE_SG_SIZE];
 		} param;
 		struct {
 			u_int32_t	response_queue_pointer;
-		} init_connection  __attribute__ ((__packed__));
+		} init_connection  __packed;
 	} tc_args;
 	int32_t		tc_pad;
-} __attribute__ ((__packed__));
+} __packed;
 
 /* Get/set parameter block. */
 struct twe_param {
@@ -184,7 +184,7 @@
 	u_int8_t	tp_param_id;
 	u_int8_t	tp_param_size;
 	u_int8_t	tp_data[1];
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * From 3ware's documentation:
@@ -306,14 +306,14 @@
 	u_int8_t	log_drv_num;	/* must be zero for configuration == 0x0f */
 	u_int32_t	start_lba;
 	u_int32_t	block_count;	/* actual drive size if configuration == 0x0f, otherwise less DCB size */
-} __attribute__ ((packed));
+} __packed;
 
 struct twe_mirror_descriptor {
 	u_int8_t	flag;			/* must be 0xff */
 	u_int8_t	res1;
 	u_int8_t	mirunit_status[4];	/* bitmap of functional subunits in each mirror */
 	u_int8_t	res2[6];
-} __attribute__ ((packed));
+} __packed;
 
 struct twe_array_descriptor {
 	u_int8_t	num_subunits;	/* number of subunits, or number of mirror units in RAID10 */
@@ -337,6 +337,6 @@
 	u_int32_t		start_lba;
 	u_int32_t		block_count;	/* actual drive size if configuration == 0x0f, otherwise less DCB size */
 	struct twe_unit_descriptor	subunit[1];
-} __attribute__ ((packed));
+} __packed;
 
 #endif	/* !_PCI_TWEREG_H_ */
Index: sys/dev/sbus/zxreg.h
===================================================================
RCS file: /cvsroot/src/sys/dev/sbus/zxreg.h,v
retrieving revision 1.4
diff -u -r1.4 zxreg.h
--- sys/dev/sbus/zxreg.h	28 Apr 2008 20:23:57 -0000	1.4
+++ sys/dev/sbus/zxreg.h	31 Aug 2008 02:33:41 -0000
@@ -200,12 +200,12 @@
 	u_int32_t	zd_forcecol;	/* SS1 only */
 	u_int32_t	zd_door[8];	/* SS1 only */
 	u_int32_t	zd_pick[5];	/* SS1 only */
-} __attribute__ ((__packed__));
+} __packed;
 
 struct zx_draw_ss1 {
 	u_int32_t	zd_pad0[957];
 	u_int32_t	zd_misc;
-} __attribute__ ((__packed__));
+} __packed;
 #define	ZX_SS1_MISC_ENABLE	0x00000001
 #define	ZX_SS1_MISC_STEREO	0x00000002
 
@@ -230,7 +230,7 @@
 	u_int32_t	zc_dst;
 	u_int32_t	zc_copy;
 	u_int32_t	zc_fill;
-} __attribute__ ((__packed__));
+} __packed;
 
 #define ZX_CROSS_TYPE_CLUT0	0x00001000
 #define ZX_CROSS_TYPE_CLUT1	0x00001001
@@ -249,7 +249,7 @@
 	u_int32_t	zx_type;
 	u_int32_t	zx_csr;
 	u_int32_t	zx_value;
-} __attribute__ ((__packed__));
+} __packed;
 
 struct zx_cursor {
 	u_int32_t	zcu_pad0[4];
@@ -257,6 +257,6 @@
 	u_int32_t	zcu_misc;
 	u_int32_t	zcu_sxy;
 	u_int32_t	zcu_data;
-} __attribute__ ((__packed__));
+} __packed;
 
 #endif	/* !_DEV_SBUS_ZXREG_H_ */
Index: sys/dev/scsipi/scsipi_cd.h
===================================================================
RCS file: /cvsroot/src/sys/dev/scsipi/scsipi_cd.h,v
retrieving revision 1.19
diff -u -r1.19 scsipi_cd.h
--- sys/dev/scsipi/scsipi_cd.h	2 May 2008 15:56:25 -0000	1.19
+++ sys/dev/scsipi/scsipi_cd.h	31 Aug 2008 02:33:41 -0000
@@ -250,7 +250,7 @@
 	uint8_t  tracksessionnr[2];
 	uint8_t  unused2[3];
 	uint8_t  control;
-} __attribute__((packed));
+} __packed;
 
 
 #define RESERVE_TRACK 0x53
@@ -259,7 +259,7 @@
 	uint8_t  reserved[4];
 	uint8_t  reservation_size[4];
 	uint8_t  control;
-} __attribute__((packed));
+} __packed;
 
 
 #define REPAIR_TRACK 0x58
@@ -270,7 +270,7 @@
 	uint8_t  tracknr[2];		/* logical track nr */
 	uint8_t  reserved3[3];
 	uint8_t  control;
-} __attribute__((packed));
+} __packed;
 
 
 #define READ_CD_CAPACITY	0x25	/* slightly different from disk */
Index: sys/dev/scsipi/scsipiconf.h
===================================================================
RCS file: /cvsroot/src/sys/dev/scsipi/scsipiconf.h,v
retrieving revision 1.112
diff -u -r1.112 scsipiconf.h
--- sys/dev/scsipi/scsipiconf.h	11 May 2008 05:17:23 -0000	1.112
+++ sys/dev/scsipi/scsipiconf.h	31 Aug 2008 02:33:42 -0000
@@ -526,7 +526,7 @@
 	u_int8_t xs_tag_id;		/* tag ID */
 
 	struct	scsipi_generic cmdstore
-	    __attribute__ ((aligned (4)));/* stash the command in here */
+	    __aligned(4);		/* stash the command in here */
 };
 
 /*
Index: sys/dev/sysmon/sysmon_power.c
===================================================================
RCS file: /cvsroot/src/sys/dev/sysmon/sysmon_power.c,v
retrieving revision 1.39
diff -u -r1.39 sysmon_power.c
--- sys/dev/sysmon/sysmon_power.c	22 Aug 2008 11:27:50 -0000	1.39
+++ sys/dev/sysmon/sysmon_power.c	31 Aug 2008 02:33:42 -0000
@@ -431,6 +431,7 @@
 sysmonread_power(dev_t dev, struct uio *uio, int flags)
 {
 	power_event_t pev;
+	int rv;
 
 	/* We only allow one event to be read at a time. */
 	if (uio->uio_resid != POWER_EVENT_MSG_SIZE)
@@ -439,19 +440,21 @@
 	mutex_enter(&sysmon_power_event_queue_mtx);
 	for (;;) {
 		if (sysmon_get_power_event(&pev)) {
-			mutex_exit(&sysmon_power_event_queue_mtx);
-			return uiomove(&pev, POWER_EVENT_MSG_SIZE, uio);
+			rv =  uiomove(&pev, POWER_EVENT_MSG_SIZE, uio);
+			break;
 		}
 
 		if (flags & IO_NDELAY) {
-			mutex_exit(&sysmon_power_event_queue_mtx);
-			return EWOULDBLOCK;
+			rv = EWOULDBLOCK;
+			break;
 		}
 
 		cv_wait(&sysmon_power_event_queue_cv,
 			&sysmon_power_event_queue_mtx);
 	}
 	mutex_exit(&sysmon_power_event_queue_mtx);
+
+	return rv;
 }
 
 /*
Index: sys/dev/sysmon/sysmon_taskq.c
===================================================================
RCS file: /cvsroot/src/sys/dev/sysmon/sysmon_taskq.c,v
retrieving revision 1.13
diff -u -r1.13 sysmon_taskq.c
--- sys/dev/sysmon/sysmon_taskq.c	6 Apr 2008 09:42:04 -0000	1.13
+++ sys/dev/sysmon/sysmon_taskq.c	31 Aug 2008 02:33:42 -0000
@@ -145,29 +145,27 @@
 	 * condition; it's probably more important to actually run
 	 * all the tasks before we exit.
 	 */
+	mutex_enter(&sysmon_task_queue_mtx);
 	for (;;) {
-		mutex_enter(&sysmon_task_queue_mtx);
 		st = TAILQ_FIRST(&sysmon_task_queue);
-		if (st == NULL) {
+		if (st != NULL) {
+			TAILQ_REMOVE(&sysmon_task_queue, st, st_list);
+			mutex_exit(&sysmon_task_queue_mtx);
+			(*st->st_func)(st->st_arg);
+			free(st, M_TEMP);
+			mutex_enter(&sysmon_task_queue_mtx);
+		} else {
 			/* Check for the exit condition. */
-			if (sysmon_task_queue_cleanup_sem != 0) {
-				/* Time to die. */
-				sysmon_task_queue_cleanup_sem = 0;
-				cv_broadcast(&sysmon_task_queue_cv);
-				mutex_exit(&sysmon_task_queue_mtx);
-				kthread_exit(0);
-			}
+			if (sysmon_task_queue_cleanup_sem != 0)
+				break;
 			cv_wait(&sysmon_task_queue_cv, &sysmon_task_queue_mtx);
-			mutex_exit(&sysmon_task_queue_mtx);
-			continue;
 		}
-		TAILQ_REMOVE(&sysmon_task_queue, st, st_list);
-		mutex_exit(&sysmon_task_queue_mtx);
-
-		(*st->st_func)(st->st_arg);
-		free(st, M_TEMP);
 	}
-	panic("sysmon_task_queue_thread: impossible");
+	/* Time to die. */
+	sysmon_task_queue_cleanup_sem = 0;
+	cv_broadcast(&sysmon_task_queue_cv);
+	mutex_exit(&sysmon_task_queue_mtx);
+	kthread_exit(0);
 }
 
 /*
Index: sys/dev/tc/sticreg.h
===================================================================
RCS file: /cvsroot/src/sys/dev/tc/sticreg.h,v
retrieving revision 1.8
diff -u -r1.8 sticreg.h
--- sys/dev/tc/sticreg.h	28 Apr 2008 20:23:58 -0000	1.8
+++ sys/dev/tc/sticreg.h	31 Aug 2008 02:33:42 -0000
@@ -194,7 +194,7 @@
 	u_int32_t	sr_pad3;
 	u_int32_t	sr_buscsr;
 	u_int32_t	sr_modcl;
-} __attribute__ ((__packed__));
+} __packed;
 
 /*
  * Bit definitions for stic_regs::sticsr.
Index: sys/fs/efs/efs_extent.h
===================================================================
RCS file: /cvsroot/src/sys/fs/efs/efs_extent.h,v
retrieving revision 1.3
diff -u -r1.3 efs_extent.h
--- sys/fs/efs/efs_extent.h	4 Jul 2007 19:24:09 -0000	1.3
+++ sys/fs/efs/efs_extent.h	31 Aug 2008 02:33:43 -0000
@@ -34,10 +34,14 @@
  */
 struct efs_dextent {
 	union {
+#ifdef __PCC__
+		uint64_t ex_info;
+#else
 		uint64_t ex_magic:8,	/* magic number (always 0) */
 			 ex_bn:24,	/* bb number in filesystem */
 			 ex_length:8,	/* length of extent (in bb) */
 			 ex_offset:24;	/* logical file offset (in bb) */
+#endif
 		uint8_t  bytes[8];
 		uint32_t words[2];
 	} ex_muddle;
Index: sys/fs/hfs/hfs.h
===================================================================
RCS file: /cvsroot/src/sys/fs/hfs/hfs.h,v
retrieving revision 1.6
diff -u -r1.6 hfs.h
--- sys/fs/hfs/hfs.h	8 Aug 2007 09:21:34 -0000	1.6
+++ sys/fs/hfs/hfs.h	31 Aug 2008 02:33:43 -0000
@@ -81,7 +81,7 @@
 			uint16_t		flags;
 			uint32_t		valence;
 			hfs_cnid_t		cnid;
-		}; /* convenience for accessing common record info */
+		} u; /* convenience for accessing common record info */
 	} h_rec; /* catalog record for this hnode */
 	
 	/*
Index: sys/fs/hfs/hfs_nhash.c
===================================================================
RCS file: /cvsroot/src/sys/fs/hfs/hfs_nhash.c,v
retrieving revision 1.8
diff -u -r1.8 hfs_nhash.c
--- sys/fs/hfs/hfs_nhash.c	5 May 2008 17:11:16 -0000	1.8
+++ sys/fs/hfs/hfs_nhash.c	31 Aug 2008 02:33:43 -0000
@@ -124,7 +124,7 @@
 	mutex_enter(&hfs_nhash_lock);
 	hpp = &nhashtbl[HNOHASH(dev, cnid, fork)];
 	LIST_FOREACH(hp, hpp, h_hash) {
-		if (cnid == hp->h_rec.cnid && dev == hp->h_dev) {
+		if (cnid == hp->h_rec.u.cnid && dev == hp->h_dev) {
 			vp = HTOV(hp);
 			if (flags == 0) {
 				mutex_exit(&hfs_nhash_lock);
@@ -153,7 +153,7 @@
 	vlockmgr(&hp->h_vnode->v_lock, LK_EXCLUSIVE);
 
 	mutex_enter(&hfs_nhash_lock);
-	hpp = &nhashtbl[HNOHASH(hp->h_dev, hp->h_rec.cnid, hp->h_fork)];
+	hpp = &nhashtbl[HNOHASH(hp->h_dev, hp->h_rec.u.cnid, hp->h_fork)];
 	LIST_INSERT_HEAD(hpp, hp, h_hash);
 	mutex_exit(&hfs_nhash_lock);
 }
Index: sys/fs/hfs/hfs_subr.c
===================================================================
RCS file: /cvsroot/src/sys/fs/hfs/hfs_subr.c,v
retrieving revision 1.9
diff -u -r1.9 hfs_subr.c
--- sys/fs/hfs/hfs_subr.c	16 May 2008 09:21:59 -0000	1.9
+++ sys/fs/hfs/hfs_subr.c	31 Aug 2008 02:33:43 -0000
@@ -87,7 +87,7 @@
 			break;
 	}
 
-	if (hp->h_rec.cnid == HFS_CNID_ROOT_FOLDER)
+	if (hp->h_rec.u.cnid == HFS_CNID_ROOT_FOLDER)
 		vp->v_vflag |= VV_ROOT;
 
 	*vpp = vp;
Index: sys/fs/hfs/hfs_vfsops.c
===================================================================
RCS file: /cvsroot/src/sys/fs/hfs/hfs_vfsops.c,v
retrieving revision 1.18
diff -u -r1.18 hfs_vfsops.c
--- sys/fs/hfs/hfs_vfsops.c	10 May 2008 02:26:09 -0000	1.18
+++ sys/fs/hfs/hfs_vfsops.c	31 Aug 2008 02:33:43 -0000
@@ -579,7 +579,7 @@
 	 * to read the disk.
 	 */
 	hnode->h_dev = dev;
-	hnode->h_rec.cnid = cnid;
+	hnode->h_rec.u.cnid = cnid;
 	hnode->h_fork = fork;
 
 	hfs_nhashinsert(hnode);
@@ -619,7 +619,7 @@
 	VREF(hnode->h_devvp);  /* Increment the ref count to the volume's device. */
 
 	/* Make sure UVM has allocated enough memory. (?) */
-	if (hnode->h_rec.rec_type == HFS_REC_FILE) {
+	if (hnode->h_rec.u.rec_type == HFS_REC_FILE) {
 		if (hnode->h_fork == HFS_DATAFORK)
 			uvm_vnp_setsize(vp,
 			    hnode->h_rec.file.data_fork.logical_size);
Index: sys/fs/hfs/hfs_vnops.c
===================================================================
RCS file: /cvsroot/src/sys/fs/hfs/hfs_vnops.c,v
retrieving revision 1.10
diff -u -r1.10 hfs_vnops.c
--- sys/fs/hfs/hfs_vnops.c	29 Apr 2008 18:18:08 -0000	1.10
+++ sys/fs/hfs/hfs_vnops.c	31 Aug 2008 02:33:43 -0000
@@ -391,7 +391,7 @@
 		if (error != 0)
 			goto error;
 		*vpp = tdp;
-/*	} else if (dp->h_rec.cnid == rec.file.cnid) {*/
+/*	} else if (dp->h_rec.u.cnid == rec.file.u.cnid) {*/
 	} else if (cnp->cn_namelen == 1 && pname[0] == '.') {
 /*printf("DOT ");*/
 		VREF(vdp);	/* we want ourself, ie "." */
@@ -408,7 +408,7 @@
 		len = utf8_to_utf16(unicn, cnp->cn_namelen,
 				    cnp->cn_nameptr, cnp->cn_namelen, 0, NULL);
 		/* XXX: check conversion errors? */
-		if (hfslib_make_catalog_key(VTOH(vdp)->h_rec.cnid, len, unicn,
+		if (hfslib_make_catalog_key(VTOH(vdp)->h_rec.u.cnid, len, unicn,
 			&key) == 0) {
 /*printf("ERROR in hfslib_make_catalog_key\n");*/
 			error = EINVAL;
@@ -584,7 +584,7 @@
 	 * XXX record those values are not set on files created under Mac OS 9.
 	 */
 	vap->va_type = ap->a_vp->v_type;
-	if (hp->h_rec.rec_type == HFS_REC_FILE) {
+	if (hp->h_rec.u.rec_type == HFS_REC_FILE) {
 		if (hp->h_fork == HFS_RSRCFORK)
 			fork = &hp->h_rec.file.rsrc_fork;
 		else
@@ -598,7 +598,7 @@
 		hfs_time_to_timespec(hp->h_rec.file.date_accessed, &vap->va_atime);
 		vap->va_nlink = 1;
 	}
-	else if (hp->h_rec.rec_type == HFS_REC_FLDR) {
+	else if (hp->h_rec.u.rec_type == HFS_REC_FLDR) {
 		vap->va_fileid = hp->h_rec.folder.cnid;
 		bsd = &hp->h_rec.folder.bsd;
 		vap->va_size = 512; /* XXX Temporary */
@@ -610,13 +610,13 @@
 	}
 	else {
 		printf("hfslus: hfs_vop_getattr(): invalid record type %i",
-			hp->h_rec.rec_type);
+			hp->h_rec.u.rec_type);
 		return EINVAL;
 	}
 
 	if ((bsd->file_mode & S_IFMT) == 0) {
 		/* no bsd permissions recorded, use default values */
-		if (hp->h_rec.rec_type == HFS_REC_FILE)
+		if (hp->h_rec.u.rec_type == HFS_REC_FILE)
 			vap->va_mode = (S_IFREG | HFS_DEFAULT_FILE_MODE);
 		else
 			vap->va_mode = (S_IFDIR | HFS_DEFAULT_DIR_MODE);
@@ -740,7 +740,7 @@
 	cbargs.read = &argsread;
 
 	numextents = hfslib_get_file_extents(&hp->h_hmp->hm_vol,
-	    hp->h_rec.cnid, hp->h_fork, &extents, &cbargs);
+	    hp->h_rec.u.cnid, hp->h_fork, &extents, &cbargs);
 
 	/* XXX: is this correct for 0-length files? */
 	if (numextents == 0)
@@ -888,7 +888,7 @@
 	cbargs.read = &argsread;
 	
 	/* XXX Should we cache this? */
-	if (hfslib_get_directory_contents(&hp->h_hmp->hm_vol, hp->h_rec.cnid,
+	if (hfslib_get_directory_contents(&hp->h_hmp->hm_vol, hp->h_rec.u.cnid,
 		&children, &childnames, &numchildren, &cbargs) != 0) {
 /*printf("NOENT\n");*/
 		error = ENOENT;
Index: sys/fs/hfs/libhfs.h
===================================================================
RCS file: /cvsroot/src/sys/fs/hfs/libhfs.h,v
retrieving revision 1.3
diff -u -r1.3 libhfs.h
--- sys/fs/hfs/libhfs.h	22 Mar 2007 13:21:28 -0000	1.3
+++ sys/fs/hfs/libhfs.h	31 Aug 2008 02:33:43 -0000
@@ -62,9 +62,15 @@
 
 
 /* Macros to handle errors in this library. Not recommended outside libhfs.c */
+#ifdef __PCC__
 #define HFS_LIBERR(format, ...) \
-	do{ hfslib_error(format, __FILE__, __LINE__ , ##__VA_ARGS__); \
+	do{ hfslib_error(format, __FILE__, __LINE__); \
 		goto error; } while(/*CONSTCOND*/ 0)
+#else
+#define HFS_LIBERR(format, ...) \
+	do{ hfslib_error(format, __FILE__, __LINE__, ##__VA_ARGS__); \
+		goto error; } while(/*CONSTCOND*/ 0)
+#endif
 
 #if 0
 #pragma mark Constants (on-disk)
Index: sys/kern/subr_autoconf.c
===================================================================
RCS file: /cvsroot/src/sys/kern/subr_autoconf.c,v
retrieving revision 1.161
diff -u -r1.161 subr_autoconf.c
--- sys/kern/subr_autoconf.c	27 Aug 2008 05:40:25 -0000	1.161
+++ sys/kern/subr_autoconf.c	31 Aug 2008 02:33:44 -0000
@@ -1117,14 +1117,14 @@
 	while (new <= n)
 		new *= 2;
 	cd->cd_ndevs = new;
-	nsp = kmem_alloc(sizeof(device_t [new]), kmflags);
+	nsp = kmem_alloc(new * sizeof(device_t), kmflags);
 	if (nsp == NULL)
 		panic("config_attach: %sing dev array",
 		    old != 0 ? "expand" : "creat");
-	memset(nsp + old, 0, sizeof(device_t [new - old]));
+	memset(nsp + old, 0, (new - old) * sizeof(device_t));
 	if (old != 0) {
-		memcpy(nsp, cd->cd_devs, sizeof(device_t [old]));
-		kmem_free(cd->cd_devs, sizeof(device_t [old]));
+		memcpy(nsp, cd->cd_devs, old * sizeof(device_t));
+		kmem_free(cd->cd_devs, old * sizeof(device_t));
 	}
 	cd->cd_devs = nsp;
 }
@@ -1172,7 +1172,7 @@
 			return;
 	}
 	/* nothing found; deallocate */
-	kmem_free(cd->cd_devs, sizeof(device_t [cd->cd_ndevs]));
+	kmem_free(cd->cd_devs, cd->cd_ndevs * sizeof(device_t));
 	cd->cd_devs = NULL;
 	cd->cd_ndevs = 0;
 }
@@ -1269,9 +1269,9 @@
 		ia = cfiattr_lookup(cf->cf_pspec->cfp_iattr,
 				    parent->dv_cfdriver);
 		dev->dv_locators =
-		    kmem_alloc(sizeof(int [ia->ci_loclen + 1]), kmflags);
-		*dev->dv_locators++ = sizeof(int [ia->ci_loclen + 1]);
-		memcpy(dev->dv_locators, locs, sizeof(int [ia->ci_loclen]));
+		    kmem_alloc((ia->ci_loclen + 1) * sizeof(int), kmflags);
+		*dev->dv_locators++ = (ia->ci_loclen + 1) * sizeof(int);
+		memcpy(dev->dv_locators, locs, ia->ci_loclen * sizeof(int));
 	}
 	dev->dv_properties = prop_dictionary_create();
 	KASSERT(dev->dv_properties != NULL);
@@ -2445,12 +2445,12 @@
 	}
 
 	new_size = old_size + 4;
-	new_handlers = kmem_alloc(sizeof(void *[new_size]), KM_SLEEP);
+	new_handlers = kmem_alloc(sizeof(void *) * new_size, KM_SLEEP);
 
-	memcpy(new_handlers, old_handlers, sizeof(void *[old_size]));
+	memcpy(new_handlers, old_handlers, sizeof(void *) * old_size);
 	new_handlers[old_size] = handler;
 	memset(new_handlers + old_size + 1, 0,
-	    sizeof(int [new_size - (old_size+1)]));
+	    sizeof(int) * (new_size - (old_size+1)));
 
 	s = splhigh();
 	dev->dv_activity_count = new_size;
@@ -2458,7 +2458,7 @@
 	splx(s);
 
 	if (old_handlers != NULL)
-		kmem_free(old_handlers, sizeof(int [old_size]));
+		kmem_free(old_handlers, sizeof(int) * old_size);
 
 	return true;
 }
@@ -2492,7 +2492,7 @@
 			dev->dv_activity_count = 0;
 			dev->dv_activity_handlers = NULL;
 			splx(s);
-			kmem_free(old_handlers, sizeof(void *[old_size]));
+			kmem_free(old_handlers, sizeof(void *) * old_size);
 		}
 		return;
 	}
Index: sys/kern/vfs_wapbl.c
===================================================================
RCS file: /cvsroot/src/sys/kern/vfs_wapbl.c,v
retrieving revision 1.3
diff -u -r1.3 vfs_wapbl.c
--- sys/kern/vfs_wapbl.c	11 Aug 2008 02:45:27 -0000	1.3
+++ sys/kern/vfs_wapbl.c	31 Aug 2008 02:33:44 -0000
@@ -1194,11 +1194,15 @@
 #endif
 
 	if (bp->b_error) {
-#ifdef notyet /* Can't currently handle possible dirty buffer reuse */
+#ifdef notyet
+		/* Can't currently handle possible dirty buffer reuse */
+
+		/*
 		XXXpooka: interfaces not fully updated
 		Note: this was not enabled in the original patch
 		against netbsd4 either.  I don't know if comment
 		above is true or not.
+		*/
 
 		/*
 		 * If an error occurs, report the error and leave the
Index: sys/lib/libkern/libkern.h
===================================================================
RCS file: /cvsroot/src/sys/lib/libkern/libkern.h,v
retrieving revision 1.81
diff -u -r1.81 libkern.h
--- sys/lib/libkern/libkern.h	2 Jul 2008 15:25:08 -0000	1.81
+++ sys/lib/libkern/libkern.h	31 Aug 2008 02:33:45 -0000
@@ -43,15 +43,15 @@
 #define LIBKERN_BODY
 #endif
 
-LIBKERN_INLINE int imax __P((int, int)) __attribute__ ((unused));
-LIBKERN_INLINE int imin __P((int, int)) __attribute__ ((unused));
-LIBKERN_INLINE u_int max __P((u_int, u_int)) __attribute__ ((unused));
-LIBKERN_INLINE u_int min __P((u_int, u_int)) __attribute__ ((unused));
-LIBKERN_INLINE long lmax __P((long, long)) __attribute__ ((unused));
-LIBKERN_INLINE long lmin __P((long, long)) __attribute__ ((unused));
-LIBKERN_INLINE u_long ulmax __P((u_long, u_long)) __attribute__ ((unused));
-LIBKERN_INLINE u_long ulmin __P((u_long, u_long)) __attribute__ ((unused));
-LIBKERN_INLINE int abs __P((int)) __attribute__ ((unused));
+LIBKERN_INLINE int imax __P((int, int)) __unused;
+LIBKERN_INLINE int imin __P((int, int)) __unused;
+LIBKERN_INLINE u_int max __P((u_int, u_int)) __unused;
+LIBKERN_INLINE u_int min __P((u_int, u_int)) __unused;
+LIBKERN_INLINE long lmax __P((long, long)) __unused;
+LIBKERN_INLINE long lmin __P((long, long)) __unused;
+LIBKERN_INLINE u_long ulmax __P((u_long, u_long)) __unused;
+LIBKERN_INLINE u_long ulmin __P((u_long, u_long)) __unused;
+LIBKERN_INLINE int abs __P((int)) __unused;
 
 LIBKERN_INLINE int isspace __P((int)) __unused;
 LIBKERN_INLINE int isascii __P((int)) __unused;
Index: sys/net/if_gre.h
===================================================================
RCS file: /cvsroot/src/sys/net/if_gre.h,v
retrieving revision 1.38
diff -u -r1.38 if_gre.h
--- sys/net/if_gre.h	15 May 2008 04:03:53 -0000	1.38
+++ sys/net/if_gre.h	31 Aug 2008 02:33:46 -0000
@@ -63,7 +63,7 @@
 	, GRE_S_DIE
 };
 
-#define	__cacheline_aligned	__attribute__((__aligned__(CACHE_LINE_SIZE)))
+#define	__cacheline_aligned	__aligned(CACHE_LINE_SIZE)
 
 struct gre_bufq {
 	volatile int	bq_prodidx;
Index: sys/net/if_llc.h
===================================================================
RCS file: /cvsroot/src/sys/net/if_llc.h,v
retrieving revision 1.19
diff -u -r1.19 if_llc.h
--- sys/net/if_llc.h	20 Feb 2008 17:05:53 -0000	1.19
+++ sys/net/if_llc.h	31 Aug 2008 02:33:47 -0000
@@ -51,15 +51,15 @@
 		uint8_t format_id;
 		uint8_t class;
 		uint8_t window_x2;
-	    } type_u /* XXX __attribute__((__packed__)) ??? */;
+	    } type_u /* XXX __packed ??? */;
 	    struct {
 		uint8_t num_snd_x2;
 		uint8_t num_rcv_x2;
-	    } type_i /* XXX __attribute__((__packed__)) ??? */;
+	    } type_i /* XXX __packed ??? */;
 	    struct {
 		uint8_t control;
 		uint8_t num_rcv_x2;
-	    } type_s /* XXX __attribute__((__packed__)) ??? */;
+	    } type_s /* XXX __packed ??? */;
 	    struct {
 	        uint8_t control;
 		/*
@@ -71,7 +71,7 @@
 		uint8_t frmr_control;
 		uint8_t frmr_control_ext;
 		uint8_t frmr_cause;
-	    } type_frmr /* XXX __attribute__((__packed__)) ??? */;
+	    } type_frmr /* XXX __packed ??? */;
 	    struct {
 		uint8_t  control;
 		uint8_t  org_code[3];
@@ -80,8 +80,8 @@
 	    struct {
 		uint8_t control;
 		uint8_t control_ext;
-	    } type_raw /* XXX __attribute__((__packed__)) ??? */;
-	} llc_un /* XXX __attribute__((__packed__)) ??? */;
+	    } type_raw /* XXX __packed ??? */;
+	} llc_un /* XXX __packed ??? */;
 } __packed;
 
 struct frmrinfo {
Index: sys/net80211/ieee80211_radiotap.h
===================================================================
RCS file: /cvsroot/src/sys/net80211/ieee80211_radiotap.h,v
retrieving revision 1.19
diff -u -r1.19 ieee80211_radiotap.h
--- sys/net80211/ieee80211_radiotap.h	28 Jul 2008 17:54:02 -0000	1.19
+++ sys/net80211/ieee80211_radiotap.h	31 Aug 2008 02:33:47 -0000
@@ -81,7 +81,7 @@
 					 * Additional extensions are made
 					 * by setting bit 31.
 					 */
-} __attribute__((__packed__, __aligned__(8)));
+} __packed __aligned(8);
 
 /*
  * Name                                 Data type       Units
Index: sys/netbt/bluetooth.h
===================================================================
RCS file: /cvsroot/src/sys/netbt/bluetooth.h,v
retrieving revision 1.7
diff -u -r1.7 bluetooth.h
--- sys/netbt/bluetooth.h	24 Apr 2008 11:38:37 -0000	1.7
+++ sys/netbt/bluetooth.h	31 Aug 2008 02:33:47 -0000
@@ -52,7 +52,7 @@
  */
 typedef struct {
 	uint8_t	b[BLUETOOTH_BDADDR_SIZE];
-} __attribute__ ((packed)) bdaddr_t;
+} __packed bdaddr_t;
 
 /*
  * bdaddr utility functions
Index: sys/netbt/hci.h
===================================================================
RCS file: /cvsroot/src/sys/netbt/hci.h,v
retrieving revision 1.27
diff -u -r1.27 hci.h
--- sys/netbt/hci.h	6 Aug 2008 15:01:24 -0000	1.27
+++ sys/netbt/hci.h	31 Aug 2008 02:33:48 -0000
@@ -402,7 +402,7 @@
 	uint8_t		type;	/* MUST be 0x01 */
 	uint16_t	opcode; /* OpCode */
 	uint8_t		length; /* parameter(s) length in bytes */
-} __attribute__ ((__packed__)) hci_cmd_hdr_t;
+} __packed hci_cmd_hdr_t;
 
 #define HCI_CMD_PKT			0x01
 #define HCI_CMD_PKT_SIZE		(sizeof(hci_cmd_hdr_t) + 0xff)
@@ -412,7 +412,7 @@
 	uint8_t		type;	     /* MUST be 0x02 */
 	uint16_t	con_handle;  /* connection handle + PB + BC flags */
 	uint16_t	length;      /* payload length in bytes */
-} __attribute__ ((__packed__)) hci_acldata_hdr_t;
+} __packed hci_acldata_hdr_t;
 
 #define HCI_ACL_DATA_PKT		0x02
 #define HCI_ACL_PKT_SIZE		(sizeof(hci_acldata_hdr_t) + 0xffff)
@@ -422,7 +422,7 @@
 	uint8_t		type;	    /* MUST be 0x03 */
 	uint16_t	con_handle; /* connection handle + reserved bits */
 	uint8_t		length;     /* payload length in bytes */
-} __attribute__ ((__packed__)) hci_scodata_hdr_t;
+} __packed hci_scodata_hdr_t;
 
 #define HCI_SCO_DATA_PKT		0x03
 #define HCI_SCO_PKT_SIZE		(sizeof(hci_scodata_hdr_t) + 0xff)
@@ -432,7 +432,7 @@
 	uint8_t		type;	/* MUST be 0x04 */
 	uint8_t		event;  /* event */
 	uint8_t		length; /* parameter(s) length in bytes */
-} __attribute__ ((__packed__)) hci_event_hdr_t;
+} __packed hci_event_hdr_t;
 
 #define HCI_EVENT_PKT			0x04
 #define HCI_EVENT_PKT_SIZE		(sizeof(hci_event_hdr_t) + 0xff)
@@ -440,7 +440,7 @@
 /* HCI status return parameter */
 typedef struct {
 	uint8_t		status; /* 0x00 - success */
-} __attribute__ ((__packed__)) hci_status_rp;
+} __packed hci_status_rp;
 
 /**************************************************************************
  **************************************************************************
@@ -456,7 +456,7 @@
 	uint8_t		lap[HCI_LAP_SIZE]; /* LAP */
 	uint8_t		inquiry_length;    /* (N x 1.28) sec */
 	uint8_t		num_responses;     /* Max. # of responses */
-} __attribute__ ((__packed__)) hci_inquiry_cp;
+} __packed hci_inquiry_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_INQUIRY_CANCEL				0x0002
@@ -472,7 +472,7 @@
 	uint8_t		lap[HCI_LAP_SIZE]; /* LAP */
 	uint8_t		inquiry_length;    /* (inquiry_length * 1.28) sec */
 	uint8_t		num_responses;     /* Max. # of responses */
-} __attribute__ ((__packed__)) hci_periodic_inquiry_cp;
+} __packed hci_periodic_inquiry_cp;
 
 typedef hci_status_rp	hci_periodic_inquiry_rp;
 
@@ -490,7 +490,7 @@
 	uint8_t		page_scan_mode;     /* reserved - set to 0x00 */
 	uint16_t	clock_offset;       /* clock offset */
 	uint8_t		accept_role_switch; /* accept role switch? 0x00 == No */
-} __attribute__ ((__packed__)) hci_create_con_cp;
+} __packed hci_create_con_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_DISCONNECT				0x0006
@@ -498,7 +498,7 @@
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
 	uint8_t		reason;     /* reason to disconnect */
-} __attribute__ ((__packed__)) hci_discon_cp;
+} __packed hci_discon_cp;
 /* No return parameter(s) */
 
 /* Add SCO Connection is deprecated */
@@ -507,26 +507,26 @@
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
 	uint16_t	pkt_type;   /* packet type */
-} __attribute__ ((__packed__)) hci_add_sco_con_cp;
+} __packed hci_add_sco_con_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_CREATE_CON_CANCEL			0x0008
 #define HCI_CMD_CREATE_CON_CANCEL			0x0408
 typedef struct {
 	bdaddr_t	bdaddr;		/* destination address */
-} __attribute__ ((__packed__)) hci_create_con_cancel_cp;
+} __packed hci_create_con_cancel_cp;
 
 typedef struct {
 	uint8_t		status;		/* 0x00 - success */
 	bdaddr_t	bdaddr;		/* destination address */
-} __attribute__ ((__packed__)) hci_create_con_cancel_rp;
+} __packed hci_create_con_cancel_rp;
 
 #define HCI_OCF_ACCEPT_CON				0x0009
 #define HCI_CMD_ACCEPT_CON				0x0409
 typedef struct {
 	bdaddr_t	bdaddr; /* address of unit to be connected */
 	uint8_t		role;   /* connection role */
-} __attribute__ ((__packed__)) hci_accept_con_cp;
+} __packed hci_accept_con_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_REJECT_CON				0x000a
@@ -534,7 +534,7 @@
 typedef struct {
 	bdaddr_t	bdaddr; /* remote address */
 	uint8_t		reason; /* reason to reject */
-} __attribute__ ((__packed__)) hci_reject_con_cp;
+} __packed hci_reject_con_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_LINK_KEY_REP				0x000b
@@ -542,23 +542,23 @@
 typedef struct {
 	bdaddr_t	bdaddr;            /* remote address */
 	uint8_t		key[HCI_KEY_SIZE]; /* key */
-} __attribute__ ((__packed__)) hci_link_key_rep_cp;
+} __packed hci_link_key_rep_cp;
 
 typedef struct {
 	uint8_t		status; /* 0x00 - success */
 	bdaddr_t	bdaddr; /* unit address */
-} __attribute__ ((__packed__)) hci_link_key_rep_rp;
+} __packed hci_link_key_rep_rp;
 
 #define HCI_OCF_LINK_KEY_NEG_REP			0x000c
 #define HCI_CMD_LINK_KEY_NEG_REP			0x040C
 typedef struct {
 	bdaddr_t	bdaddr; /* remote address */
-} __attribute__ ((__packed__)) hci_link_key_neg_rep_cp;
+} __packed hci_link_key_neg_rep_cp;
 
 typedef struct {
 	uint8_t		status; /* 0x00 - success */
 	bdaddr_t	bdaddr; /* unit address */
-} __attribute__ ((__packed__)) hci_link_key_neg_rep_rp;
+} __packed hci_link_key_neg_rep_rp;
 
 #define HCI_OCF_PIN_CODE_REP				0x000d
 #define HCI_CMD_PIN_CODE_REP				0x040D
@@ -566,37 +566,37 @@
 	bdaddr_t	bdaddr;               /* remote address */
 	uint8_t		pin_size;             /* pin code length (in bytes) */
 	uint8_t		pin[HCI_PIN_SIZE];    /* pin code */
-} __attribute__ ((__packed__)) hci_pin_code_rep_cp;
+} __packed hci_pin_code_rep_cp;
 
 typedef struct {
 	uint8_t		status; /* 0x00 - success */
 	bdaddr_t	bdaddr; /* unit address */
-} __attribute__ ((__packed__)) hci_pin_code_rep_rp;
+} __packed hci_pin_code_rep_rp;
 
 #define HCI_OCF_PIN_CODE_NEG_REP			0x000e
 #define HCI_CMD_PIN_CODE_NEG_REP			0x040E
 typedef struct {
 	bdaddr_t	bdaddr; /* remote address */
-} __attribute__ ((__packed__)) hci_pin_code_neg_rep_cp;
+} __packed hci_pin_code_neg_rep_cp;
 
 typedef struct {
 	uint8_t		status; /* 0x00 - success */
 	bdaddr_t	bdaddr; /* unit address */
-} __attribute__ ((__packed__)) hci_pin_code_neg_rep_rp;
+} __packed hci_pin_code_neg_rep_rp;
 
 #define HCI_OCF_CHANGE_CON_PACKET_TYPE			0x000f
 #define HCI_CMD_CHANGE_CON_PACKET_TYPE			0x040F
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
 	uint16_t	pkt_type;   /* packet type */
-} __attribute__ ((__packed__)) hci_change_con_pkt_type_cp;
+} __packed hci_change_con_pkt_type_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_AUTH_REQ				0x0011
 #define HCI_CMD_AUTH_REQ				0x0411
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_auth_req_cp;
+} __packed hci_auth_req_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_SET_CON_ENCRYPTION			0x0013
@@ -604,21 +604,21 @@
 typedef struct {
 	uint16_t	con_handle;        /* connection handle */
 	uint8_t		encryption_enable; /* 0x00 - disable, 0x01 - enable */
-} __attribute__ ((__packed__)) hci_set_con_encryption_cp;
+} __packed hci_set_con_encryption_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_CHANGE_CON_LINK_KEY			0x0015
 #define HCI_CMD_CHANGE_CON_LINK_KEY			0x0415
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_change_con_link_key_cp;
+} __packed hci_change_con_link_key_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_MASTER_LINK_KEY				0x0017
 #define HCI_CMD_MASTER_LINK_KEY				0x0417
 typedef struct {
 	uint8_t		key_flag; /* key flag */
-} __attribute__ ((__packed__)) hci_master_link_key_cp;
+} __packed hci_master_link_key_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_REMOTE_NAME_REQ				0x0019
@@ -628,25 +628,25 @@
 	uint8_t		page_scan_rep_mode; /* page scan repetition mode */
 	uint8_t		page_scan_mode;     /* page scan mode */
 	uint16_t	clock_offset;       /* clock offset */
-} __attribute__ ((__packed__)) hci_remote_name_req_cp;
+} __packed hci_remote_name_req_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_REMOTE_NAME_REQ_CANCEL			0x001a
 #define HCI_CMD_REMOTE_NAME_REQ_CANCEL			0x041A
 typedef struct {
 	bdaddr_t	bdaddr;             /* remote address */
-} __attribute__ ((__packed__)) hci_remote_name_req_cancel_cp;
+} __packed hci_remote_name_req_cancel_cp;
 
 typedef struct {
 	uint8_t		status;		/* 0x00 - success */
 	bdaddr_t	bdaddr;         /* remote address */
-} __attribute__ ((__packed__)) hci_remote_name_req_cancel_rp;
+} __packed hci_remote_name_req_cancel_rp;
 
 #define HCI_OCF_READ_REMOTE_FEATURES			0x001b
 #define HCI_CMD_READ_REMOTE_FEATURES			0x041B
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_read_remote_features_cp;
+} __packed hci_read_remote_features_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_READ_REMOTE_EXTENDED_FEATURES		0x001c
@@ -654,35 +654,35 @@
 typedef struct {
 	uint16_t	con_handle;	/* connection handle */
 	uint8_t		page;		/* page number */
-} __attribute__ ((__packed__)) hci_read_remote_extended_features_cp;
+} __packed hci_read_remote_extended_features_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_READ_REMOTE_VER_INFO			0x001d
 #define HCI_CMD_READ_REMOTE_VER_INFO			0x041D
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_read_remote_ver_info_cp;
+} __packed hci_read_remote_ver_info_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_READ_CLOCK_OFFSET			0x001f
 #define HCI_CMD_READ_CLOCK_OFFSET			0x041F
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_read_clock_offset_cp;
+} __packed hci_read_clock_offset_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_READ_LMP_HANDLE				0x0020
 #define HCI_CMD_READ_LMP_HANDLE				0x0420
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_read_lmp_handle_cp;
+} __packed hci_read_lmp_handle_cp;
 
 typedef struct {
 	uint8_t		status;	    /* 0x00 - success */
 	uint16_t	con_handle; /* connection handle */
 	uint8_t		lmp_handle; /* LMP handle */
 	uint32_t	reserved;   /* reserved */
-} __attribute__ ((__packed__)) hci_read_lmp_handle_rp;
+} __packed hci_read_lmp_handle_rp;
 
 #define HCI_OCF_SETUP_SCO_CON				0x0028
 #define HCI_CMD_SETUP_SCO_CON				0x0428
@@ -694,7 +694,7 @@
 	uint16_t	voice;		/* voice setting */
 	uint8_t		rt_effort;	/* retransmission effort */
 	uint16_t	pkt_type;	/* packet types */
-} __attribute__ ((__packed__)) hci_setup_sco_con_cp;
+} __packed hci_setup_sco_con_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_ACCEPT_SCO_CON_REQ			0x0029
@@ -707,7 +707,7 @@
 	uint16_t	content;	/* voice setting */
 	uint8_t		rt_effort;	/* retransmission effort */
 	uint16_t	pkt_type;	/* packet types */
-} __attribute__ ((__packed__)) hci_accept_sco_con_req_cp;
+} __packed hci_accept_sco_con_req_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_REJECT_SCO_CON_REQ			0x002a
@@ -715,7 +715,7 @@
 typedef struct {
 	bdaddr_t	bdaddr;		/* remote address */
 	uint8_t		reason;		/* reject error code */
-} __attribute__ ((__packed__)) hci_reject_sco_con_req_cp;
+} __packed hci_reject_sco_con_req_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_IO_CAPABILITY_REP			0x002b
@@ -725,57 +725,57 @@
 	uint8_t		io_cap;		/* IO capability */
 	uint8_t		oob_data;	/* OOB data present */
 	uint8_t		auth_req;	/* auth requirements */
-} __attribute__ ((__packed__)) hci_io_capability_rep_cp;
+} __packed hci_io_capability_rep_cp;
 
 typedef struct {
 	uint8_t		status;		/* 0x00 - success */
 	bdaddr_t	bdaddr;		/* remote address */
-} __attribute__ ((__packed__)) hci_io_capability_rep_rp;
+} __packed hci_io_capability_rep_rp;
 
 #define HCI_OCF_USER_CONFIRM_REP			0x002c
 #define HCI_CMD_USER_CONFIRM_REP			0x042c
 typedef struct {
 	bdaddr_t	bdaddr;		/* remote address */
-} __attribute__ ((__packed__)) hci_user_confirm_rep_cp;
+} __packed hci_user_confirm_rep_cp;
 
 typedef struct {
 	uint8_t		status;		/* 0x00 - success */
 	bdaddr_t	bdaddr;		/* remote address */
-} __attribute__ ((__packed__)) hci_user_confirm_rep_rp;
+} __packed hci_user_confirm_rep_rp;
 
 #define HCI_OCF_USER_CONFIRM_NEG_REP			0x002d
 #define HCI_CMD_USER_CONFIRM_NEG_REP			0x042d
 typedef struct {
 	bdaddr_t	bdaddr;		/* remote address */
-} __attribute__ ((__packed__)) hci_user_confirm_neg_rep_cp;
+} __packed hci_user_confirm_neg_rep_cp;
 
 typedef struct {
 	uint8_t		status;		/* 0x00 - success */
 	bdaddr_t	bdaddr;		/* remote address */
-} __attribute__ ((__packed__)) hci_user_confirm_neg_rep_rp;
+} __packed hci_user_confirm_neg_rep_rp;
 
 #define HCI_OCF_USER_PASSKEY_REP			0x002e
 #define HCI_CMD_USER_PASSKEY_REP			0x042e
 typedef struct {
 	bdaddr_t	bdaddr;		/* remote address */
 	uint32_t	value;		/* 000000 - 999999 */
-} __attribute__ ((__packed__)) hci_user_passkey_rep_cp;
+} __packed hci_user_passkey_rep_cp;
 
 typedef struct {
 	uint8_t		status;		/* 0x00 - success */
 	bdaddr_t	bdaddr;		/* remote address */
-} __attribute__ ((__packed__)) hci_user_passkey_rep_rp;
+} __packed hci_user_passkey_rep_rp;
 
 #define HCI_OCF_USER_PASSKEY_NEG_REP			0x002f
 #define HCI_CMD_USER_PASSKEY_NEG_REP			0x042f
 typedef struct {
 	bdaddr_t	bdaddr;		/* remote address */
-} __attribute__ ((__packed__)) hci_user_passkey_neg_rep_cp;
+} __packed hci_user_passkey_neg_rep_cp;
 
 typedef struct {
 	uint8_t		status;		/* 0x00 - success */
 	bdaddr_t	bdaddr;		/* remote address */
-} __attribute__ ((__packed__)) hci_user_passkey_neg_rep_rp;
+} __packed hci_user_passkey_neg_rep_rp;
 
 #define HCI_OCF_OOB_DATA_REP				0x0030
 #define HCI_CMD_OOB_DATA_REP				0x0430
@@ -783,35 +783,35 @@
 	bdaddr_t	bdaddr;		/* remote address */
 	uint8_t		c[16];		/* pairing hash */
 	uint8_t		r[16];		/* pairing randomizer */
-} __attribute__ ((__packed__)) hci_user_oob_data_rep_cp;
+} __packed hci_user_oob_data_rep_cp;
 
 typedef struct {
 	uint8_t		status;		/* 0x00 - success */
 	bdaddr_t	bdaddr;		/* remote address */
-} __attribute__ ((__packed__)) hci_user_oob_data_rep_rp;
+} __packed hci_user_oob_data_rep_rp;
 
 #define HCI_OCF_OOB_DATA_NEG_REP			0x0033
 #define HCI_CMD_OOB_DATA_NEG_REP			0x0433
 typedef struct {
 	bdaddr_t	bdaddr;		/* remote address */
-} __attribute__ ((__packed__)) hci_user_oob_data_neg_rep_cp;
+} __packed hci_user_oob_data_neg_rep_cp;
 
 typedef struct {
 	uint8_t		status;		/* 0x00 - success */
 	bdaddr_t	bdaddr;		/* remote address */
-} __attribute__ ((__packed__)) hci_user_oob_data_neg_rep_rp;
+} __packed hci_user_oob_data_neg_rep_rp;
 
 #define HCI_OCF_IO_CAPABILITY_NEG_REP			0x0034
 #define HCI_CMD_IO_CAPABILITY_NEG_REP			0x0434
 typedef struct {
 	bdaddr_t	bdaddr;		/* remote address */
 	uint8_t		reason;		/* error code */
-} __attribute__ ((__packed__)) hci_io_capability_neg_rep_cp;
+} __packed hci_io_capability_neg_rep_cp;
 
 typedef struct {
 	uint8_t		status;		/* 0x00 - success */
 	bdaddr_t	bdaddr;		/* remote address */
-} __attribute__ ((__packed__)) hci_io_capability_neg_rep_rp;
+} __packed hci_io_capability_neg_rep_rp;
 
 /**************************************************************************
  **************************************************************************
@@ -827,7 +827,7 @@
 	uint16_t	con_handle;   /* connection handle */
 	uint16_t	max_interval; /* (max_interval * 0.625) msec */
 	uint16_t	min_interval; /* (max_interval * 0.625) msec */
-} __attribute__ ((__packed__)) hci_hold_mode_cp;
+} __packed hci_hold_mode_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_SNIFF_MODE				0x0003
@@ -838,14 +838,14 @@
 	uint16_t	min_interval; /* (max_interval * 0.625) msec */
 	uint16_t	attempt;      /* (2 * attempt - 1) * 0.625 msec */
 	uint16_t	timeout;      /* (2 * attempt - 1) * 0.625 msec */
-} __attribute__ ((__packed__)) hci_sniff_mode_cp;
+} __packed hci_sniff_mode_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_EXIT_SNIFF_MODE				0x0004
 #define HCI_CMD_EXIT_SNIFF_MODE				0x0804
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_exit_sniff_mode_cp;
+} __packed hci_exit_sniff_mode_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_PARK_MODE				0x0005
@@ -854,14 +854,14 @@
 	uint16_t	con_handle;   /* connection handle */
 	uint16_t	max_interval; /* (max_interval * 0.625) msec */
 	uint16_t	min_interval; /* (max_interval * 0.625) msec */
-} __attribute__ ((__packed__)) hci_park_mode_cp;
+} __packed hci_park_mode_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_EXIT_PARK_MODE				0x0006
 #define HCI_CMD_EXIT_PARK_MODE				0x0806
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_exit_park_mode_cp;
+} __packed hci_exit_park_mode_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_QOS_SETUP				0x0007
@@ -874,52 +874,52 @@
 	uint32_t	peak_bandwidth;  /* bytes per second */
 	uint32_t	latency;         /* microseconds */
 	uint32_t	delay_variation; /* microseconds */
-} __attribute__ ((__packed__)) hci_qos_setup_cp;
+} __packed hci_qos_setup_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_ROLE_DISCOVERY				0x0009
 #define HCI_CMD_ROLE_DISCOVERY				0x0809
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_role_discovery_cp;
+} __packed hci_role_discovery_cp;
 
 typedef struct {
 	uint8_t		status;     /* 0x00 - success */
 	uint16_t	con_handle; /* connection handle */
 	uint8_t		role;       /* role for the connection handle */
-} __attribute__ ((__packed__)) hci_role_discovery_rp;
+} __packed hci_role_discovery_rp;
 
 #define HCI_OCF_SWITCH_ROLE				0x000b
 #define HCI_CMD_SWITCH_ROLE				0x080B
 typedef struct {
 	bdaddr_t	bdaddr; /* remote address */
 	uint8_t		role;   /* new local role */
-} __attribute__ ((__packed__)) hci_switch_role_cp;
+} __packed hci_switch_role_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_READ_LINK_POLICY_SETTINGS		0x000c
 #define HCI_CMD_READ_LINK_POLICY_SETTINGS		0x080C
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_read_link_policy_settings_cp;
+} __packed hci_read_link_policy_settings_cp;
 
 typedef struct {
 	uint8_t		status;     /* 0x00 - success */
 	uint16_t	con_handle; /* connection handle */
 	uint16_t	settings;   /* link policy settings */
-} __attribute__ ((__packed__)) hci_read_link_policy_settings_rp;
+} __packed hci_read_link_policy_settings_rp;
 
 #define HCI_OCF_WRITE_LINK_POLICY_SETTINGS		0x000d
 #define HCI_CMD_WRITE_LINK_POLICY_SETTINGS		0x080D
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
 	uint16_t	settings;   /* link policy settings */
-} __attribute__ ((__packed__)) hci_write_link_policy_settings_cp;
+} __packed hci_write_link_policy_settings_cp;
 
 typedef struct {
 	uint8_t		status;     /* 0x00 - success */
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_write_link_policy_settings_rp;
+} __packed hci_write_link_policy_settings_rp;
 
 #define HCI_OCF_READ_DEFAULT_LINK_POLICY_SETTINGS	0x000e
 #define HCI_CMD_READ_DEFAULT_LINK_POLICY_SETTINGS	0x080E
@@ -927,13 +927,13 @@
 typedef struct {
 	uint8_t		status;     /* 0x00 - success */
 	uint16_t	settings;   /* link policy settings */
-} __attribute__ ((__packed__)) hci_read_default_link_policy_settings_rp;
+} __packed hci_read_default_link_policy_settings_rp;
 
 #define HCI_OCF_WRITE_DEFAULT_LINK_POLICY_SETTINGS	0x000f
 #define HCI_CMD_WRITE_DEFAULT_LINK_POLICY_SETTINGS	0x080F
 typedef struct {
 	uint16_t	settings;   /* link policy settings */
-} __attribute__ ((__packed__)) hci_write_default_link_policy_settings_cp;
+} __packed hci_write_default_link_policy_settings_cp;
 
 typedef hci_status_rp	hci_write_default_link_policy_settings_rp;
 
@@ -948,7 +948,7 @@
 	uint32_t	token_bucket;
 	uint32_t	peak_bandwidth;
 	uint32_t	latency;
-} __attribute__ ((__packed__)) hci_flow_specification_cp;
+} __packed hci_flow_specification_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_SNIFF_SUBRATING				0x0011
@@ -958,12 +958,12 @@
 	uint16_t	max_latency;
 	uint16_t	max_timeout;	/* max remote timeout */
 	uint16_t	min_timeout;	/* min local timeout */
-} __attribute__ ((__packed__)) hci_sniff_subrating_cp;
+} __packed hci_sniff_subrating_cp;
 
 typedef struct {
 	uint8_t		status;		/* 0x00 - success */
 	uint16_t	con_handle;	/* connection handle */
-} __attribute__ ((__packed__)) hci_sniff_subrating_rp;
+} __packed hci_sniff_subrating_rp;
 
 /**************************************************************************
  **************************************************************************
@@ -977,7 +977,7 @@
 #define HCI_CMD_SET_EVENT_MASK				0x0C01
 typedef struct {
 	uint8_t		event_mask[HCI_EVENT_MASK_SIZE]; /* event_mask */
-} __attribute__ ((__packed__)) hci_set_event_mask_cp;
+} __packed hci_set_event_mask_cp;
 
 typedef hci_status_rp	hci_set_event_mask_rp;
 
@@ -993,7 +993,7 @@
 	uint8_t		filter_condition_type; /* filter condition type */
 /* variable size condition
 	uint8_t		condition[]; -- conditions */
-} __attribute__ ((__packed__)) hci_set_event_filter_cp;
+} __packed hci_set_event_filter_cp;
 
 typedef hci_status_rp	hci_set_event_filter_rp;
 
@@ -1001,12 +1001,12 @@
 #define HCI_CMD_FLUSH					0x0C08
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_flush_cp;
+} __packed hci_flush_cp;
 
 typedef struct {
 	uint8_t		status;     /* 0x00 - success */
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_flush_rp;
+} __packed hci_flush_rp;
 
 #define HCI_OCF_READ_PIN_TYPE				0x0009
 #define HCI_CMD_READ_PIN_TYPE				0x0C09
@@ -1014,13 +1014,13 @@
 typedef struct {
 	uint8_t		status;   /* 0x00 - success */
 	uint8_t		pin_type; /* PIN type */
-} __attribute__ ((__packed__)) hci_read_pin_type_rp;
+} __packed hci_read_pin_type_rp;
 
 #define HCI_OCF_WRITE_PIN_TYPE				0x000a
 #define HCI_CMD_WRITE_PIN_TYPE				0x0C0A
 typedef struct {
 	uint8_t		pin_type; /* PIN type */
-} __attribute__ ((__packed__)) hci_write_pin_type_cp;
+} __packed hci_write_pin_type_cp;
 
 typedef hci_status_rp	hci_write_pin_type_rp;
 
@@ -1034,13 +1034,13 @@
 typedef struct {
 	bdaddr_t	bdaddr;   /* address */
 	uint8_t		read_all; /* read all keys? 0x01 - yes */
-} __attribute__ ((__packed__)) hci_read_stored_link_key_cp;
+} __packed hci_read_stored_link_key_cp;
 
 typedef struct {
 	uint8_t		status;        /* 0x00 - success */
 	uint16_t	max_num_keys;  /* Max. number of keys */
 	uint16_t	num_keys_read; /* Number of stored keys */
-} __attribute__ ((__packed__)) hci_read_stored_link_key_rp;
+} __packed hci_read_stored_link_key_rp;
 
 #define HCI_OCF_WRITE_STORED_LINK_KEY			0x0011
 #define HCI_CMD_WRITE_STORED_LINK_KEY			0x0C11
@@ -1049,30 +1049,30 @@
 /* these are repeated "num_keys_write" times
 	bdaddr_t	bdaddr;             --- remote address(es)
 	uint8_t		key[HCI_KEY_SIZE];  --- key(s) */
-} __attribute__ ((__packed__)) hci_write_stored_link_key_cp;
+} __packed hci_write_stored_link_key_cp;
 
 typedef struct {
 	uint8_t		status;           /* 0x00 - success */
 	uint8_t		num_keys_written; /* # of keys successfully written */
-} __attribute__ ((__packed__)) hci_write_stored_link_key_rp;
+} __packed hci_write_stored_link_key_rp;
 
 #define HCI_OCF_DELETE_STORED_LINK_KEY			0x0012
 #define HCI_CMD_DELETE_STORED_LINK_KEY			0x0C12
 typedef struct {
 	bdaddr_t	bdaddr;     /* address */
 	uint8_t		delete_all; /* delete all keys? 0x01 - yes */
-} __attribute__ ((__packed__)) hci_delete_stored_link_key_cp;
+} __packed hci_delete_stored_link_key_cp;
 
 typedef struct {
 	uint8_t		status;           /* 0x00 - success */
 	uint16_t	num_keys_deleted; /* Number of keys deleted */
-} __attribute__ ((__packed__)) hci_delete_stored_link_key_rp;
+} __packed hci_delete_stored_link_key_rp;
 
 #define HCI_OCF_WRITE_LOCAL_NAME			0x0013
 #define HCI_CMD_WRITE_LOCAL_NAME			0x0C13
 typedef struct {
 	char		name[HCI_UNIT_NAME_SIZE]; /* new unit name */
-} __attribute__ ((__packed__)) hci_write_local_name_cp;
+} __packed hci_write_local_name_cp;
 
 typedef hci_status_rp	hci_write_local_name_rp;
 
@@ -1082,7 +1082,7 @@
 typedef struct {
 	uint8_t		status;                   /* 0x00 - success */
 	char		name[HCI_UNIT_NAME_SIZE]; /* unit name */
-} __attribute__ ((__packed__)) hci_read_local_name_rp;
+} __packed hci_read_local_name_rp;
 
 #define HCI_OCF_READ_CON_ACCEPT_TIMEOUT			0x0015
 #define HCI_CMD_READ_CON_ACCEPT_TIMEOUT			0x0C15
@@ -1090,13 +1090,13 @@
 typedef struct {
 	uint8_t		status;  /* 0x00 - success */
 	uint16_t	timeout; /* (timeout * 0.625) msec */
-} __attribute__ ((__packed__)) hci_read_con_accept_timeout_rp;
+} __packed hci_read_con_accept_timeout_rp;
 
 #define HCI_OCF_WRITE_CON_ACCEPT_TIMEOUT		0x0016
 #define HCI_CMD_WRITE_CON_ACCEPT_TIMEOUT		0x0C16
 typedef struct {
 	uint16_t	timeout; /* (timeout * 0.625) msec */
-} __attribute__ ((__packed__)) hci_write_con_accept_timeout_cp;
+} __packed hci_write_con_accept_timeout_cp;
 
 typedef hci_status_rp	hci_write_con_accept_timeout_rp;
 
@@ -1106,13 +1106,13 @@
 typedef struct {
 	uint8_t		status;  /* 0x00 - success */
 	uint16_t	timeout; /* (timeout * 0.625) msec */
-} __attribute__ ((__packed__)) hci_read_page_timeout_rp;
+} __packed hci_read_page_timeout_rp;
 
 #define HCI_OCF_WRITE_PAGE_TIMEOUT			0x0018
 #define HCI_CMD_WRITE_PAGE_TIMEOUT			0x0C18
 typedef struct {
 	uint16_t	timeout; /* (timeout * 0.625) msec */
-} __attribute__ ((__packed__)) hci_write_page_timeout_cp;
+} __packed hci_write_page_timeout_cp;
 
 typedef hci_status_rp	hci_write_page_timeout_rp;
 
@@ -1122,13 +1122,13 @@
 typedef struct {
 	uint8_t		status;      /* 0x00 - success */
 	uint8_t		scan_enable; /* Scan enable */
-} __attribute__ ((__packed__)) hci_read_scan_enable_rp;
+} __packed hci_read_scan_enable_rp;
 
 #define HCI_OCF_WRITE_SCAN_ENABLE			0x001a
 #define HCI_CMD_WRITE_SCAN_ENABLE			0x0C1A
 typedef struct {
 	uint8_t		scan_enable; /* Scan enable */
-} __attribute__ ((__packed__)) hci_write_scan_enable_cp;
+} __packed hci_write_scan_enable_cp;
 
 typedef hci_status_rp	hci_write_scan_enable_rp;
 
@@ -1139,14 +1139,14 @@
 	uint8_t		status;             /* 0x00 - success */
 	uint16_t	page_scan_interval; /* interval * 0.625 msec */
 	uint16_t	page_scan_window;   /* window * 0.625 msec */
-} __attribute__ ((__packed__)) hci_read_page_scan_activity_rp;
+} __packed hci_read_page_scan_activity_rp;
 
 #define HCI_OCF_WRITE_PAGE_SCAN_ACTIVITY		0x001c
 #define HCI_CMD_WRITE_PAGE_SCAN_ACTIVITY		0x0C1C
 typedef struct {
 	uint16_t	page_scan_interval; /* interval * 0.625 msec */
 	uint16_t	page_scan_window;   /* window * 0.625 msec */
-} __attribute__ ((__packed__)) hci_write_page_scan_activity_cp;
+} __packed hci_write_page_scan_activity_cp;
 
 typedef hci_status_rp	hci_write_page_scan_activity_rp;
 
@@ -1157,14 +1157,14 @@
 	uint8_t		status;                /* 0x00 - success */
 	uint16_t	inquiry_scan_interval; /* interval * 0.625 msec */
 	uint16_t	inquiry_scan_window;   /* window * 0.625 msec */
-} __attribute__ ((__packed__)) hci_read_inquiry_scan_activity_rp;
+} __packed hci_read_inquiry_scan_activity_rp;
 
 #define HCI_OCF_WRITE_INQUIRY_SCAN_ACTIVITY		0x001e
 #define HCI_CMD_WRITE_INQUIRY_SCAN_ACTIVITY		0x0C1E
 typedef struct {
 	uint16_t	inquiry_scan_interval; /* interval * 0.625 msec */
 	uint16_t	inquiry_scan_window;   /* window * 0.625 msec */
-} __attribute__ ((__packed__)) hci_write_inquiry_scan_activity_cp;
+} __packed hci_write_inquiry_scan_activity_cp;
 
 typedef hci_status_rp	hci_write_inquiry_scan_activity_rp;
 
@@ -1174,13 +1174,13 @@
 typedef struct {
 	uint8_t		status;      /* 0x00 - success */
 	uint8_t		auth_enable; /* 0x01 - enabled */
-} __attribute__ ((__packed__)) hci_read_auth_enable_rp;
+} __packed hci_read_auth_enable_rp;
 
 #define HCI_OCF_WRITE_AUTH_ENABLE			0x0020
 #define HCI_CMD_WRITE_AUTH_ENABLE			0x0C20
 typedef struct {
 	uint8_t		auth_enable; /* 0x01 - enabled */
-} __attribute__ ((__packed__)) hci_write_auth_enable_cp;
+} __packed hci_write_auth_enable_cp;
 
 typedef hci_status_rp	hci_write_auth_enable_rp;
 
@@ -1191,14 +1191,14 @@
 typedef struct {
 	uint8_t		status;          /* 0x00 - success */
 	uint8_t		encryption_mode; /* encryption mode */
-} __attribute__ ((__packed__)) hci_read_encryption_mode_rp;
+} __packed hci_read_encryption_mode_rp;
 
 /* Write Encryption Mode is deprecated */
 #define HCI_OCF_WRITE_ENCRYPTION_MODE			0x0022
 #define HCI_CMD_WRITE_ENCRYPTION_MODE			0x0C22
 typedef struct {
 	uint8_t		encryption_mode; /* encryption mode */
-} __attribute__ ((__packed__)) hci_write_encryption_mode_cp;
+} __packed hci_write_encryption_mode_cp;
 
 typedef hci_status_rp	hci_write_encryption_mode_rp;
 
@@ -1208,13 +1208,13 @@
 typedef struct {
 	uint8_t		status;                 /* 0x00 - success */
 	uint8_t		uclass[HCI_CLASS_SIZE]; /* unit class */
-} __attribute__ ((__packed__)) hci_read_unit_class_rp;
+} __packed hci_read_unit_class_rp;
 
 #define HCI_OCF_WRITE_UNIT_CLASS			0x0024
 #define HCI_CMD_WRITE_UNIT_CLASS			0x0C24
 typedef struct {
 	uint8_t		uclass[HCI_CLASS_SIZE]; /* unit class */
-} __attribute__ ((__packed__)) hci_write_unit_class_cp;
+} __packed hci_write_unit_class_cp;
 
 typedef hci_status_rp	hci_write_unit_class_rp;
 
@@ -1224,13 +1224,13 @@
 typedef struct {
 	uint8_t		status;   /* 0x00 - success */
 	uint16_t	settings; /* voice settings */
-} __attribute__ ((__packed__)) hci_read_voice_setting_rp;
+} __packed hci_read_voice_setting_rp;
 
 #define HCI_OCF_WRITE_VOICE_SETTING			0x0026
 #define HCI_CMD_WRITE_VOICE_SETTING			0x0C26
 typedef struct {
 	uint16_t	settings; /* voice settings */
-} __attribute__ ((__packed__)) hci_write_voice_setting_cp;
+} __packed hci_write_voice_setting_cp;
 
 typedef hci_status_rp	hci_write_voice_setting_rp;
 
@@ -1238,25 +1238,25 @@
 #define HCI_CMD_READ_AUTO_FLUSH_TIMEOUT			0x0C27
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_read_auto_flush_timeout_cp;
+} __packed hci_read_auto_flush_timeout_cp;
 
 typedef struct {
 	uint8_t		status;     /* 0x00 - success */
 	uint16_t	con_handle; /* connection handle */
 	uint16_t	timeout;    /* 0x00 - no flush, timeout * 0.625 msec */
-} __attribute__ ((__packed__)) hci_read_auto_flush_timeout_rp;
+} __packed hci_read_auto_flush_timeout_rp;
 
 #define HCI_OCF_WRITE_AUTO_FLUSH_TIMEOUT		0x0028
 #define HCI_CMD_WRITE_AUTO_FLUSH_TIMEOUT		0x0C28
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
 	uint16_t	timeout;    /* 0x00 - no flush, timeout * 0.625 msec */
-} __attribute__ ((__packed__)) hci_write_auto_flush_timeout_cp;
+} __packed hci_write_auto_flush_timeout_cp;
 
 typedef struct {
 	uint8_t		status;     /* 0x00 - success */
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_write_auto_flush_timeout_rp;
+} __packed hci_write_auto_flush_timeout_rp;
 
 #define HCI_OCF_READ_NUM_BROADCAST_RETRANS		0x0029
 #define HCI_CMD_READ_NUM_BROADCAST_RETRANS		0x0C29
@@ -1264,13 +1264,13 @@
 typedef struct {
 	uint8_t		status;  /* 0x00 - success */
 	uint8_t		counter; /* number of broadcast retransmissions */
-} __attribute__ ((__packed__)) hci_read_num_broadcast_retrans_rp;
+} __packed hci_read_num_broadcast_retrans_rp;
 
 #define HCI_OCF_WRITE_NUM_BROADCAST_RETRANS		0x002a
 #define HCI_CMD_WRITE_NUM_BROADCAST_RETRANS		0x0C2A
 typedef struct {
 	uint8_t		counter; /* number of broadcast retransmissions */
-} __attribute__ ((__packed__)) hci_write_num_broadcast_retrans_cp;
+} __packed hci_write_num_broadcast_retrans_cp;
 
 typedef hci_status_rp	hci_write_num_broadcast_retrans_rp;
 
@@ -1280,13 +1280,13 @@
 typedef struct {
 	uint8_t		status;             /* 0x00 - success */
 	uint8_t		hold_mode_activity; /* Hold mode activities */
-} __attribute__ ((__packed__)) hci_read_hold_mode_activity_rp;
+} __packed hci_read_hold_mode_activity_rp;
 
 #define HCI_OCF_WRITE_HOLD_MODE_ACTIVITY		0x002c
 #define HCI_CMD_WRITE_HOLD_MODE_ACTIVITY		0x0C2C
 typedef struct {
 	uint8_t		hold_mode_activity; /* Hold mode activities */
-} __attribute__ ((__packed__)) hci_write_hold_mode_activity_cp;
+} __packed hci_write_hold_mode_activity_cp;
 
 typedef hci_status_rp	hci_write_hold_mode_activity_rp;
 
@@ -1295,13 +1295,13 @@
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
 	uint8_t		type;       /* Xmit level type */
-} __attribute__ ((__packed__)) hci_read_xmit_level_cp;
+} __packed hci_read_xmit_level_cp;
 
 typedef struct {
 	uint8_t		status;     /* 0x00 - success */
 	uint16_t	con_handle; /* connection handle */
 	char		level;      /* -30 <= level <= 30 dBm */
-} __attribute__ ((__packed__)) hci_read_xmit_level_rp;
+} __packed hci_read_xmit_level_rp;
 
 #define HCI_OCF_READ_SCO_FLOW_CONTROL			0x002e
 #define HCI_CMD_READ_SCO_FLOW_CONTROL			0x0C2E
@@ -1309,13 +1309,13 @@
 typedef struct {
 	uint8_t		status;       /* 0x00 - success */
 	uint8_t		flow_control; /* 0x00 - disabled */
-} __attribute__ ((__packed__)) hci_read_sco_flow_control_rp;
+} __packed hci_read_sco_flow_control_rp;
 
 #define HCI_OCF_WRITE_SCO_FLOW_CONTROL			0x002f
 #define HCI_CMD_WRITE_SCO_FLOW_CONTROL			0x0C2F
 typedef struct {
 	uint8_t		flow_control; /* 0x00 - disabled */
-} __attribute__ ((__packed__)) hci_write_sco_flow_control_cp;
+} __packed hci_write_sco_flow_control_cp;
 
 typedef hci_status_rp	hci_write_sco_flow_control_rp;
 
@@ -1323,7 +1323,7 @@
 #define HCI_CMD_HC2H_FLOW_CONTROL			0x0C31
 typedef struct {
 	uint8_t		hc2h_flow; /* Host Controller to Host flow control */
-} __attribute__ ((__packed__)) hci_hc2h_flow_control_cp;
+} __packed hci_hc2h_flow_control_cp;
 
 typedef hci_status_rp	hci_h2hc_flow_control_rp;
 
@@ -1334,7 +1334,7 @@
 	uint8_t		max_sco_size; /* Max. size of SCO packet (bytes) */
 	uint16_t	num_acl_pkts;  /* Max. number of ACL packets */
 	uint16_t	num_sco_pkts;  /* Max. number of SCO packets */
-} __attribute__ ((__packed__)) hci_host_buffer_size_cp;
+} __packed hci_host_buffer_size_cp;
 
 typedef hci_status_rp	hci_host_buffer_size_rp;
 
@@ -1345,32 +1345,32 @@
 /* these are repeated "num_con_handles" times
 	uint16_t	con_handle;    --- connection handle(s)
 	uint16_t	compl_pkts;    --- # of completed packets */
-} __attribute__ ((__packed__)) hci_host_num_compl_pkts_cp;
+} __packed hci_host_num_compl_pkts_cp;
 /* No return parameter(s) */
 
 #define HCI_OCF_READ_LINK_SUPERVISION_TIMEOUT		0x0036
 #define HCI_CMD_READ_LINK_SUPERVISION_TIMEOUT		0x0C36
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_read_link_supervision_timeout_cp;
+} __packed hci_read_link_supervision_timeout_cp;
 
 typedef struct {
 	uint8_t		status;     /* 0x00 - success */
 	uint16_t	con_handle; /* connection handle */
 	uint16_t	timeout;    /* Link supervision timeout * 0.625 msec */
-} __attribute__ ((__packed__)) hci_read_link_supervision_timeout_rp;
+} __packed hci_read_link_supervision_timeout_rp;
 
 #define HCI_OCF_WRITE_LINK_SUPERVISION_TIMEOUT		0x0037
 #define HCI_CMD_WRITE_LINK_SUPERVISION_TIMEOUT		0x0C37
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
 	uint16_t	timeout;    /* Link supervision timeout * 0.625 msec */
-} __attribute__ ((__packed__)) hci_write_link_supervision_timeout_cp;
+} __packed hci_write_link_supervision_timeout_cp;
 
 typedef struct {
 	uint8_t		status;     /* 0x00 - success */
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_write_link_supervision_timeout_rp;
+} __packed hci_write_link_supervision_timeout_rp;
 
 #define HCI_OCF_READ_NUM_SUPPORTED_IAC			0x0038
 #define HCI_CMD_READ_NUM_SUPPORTED_IAC			0x0C38
@@ -1378,7 +1378,7 @@
 typedef struct {
 	uint8_t		status;  /* 0x00 - success */
 	uint8_t		num_iac; /* # of supported IAC during scan */
-} __attribute__ ((__packed__)) hci_read_num_supported_iac_rp;
+} __packed hci_read_num_supported_iac_rp;
 
 #define HCI_OCF_READ_IAC_LAP				0x0039
 #define HCI_CMD_READ_IAC_LAP				0x0C39
@@ -1388,7 +1388,7 @@
 	uint8_t		num_iac; /* # of IAC */
 /* these are repeated "num_iac" times
 	uint8_t		laps[HCI_LAP_SIZE]; --- LAPs */
-} __attribute__ ((__packed__)) hci_read_iac_lap_rp;
+} __packed hci_read_iac_lap_rp;
 
 #define HCI_OCF_WRITE_IAC_LAP				0x003a
 #define HCI_CMD_WRITE_IAC_LAP				0x0C3A
@@ -1396,7 +1396,7 @@
 	uint8_t		num_iac; /* # of IAC */
 /* these are repeated "num_iac" times
 	uint8_t		laps[HCI_LAP_SIZE]; --- LAPs */
-} __attribute__ ((__packed__)) hci_write_iac_lap_cp;
+} __packed hci_write_iac_lap_cp;
 
 typedef hci_status_rp	hci_write_iac_lap_rp;
 
@@ -1407,14 +1407,14 @@
 typedef struct {
 	uint8_t		status;                /* 0x00 - success */
 	uint8_t		page_scan_period_mode; /* Page scan period mode */
-} __attribute__ ((__packed__)) hci_read_page_scan_period_rp;
+} __packed hci_read_page_scan_period_rp;
 
 /* Write Page Scan Period Mode is deprecated */
 #define HCI_OCF_WRITE_PAGE_SCAN_PERIOD			0x003c
 #define HCI_CMD_WRITE_PAGE_SCAN_PERIOD			0x0C3C
 typedef struct {
 	uint8_t		page_scan_period_mode; /* Page scan period mode */
-} __attribute__ ((__packed__)) hci_write_page_scan_period_cp;
+} __packed hci_write_page_scan_period_cp;
 
 typedef hci_status_rp	hci_write_page_scan_period_rp;
 
@@ -1425,14 +1425,14 @@
 typedef struct {
 	uint8_t		status;         /* 0x00 - success */
 	uint8_t		page_scan_mode; /* Page scan mode */
-} __attribute__ ((__packed__)) hci_read_page_scan_rp;
+} __packed hci_read_page_scan_rp;
 
 /* Write Page Scan Mode is deprecated */
 #define HCI_OCF_WRITE_PAGE_SCAN				0x003e
 #define HCI_CMD_WRITE_PAGE_SCAN				0x0C3E
 typedef struct {
 	uint8_t		page_scan_mode; /* Page scan mode */
-} __attribute__ ((__packed__)) hci_write_page_scan_cp;
+} __packed hci_write_page_scan_cp;
 
 typedef hci_status_rp	hci_write_page_scan_rp;
 
@@ -1440,7 +1440,7 @@
 #define HCI_CMD_SET_AFH_CLASSIFICATION			0x0C3F
 typedef struct {
 	uint8_t		classification[10];
-} __attribute__ ((__packed__)) hci_set_afh_classification_cp;
+} __packed hci_set_afh_classification_cp;
 
 typedef hci_status_rp	hci_set_afh_classification_rp;
 
@@ -1451,13 +1451,13 @@
 typedef struct {
 	uint8_t		status;		/* 0x00 - success */
 	uint8_t		type;		/* inquiry scan type */
-} __attribute__ ((__packed__)) hci_read_inquiry_scan_type_rp;
+} __packed hci_read_inquiry_scan_type_rp;
 
 #define HCI_OCF_WRITE_INQUIRY_SCAN_TYPE			0x0043
 #define HCI_CMD_WRITE_INQUIRY_SCAN_TYPE			0x0C43
 typedef struct {
 	uint8_t		type;		/* inquiry scan type */
-} __attribute__ ((__packed__)) hci_write_inquiry_scan_type_cp;
+} __packed hci_write_inquiry_scan_type_cp;
 
 typedef hci_status_rp	hci_write_inquiry_scan_type_rp;
 
@@ -1468,13 +1468,13 @@
 typedef struct {
 	uint8_t		status;		/* 0x00 - success */
 	uint8_t		mode;		/* inquiry mode */
-} __attribute__ ((__packed__)) hci_read_inquiry_mode_rp;
+} __packed hci_read_inquiry_mode_rp;
 
 #define HCI_OCF_WRITE_INQUIRY_MODE			0x0045
 #define HCI_CMD_WRITE_INQUIRY_MODE			0x0C45
 typedef struct {
 	uint8_t		mode;		/* inquiry mode */
-} __attribute__ ((__packed__)) hci_write_inquiry_mode_cp;
+} __packed hci_write_inquiry_mode_cp;
 
 typedef hci_status_rp	hci_write_inquiry_mode_rp;
 
@@ -1485,13 +1485,13 @@
 typedef struct {
 	uint8_t		status;		/* 0x00 - success */
 	uint8_t		type;		/* page scan type */
-} __attribute__ ((__packed__)) hci_read_page_scan_type_rp;
+} __packed hci_read_page_scan_type_rp;
 
 #define HCI_OCF_WRITE_PAGE_SCAN_TYPE			0x0047
 #define HCI_CMD_WRITE_PAGE_SCAN_TYPE			0x0C47
 typedef struct {
 	uint8_t		type;		/* page scan type */
-} __attribute__ ((__packed__)) hci_write_page_scan_type_cp;
+} __packed hci_write_page_scan_type_cp;
 
 typedef hci_status_rp	hci_write_page_scan_type_rp;
 
@@ -1502,13 +1502,13 @@
 typedef struct {
 	uint8_t		status;		/* 0x00 - success */
 	uint8_t		mode;		/* assessment mode */
-} __attribute__ ((__packed__)) hci_read_afh_assessment_rp;
+} __packed hci_read_afh_assessment_rp;
 
 #define HCI_OCF_WRITE_AFH_ASSESSMENT			0x0049
 #define HCI_CMD_WRITE_AFH_ASSESSMENT			0x0C49
 typedef struct {
 	uint8_t		mode;		/* assessment mode */
-} __attribute__ ((__packed__)) hci_write_afh_assessment_cp;
+} __packed hci_write_afh_assessment_cp;
 
 typedef hci_status_rp	hci_write_afh_assessment_rp;
 
@@ -1520,14 +1520,14 @@
 	uint8_t		status;		/* 0x00 - success */
 	uint8_t		fec_required;
 	uint8_t		response[240];
-} __attribute__ ((__packed__)) hci_read_extended_inquiry_rsp_rp;
+} __packed hci_read_extended_inquiry_rsp_rp;
 
 #define HCI_OCF_WRITE_EXTENDED_INQUIRY_RSP		0x0052
 #define HCI_CMD_WRITE_EXTENDED_INQUIRY_RSP		0x0C52
 typedef struct {
 	uint8_t		fec_required;
 	uint8_t		response[240];
-} __attribute__ ((__packed__)) hci_write_extended_inquiry_rsp_cp;
+} __packed hci_write_extended_inquiry_rsp_cp;
 
 typedef hci_status_rp	hci_write_extended_inquiry_rsp_rp;
 
@@ -1535,7 +1535,7 @@
 #define HCI_CMD_REFRESH_ENCRYPTION_KEY			0x0C53
 typedef struct {
 	uint16_t	con_handle;	/* connection handle */
-} __attribute__ ((__packed__)) hci_refresh_encryption_key_cp;
+} __packed hci_refresh_encryption_key_cp;
 
 typedef hci_status_rp	hci_refresh_encryption_key_rp;
 
@@ -1546,13 +1546,13 @@
 typedef struct {
 	uint8_t		status;		/* 0x00 - success */
 	uint8_t		mode;		/* simple pairing mode */
-} __attribute__ ((__packed__)) hci_read_simple_pairing_mode_rp;
+} __packed hci_read_simple_pairing_mode_rp;
 
 #define HCI_OCF_WRITE_SIMPLE_PAIRING_MODE		0x0056
 #define HCI_CMD_WRITE_SIMPLE_PAIRING_MODE		0x0C56
 typedef struct {
 	uint8_t		mode;		/* simple pairing mode */
-} __attribute__ ((__packed__)) hci_write_simple_pairing_mode_cp;
+} __packed hci_write_simple_pairing_mode_cp;
 
 typedef hci_status_rp	hci_write_simple_pairing_mode_rp;
 
@@ -1564,7 +1564,7 @@
 	uint8_t		status;		/* 0x00 - success */
 	uint8_t		c[16];		/* pairing hash */
 	uint8_t		r[16];		/* pairing randomizer */
-} __attribute__ ((__packed__)) hci_read_local_oob_data_rp;
+} __packed hci_read_local_oob_data_rp;
 
 #define HCI_OCF_READ_INQUIRY_RSP_XMIT_POWER		0x0058
 #define HCI_CMD_READ_INQUIRY_RSP_XMIT_POWER		0x0C58
@@ -1573,13 +1573,13 @@
 typedef struct {
 	uint8_t		status;		/* 0x00 - success */
 	int8_t		power;		/* TX power */
-} __attribute__ ((__packed__)) hci_read_inquiry_rsp_xmit_power_rp;
+} __packed hci_read_inquiry_rsp_xmit_power_rp;
 
 #define HCI_OCF_WRITE_INQUIRY_RSP_XMIT_POWER		0x0059
 #define HCI_CMD_WRITE_INQUIRY_RSP_XMIT_POWER		0x0C59
 typedef struct {
 	int8_t		power;		/* TX power */
-} __attribute__ ((__packed__)) hci_write_inquiry_rsp_xmit_power_cp;
+} __packed hci_write_inquiry_rsp_xmit_power_cp;
 
 typedef hci_status_rp	hci_write_inquiry_rsp_xmit_power_rp;
 
@@ -1590,13 +1590,13 @@
 typedef struct {
 	uint8_t		status;		/* 0x00 - success */
 	uint8_t		reporting;	/* erroneous data reporting */
-} __attribute__ ((__packed__)) hci_read_default_errdata_reporting_rp;
+} __packed hci_read_default_errdata_reporting_rp;
 
 #define HCI_OCF_WRITE_DEFAULT_ERRDATA_REPORTING		0x005B
 #define HCI_CMD_WRITE_DEFAULT_ERRDATA_REPORTING		0x0C5B
 typedef struct {
 	uint8_t		reporting;	/* erroneous data reporting */
-} __attribute__ ((__packed__)) hci_write_default_errdata_reporting_cp;
+} __packed hci_write_default_errdata_reporting_cp;
 
 typedef hci_status_rp	hci_write_default_errdata_reporting_rp;
 
@@ -1605,7 +1605,7 @@
 typedef struct {
 	uint16_t	con_handle;	/* connection handle */
 	uint8_t		packet_type;
-} __attribute__ ((__packed__)) hci_enhanced_flush_cp;
+} __packed hci_enhanced_flush_cp;
 
 /* No response parameter(s) */
 
@@ -1614,12 +1614,12 @@
 typedef struct {
 	bdaddr_t	bdaddr;		/* remote address */
 	uint8_t		type;		/* notification type */
-} __attribute__ ((__packed__)) hci_send_keypress_notification_cp;
+} __packed hci_send_keypress_notification_cp;
 
 typedef struct {
 	uint8_t		status;		/* 0x00 - success */
 	bdaddr_t	bdaddr;		/* remote address */
-} __attribute__ ((__packed__)) hci_send_keypress_notification_rp;
+} __packed hci_send_keypress_notification_rp;
 
 /**************************************************************************
  **************************************************************************
@@ -1639,7 +1639,7 @@
 	uint8_t		lmp_version;    /* LMP version */
 	uint16_t	manufacturer;   /* Hardware manufacturer name */
 	uint16_t	lmp_subversion; /* LMP sub-version */
-} __attribute__ ((__packed__)) hci_read_local_ver_rp;
+} __packed hci_read_local_ver_rp;
 
 #define HCI_OCF_READ_LOCAL_COMMANDS			0x0002
 #define HCI_CMD_READ_LOCAL_COMMANDS			0x1002
@@ -1647,7 +1647,7 @@
 typedef struct {
 	uint8_t		status;		/* 0x00 - success */
 	uint8_t		commands[HCI_COMMANDS_SIZE];	/* opcode bitmask */
-} __attribute__ ((__packed__)) hci_read_local_commands_rp;
+} __packed hci_read_local_commands_rp;
 
 #define HCI_OCF_READ_LOCAL_FEATURES			0x0003
 #define HCI_CMD_READ_LOCAL_FEATURES			0x1003
@@ -1655,20 +1655,20 @@
 typedef struct {
 	uint8_t		status;                      /* 0x00 - success */
 	uint8_t		features[HCI_FEATURES_SIZE]; /* LMP features bitmsk*/
-} __attribute__ ((__packed__)) hci_read_local_features_rp;
+} __packed hci_read_local_features_rp;
 
 #define HCI_OCF_READ_LOCAL_EXTENDED_FEATURES		0x0004
 #define HCI_CMD_READ_LOCAL_EXTENDED_FEATURES		0x1004
 typedef struct {
 	uint8_t		page;		/* page number */
-} __attribute__ ((__packed__)) hci_read_local_extended_features_cp;
+} __packed hci_read_local_extended_features_cp;
 
 typedef struct {
 	uint8_t		status;		/* 0x00 - success */
 	uint8_t		page;		/* page number */
 	uint8_t		max_page;	/* maximum page number */
 	uint8_t		features[HCI_FEATURES_SIZE];	/* LMP features */
-} __attribute__ ((__packed__)) hci_read_local_extended_features_rp;
+} __packed hci_read_local_extended_features_rp;
 
 #define HCI_OCF_READ_BUFFER_SIZE			0x0005
 #define HCI_CMD_READ_BUFFER_SIZE			0x1005
@@ -1679,7 +1679,7 @@
 	uint8_t		max_sco_size; /* Max. size of SCO packet (bytes) */
 	uint16_t	num_acl_pkts;  /* Max. number of ACL packets */
 	uint16_t	num_sco_pkts;  /* Max. number of SCO packets */
-} __attribute__ ((__packed__)) hci_read_buffer_size_rp;
+} __packed hci_read_buffer_size_rp;
 
 /* Read Country Code is deprecated */
 #define HCI_OCF_READ_COUNTRY_CODE			0x0007
@@ -1688,7 +1688,7 @@
 typedef struct {
 	uint8_t		status;       /* 0x00 - success */
 	uint8_t		country_code; /* 0x00 - NAM, EUR, JP; 0x01 - France */
-} __attribute__ ((__packed__)) hci_read_country_code_rp;
+} __packed hci_read_country_code_rp;
 
 #define HCI_OCF_READ_BDADDR				0x0009
 #define HCI_CMD_READ_BDADDR				0x1009
@@ -1696,7 +1696,7 @@
 typedef struct {
 	uint8_t		status; /* 0x00 - success */
 	bdaddr_t	bdaddr; /* unit address */
-} __attribute__ ((__packed__)) hci_read_bdaddr_rp;
+} __packed hci_read_bdaddr_rp;
 
 /**************************************************************************
  **************************************************************************
@@ -1710,75 +1710,75 @@
 #define HCI_CMD_READ_FAILED_CONTACT_CNTR		0x1401
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_read_failed_contact_cntr_cp;
+} __packed hci_read_failed_contact_cntr_cp;
 
 typedef struct {
 	uint8_t		status;     /* 0x00 - success */
 	uint16_t	con_handle; /* connection handle */
 	uint16_t	counter;    /* number of consecutive failed contacts */
-} __attribute__ ((__packed__)) hci_read_failed_contact_cntr_rp;
+} __packed hci_read_failed_contact_cntr_rp;
 
 #define HCI_OCF_RESET_FAILED_CONTACT_CNTR		0x0002
 #define HCI_CMD_RESET_FAILED_CONTACT_CNTR		0x1402
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_reset_failed_contact_cntr_cp;
+} __packed hci_reset_failed_contact_cntr_cp;
 
 typedef struct {
 	uint8_t		status;     /* 0x00 - success */
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_reset_failed_contact_cntr_rp;
+} __packed hci_reset_failed_contact_cntr_rp;
 
 #define HCI_OCF_READ_LINK_QUALITY			0x0003
 #define HCI_CMD_READ_LINK_QUALITY			0x1403
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_read_link_quality_cp;
+} __packed hci_read_link_quality_cp;
 
 typedef struct {
 	uint8_t		status;     /* 0x00 - success */
 	uint16_t	con_handle; /* connection handle */
 	uint8_t		quality;    /* higher value means better quality */
-} __attribute__ ((__packed__)) hci_read_link_quality_rp;
+} __packed hci_read_link_quality_rp;
 
 #define HCI_OCF_READ_RSSI				0x0005
 #define HCI_CMD_READ_RSSI				0x1405
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_read_rssi_cp;
+} __packed hci_read_rssi_cp;
 
 typedef struct {
 	uint8_t		status;     /* 0x00 - success */
 	uint16_t	con_handle; /* connection handle */
 	char		rssi;       /* -127 <= rssi <= 127 dB */
-} __attribute__ ((__packed__)) hci_read_rssi_rp;
+} __packed hci_read_rssi_rp;
 
 #define HCI_OCF_READ_AFH_CHANNEL_MAP			0x0006
 #define HCI_CMD_READ_AFH_CHANNEL_MAP			0x1406
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_read_afh_channel_map_cp;
+} __packed hci_read_afh_channel_map_cp;
 
 typedef struct {
 	uint8_t		status;     /* 0x00 - success */
 	uint16_t	con_handle; /* connection handle */
 	uint8_t		mode;       /* AFH mode */
 	uint8_t		map[10];    /* AFH Channel Map */
-} __attribute__ ((__packed__)) hci_read_afh_channel_map_rp;
+} __packed hci_read_afh_channel_map_rp;
 
 #define HCI_OCF_READ_CLOCK				0x0007
 #define HCI_CMD_READ_CLOCK				0x1407
 typedef struct {
 	uint16_t	con_handle;	/* connection handle */
 	uint8_t		clock;		/* which clock */
-} __attribute__ ((__packed__)) hci_read_clock_cp;
+} __packed hci_read_clock_cp;
 
 typedef struct {
 	uint8_t		status;		/* 0x00 - success */
 	uint16_t	con_handle;	/* connection handle */
 	uint32_t	clock;		/* clock value */
 	uint16_t	accuracy;	/* clock accuracy */
-} __attribute__ ((__packed__)) hci_read_clock_rp;
+} __packed hci_read_clock_rp;
 
 
 /**************************************************************************
@@ -1795,13 +1795,13 @@
 typedef struct {
 	uint8_t		status; /* 0x00 - success */
 	uint8_t		lbmode; /* loopback mode */
-} __attribute__ ((__packed__)) hci_read_loopback_mode_rp;
+} __packed hci_read_loopback_mode_rp;
 
 #define HCI_OCF_WRITE_LOOPBACK_MODE			0x0002
 #define HCI_CMD_WRITE_LOOPBACK_MODE			0x1802
 typedef struct {
 	uint8_t		lbmode; /* loopback mode */
-} __attribute__ ((__packed__)) hci_write_loopback_mode_cp;
+} __packed hci_write_loopback_mode_cp;
 
 typedef hci_status_rp	hci_write_loopback_mode_rp;
 
@@ -1814,7 +1814,7 @@
 #define HCI_CMD_WRITE_SIMPLE_PAIRING_DEBUG_MODE		0x1804
 typedef struct {
 	uint8_t		mode;	/* simple pairing debug mode */
-} __attribute__ ((__packed__)) hci_write_simple_pairing_debug_mode_cp;
+} __packed hci_write_simple_pairing_debug_mode_cp;
 
 typedef hci_status_rp	hci_write_simple_pairing_debug_mode_rp;
 
@@ -1846,13 +1846,13 @@
 #define HCI_EVENT_INQUIRY_COMPL			0x01
 typedef struct {
 	uint8_t		status; /* 0x00 - success */
-} __attribute__ ((__packed__)) hci_inquiry_compl_ep;
+} __packed hci_inquiry_compl_ep;
 
 #define HCI_EVENT_INQUIRY_RESULT		0x02
 typedef struct {
 	uint8_t		num_responses;      /* number of responses */
 /*	hci_inquiry_response[num_responses]   -- see below */
-} __attribute__ ((__packed__)) hci_inquiry_result_ep;
+} __packed hci_inquiry_result_ep;
 
 typedef struct {
 	bdaddr_t	bdaddr;                   /* unit address */
@@ -1861,7 +1861,7 @@
 	uint8_t		page_scan_mode;           /* page scan mode */
 	uint8_t		uclass[HCI_CLASS_SIZE];   /* unit class */
 	uint16_t	clock_offset;             /* clock offset */
-} __attribute__ ((__packed__)) hci_inquiry_response;
+} __packed hci_inquiry_response;
 
 #define HCI_EVENT_CON_COMPL			0x03
 typedef struct {
@@ -1870,61 +1870,61 @@
 	bdaddr_t	bdaddr;          /* remote unit address */
 	uint8_t		link_type;       /* Link type */
 	uint8_t		encryption_mode; /* Encryption mode */
-} __attribute__ ((__packed__)) hci_con_compl_ep;
+} __packed hci_con_compl_ep;
 
 #define HCI_EVENT_CON_REQ			0x04
 typedef struct {
 	bdaddr_t	bdaddr;                 /* remote unit address */
 	uint8_t		uclass[HCI_CLASS_SIZE]; /* remote unit class */
 	uint8_t		link_type;              /* link type */
-} __attribute__ ((__packed__)) hci_con_req_ep;
+} __packed hci_con_req_ep;
 
 #define HCI_EVENT_DISCON_COMPL			0x05
 typedef struct {
 	uint8_t		status;     /* 0x00 - success */
 	uint16_t	con_handle; /* connection handle */
 	uint8_t		reason;     /* reason to disconnect */
-} __attribute__ ((__packed__)) hci_discon_compl_ep;
+} __packed hci_discon_compl_ep;
 
 #define HCI_EVENT_AUTH_COMPL			0x06
 typedef struct {
 	uint8_t		status;     /* 0x00 - success */
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_auth_compl_ep;
+} __packed hci_auth_compl_ep;
 
 #define HCI_EVENT_REMOTE_NAME_REQ_COMPL		0x07
 typedef struct {
 	uint8_t		status;                   /* 0x00 - success */
 	bdaddr_t	bdaddr;                   /* remote unit address */
 	char		name[HCI_UNIT_NAME_SIZE]; /* remote unit name */
-} __attribute__ ((__packed__)) hci_remote_name_req_compl_ep;
+} __packed hci_remote_name_req_compl_ep;
 
 #define HCI_EVENT_ENCRYPTION_CHANGE		0x08
 typedef struct {
 	uint8_t		status;            /* 0x00 - success */
 	uint16_t	con_handle;        /* Connection handle */
 	uint8_t		encryption_enable; /* 0x00 - disable */
-} __attribute__ ((__packed__)) hci_encryption_change_ep;
+} __packed hci_encryption_change_ep;
 
 #define HCI_EVENT_CHANGE_CON_LINK_KEY_COMPL	0x09
 typedef struct {
 	uint8_t		status;     /* 0x00 - success */
 	uint16_t	con_handle; /* Connection handle */
-} __attribute__ ((__packed__)) hci_change_con_link_key_compl_ep;
+} __packed hci_change_con_link_key_compl_ep;
 
 #define HCI_EVENT_MASTER_LINK_KEY_COMPL		0x0a
 typedef struct {
 	uint8_t		status;     /* 0x00 - success */
 	uint16_t	con_handle; /* Connection handle */
 	uint8_t		key_flag;   /* Key flag */
-} __attribute__ ((__packed__)) hci_master_link_key_compl_ep;
+} __packed hci_master_link_key_compl_ep;
 
 #define HCI_EVENT_READ_REMOTE_FEATURES_COMPL	0x0b
 typedef struct {
 	uint8_t		status;                      /* 0x00 - success */
 	uint16_t	con_handle;                  /* Connection handle */
 	uint8_t		features[HCI_FEATURES_SIZE]; /* LMP features bitmsk*/
-} __attribute__ ((__packed__)) hci_read_remote_features_compl_ep;
+} __packed hci_read_remote_features_compl_ep;
 
 #define HCI_EVENT_READ_REMOTE_VER_INFO_COMPL	0x0c
 typedef struct {
@@ -1933,7 +1933,7 @@
 	uint8_t		lmp_version;    /* LMP version */
 	uint16_t	manufacturer;   /* Hardware manufacturer name */
 	uint16_t	lmp_subversion; /* LMP sub-version */
-} __attribute__ ((__packed__)) hci_read_remote_ver_info_compl_ep;
+} __packed hci_read_remote_ver_info_compl_ep;
 
 #define HCI_EVENT_QOS_SETUP_COMPL		0x0d
 typedef struct {
@@ -1945,38 +1945,38 @@
 	uint32_t	peak_bandwidth;  /* bytes per second */
 	uint32_t	latency;         /* microseconds */
 	uint32_t	delay_variation; /* microseconds */
-} __attribute__ ((__packed__)) hci_qos_setup_compl_ep;
+} __packed hci_qos_setup_compl_ep;
 
 #define HCI_EVENT_COMMAND_COMPL			0x0e
 typedef struct {
 	uint8_t		num_cmd_pkts; /* # of HCI command packets */
 	uint16_t	opcode;       /* command OpCode */
 	/* command return parameters (if any) */
-} __attribute__ ((__packed__)) hci_command_compl_ep;
+} __packed hci_command_compl_ep;
 
 #define HCI_EVENT_COMMAND_STATUS		0x0f
 typedef struct {
 	uint8_t		status;       /* 0x00 - pending */
 	uint8_t		num_cmd_pkts; /* # of HCI command packets */
 	uint16_t	opcode;       /* command OpCode */
-} __attribute__ ((__packed__)) hci_command_status_ep;
+} __packed hci_command_status_ep;
 
 #define HCI_EVENT_HARDWARE_ERROR		0x10
 typedef struct {
 	uint8_t		hardware_code; /* hardware error code */
-} __attribute__ ((__packed__)) hci_hardware_error_ep;
+} __packed hci_hardware_error_ep;
 
 #define HCI_EVENT_FLUSH_OCCUR			0x11
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_flush_occur_ep;
+} __packed hci_flush_occur_ep;
 
 #define HCI_EVENT_ROLE_CHANGE			0x12
 typedef struct {
 	uint8_t		status; /* 0x00 - success */
 	bdaddr_t	bdaddr; /* address of remote unit */
 	uint8_t		role;   /* new connection role */
-} __attribute__ ((__packed__)) hci_role_change_ep;
+} __packed hci_role_change_ep;
 
 #define HCI_EVENT_NUM_COMPL_PKTS		0x13
 typedef struct {
@@ -1984,7 +1984,7 @@
 /* these are repeated "num_con_handles" times
 	uint16_t	con_handle; --- connection handle(s)
 	uint16_t	compl_pkts; --- # of completed packets */
-} __attribute__ ((__packed__)) hci_num_compl_pkts_ep;
+} __packed hci_num_compl_pkts_ep;
 
 #define HCI_EVENT_MODE_CHANGE			0x14
 typedef struct {
@@ -1992,7 +1992,7 @@
 	uint16_t	con_handle; /* connection handle */
 	uint8_t		unit_mode;  /* remote unit mode */
 	uint16_t	interval;   /* interval * 0.625 msec */
-} __attribute__ ((__packed__)) hci_mode_change_ep;
+} __packed hci_mode_change_ep;
 
 #define HCI_EVENT_RETURN_LINK_KEYS		0x15
 typedef struct {
@@ -2000,24 +2000,24 @@
 /* these are repeated "num_keys" times
 	bdaddr_t	bdaddr;               --- remote address(es)
 	uint8_t		key[HCI_KEY_SIZE]; --- key(s) */
-} __attribute__ ((__packed__)) hci_return_link_keys_ep;
+} __packed hci_return_link_keys_ep;
 
 #define HCI_EVENT_PIN_CODE_REQ			0x16
 typedef struct {
 	bdaddr_t	bdaddr; /* remote unit address */
-} __attribute__ ((__packed__)) hci_pin_code_req_ep;
+} __packed hci_pin_code_req_ep;
 
 #define HCI_EVENT_LINK_KEY_REQ			0x17
 typedef struct {
 	bdaddr_t	bdaddr; /* remote unit address */
-} __attribute__ ((__packed__)) hci_link_key_req_ep;
+} __packed hci_link_key_req_ep;
 
 #define HCI_EVENT_LINK_KEY_NOTIFICATION		0x18
 typedef struct {
 	bdaddr_t	bdaddr;            /* remote unit address */
 	uint8_t		key[HCI_KEY_SIZE]; /* link key */
 	uint8_t		key_type;          /* type of the key */
-} __attribute__ ((__packed__)) hci_link_key_notification_ep;
+} __packed hci_link_key_notification_ep;
 
 #define HCI_EVENT_LOOPBACK_COMMAND		0x19
 typedef hci_cmd_hdr_t	hci_loopback_command_ep;
@@ -2025,45 +2025,45 @@
 #define HCI_EVENT_DATA_BUFFER_OVERFLOW		0x1a
 typedef struct {
 	uint8_t		link_type; /* Link type */
-} __attribute__ ((__packed__)) hci_data_buffer_overflow_ep;
+} __packed hci_data_buffer_overflow_ep;
 
 #define HCI_EVENT_MAX_SLOT_CHANGE		0x1b
 typedef struct {
 	uint16_t	con_handle;    /* connection handle */
 	uint8_t		lmp_max_slots; /* Max. # of slots allowed */
-} __attribute__ ((__packed__)) hci_max_slot_change_ep;
+} __packed hci_max_slot_change_ep;
 
 #define HCI_EVENT_READ_CLOCK_OFFSET_COMPL	0x1c
 typedef struct {
 	uint8_t		status;       /* 0x00 - success */
 	uint16_t	con_handle;   /* Connection handle */
 	uint16_t	clock_offset; /* Clock offset */
-} __attribute__ ((__packed__)) hci_read_clock_offset_compl_ep;
+} __packed hci_read_clock_offset_compl_ep;
 
 #define HCI_EVENT_CON_PKT_TYPE_CHANGED		0x1d
 typedef struct {
 	uint8_t		status;     /* 0x00 - success */
 	uint16_t	con_handle; /* connection handle */
 	uint16_t	pkt_type;   /* packet type */
-} __attribute__ ((__packed__)) hci_con_pkt_type_changed_ep;
+} __packed hci_con_pkt_type_changed_ep;
 
 #define HCI_EVENT_QOS_VIOLATION			0x1e
 typedef struct {
 	uint16_t	con_handle; /* connection handle */
-} __attribute__ ((__packed__)) hci_qos_violation_ep;
+} __packed hci_qos_violation_ep;
 
 /* Page Scan Mode Change Event is deprecated */
 #define HCI_EVENT_PAGE_SCAN_MODE_CHANGE		0x1f
 typedef struct {
 	bdaddr_t	bdaddr;         /* destination address */
 	uint8_t		page_scan_mode; /* page scan mode */
-} __attribute__ ((__packed__)) hci_page_scan_mode_change_ep;
+} __packed hci_page_scan_mode_change_ep;
 
 #define HCI_EVENT_PAGE_SCAN_REP_MODE_CHANGE	0x20
 typedef struct {
 	bdaddr_t	bdaddr;             /* destination address */
 	uint8_t		page_scan_rep_mode; /* page scan repetition mode */
-} __attribute__ ((__packed__)) hci_page_scan_rep_mode_change_ep;
+} __packed hci_page_scan_rep_mode_change_ep;
 
 #define HCI_EVENT_FLOW_SPECIFICATION_COMPL	0x21
 typedef struct {
@@ -2076,13 +2076,13 @@
 	uint32_t	bucket_size;	/* token bucket size */
 	uint32_t	peak_bandwidth;	/* peak bandwidth */
 	uint32_t	latency;	/* access latency */
-} __attribute__ ((__packed__)) hci_flow_specification_compl_ep;
+} __packed hci_flow_specification_compl_ep;
 
 #define HCI_EVENT_RSSI_RESULT			0x22
 typedef struct {
 	uint8_t		num_responses;      /* number of responses */
 /*	hci_rssi_response[num_responses]   -- see below */
-} __attribute__ ((__packed__)) hci_rssi_result_ep;
+} __packed hci_rssi_result_ep;
 
 typedef struct {
 	bdaddr_t	bdaddr;			/* unit address */
@@ -2091,7 +2091,7 @@
 	uint8_t		uclass[HCI_CLASS_SIZE];	/* unit class */
 	uint16_t	clock_offset;		/* clock offset */
 	int8_t		rssi;			/* rssi */
-} __attribute__ ((__packed__)) hci_rssi_response;
+} __packed hci_rssi_response;
 
 #define HCI_EVENT_READ_REMOTE_EXTENDED_FEATURES	0x23
 typedef struct {
@@ -2100,7 +2100,7 @@
 	uint8_t		page;		/* page number */
 	uint8_t		max;		/* max page number */
 	uint8_t		features[HCI_FEATURES_SIZE]; /* LMP features bitmsk*/
-} __attribute__ ((__packed__)) hci_read_remote_extended_features_ep;
+} __packed hci_read_remote_extended_features_ep;
 
 #define HCI_EVENT_SCO_CON_COMPL			0x2c
 typedef struct {
@@ -2113,7 +2113,7 @@
 	uint16_t	rxlen;		/* rx packet length */
 	uint16_t	txlen;		/* tx packet length */
 	uint8_t		mode;		/* air mode */
-} __attribute__ ((__packed__)) hci_sco_con_compl_ep;
+} __packed hci_sco_con_compl_ep;
 
 #define HCI_EVENT_SCO_CON_CHANGED		0x2d
 typedef struct {
@@ -2123,7 +2123,7 @@
 	uint8_t		window;		/* retransmission window */
 	uint16_t	rxlen;		/* rx packet length */
 	uint16_t	txlen;		/* tx packet length */
-} __attribute__ ((__packed__)) hci_sco_con_changed_ep;
+} __packed hci_sco_con_changed_ep;
 
 #define HCI_EVENT_SNIFF_SUBRATING		0x2e
 typedef struct {
@@ -2133,7 +2133,7 @@
 	uint16_t	rx_latency;	/* max receive latency */
 	uint16_t	remote_timeout;	/* remote timeout */
 	uint16_t	local_timeout;	/* local timeout */
-} __attribute__ ((__packed__)) hci_sniff_subrating_ep;
+} __packed hci_sniff_subrating_ep;
 
 #define HCI_EVENT_EXTENDED_RESULT		0x2f
 typedef struct {
@@ -2145,18 +2145,18 @@
 	uint16_t	clock_offset;
 	int8_t		rssi;
 	uint8_t		response[240];	/* extended inquiry response */
-} __attribute__ ((__packed__)) hci_extended_result_ep;
+} __packed hci_extended_result_ep;
 
 #define HCI_EVENT_ENCRYPTION_KEY_REFRESH	0x30
 typedef struct {
 	uint8_t		status;		/* 0x00 - success */
 	uint16_t	con_handle;	/* connection handle */
-} __attribute__ ((__packed__)) hci_encryption_key_refresh_ep;
+} __packed hci_encryption_key_refresh_ep;
 
 #define HCI_EVENT_IO_CAPABILITY_REQ		0x31
 typedef struct {
 	bdaddr_t	bdaddr;		/* remote device address */
-} __attribute__ ((__packed__)) hci_io_capability_req_ep;
+} __packed hci_io_capability_req_ep;
 
 #define HCI_EVENT_IO_CAPABILITY_RSP		0x32
 typedef struct {
@@ -2164,58 +2164,58 @@
 	uint8_t		io_capability;
 	uint8_t		oob_data_present;
 	uint8_t		auth_requirement;
-} __attribute__ ((__packed__)) hci_io_capability_rsp_ep;
+} __packed hci_io_capability_rsp_ep;
 
 #define HCI_EVENT_USER_CONFIRM_REQ		0x33
 typedef struct {
 	bdaddr_t	bdaddr;		/* remote device address */
 	uint32_t	value;		/* 000000 - 999999 */
-} __attribute__ ((__packed__)) hci_user_confirm_req_ep;
+} __packed hci_user_confirm_req_ep;
 
 #define HCI_EVENT_USER_PASSKEY_REQ		0x34
 typedef struct {
 	bdaddr_t	bdaddr;		/* remote device address */
-} __attribute__ ((__packed__)) hci_user_passkey_req_ep;
+} __packed hci_user_passkey_req_ep;
 
 #define HCI_EVENT_REMOTE_OOB_DATA_REQ		0x35
 typedef struct {
 	bdaddr_t	bdaddr;		/* remote device address */
-} __attribute__ ((__packed__)) hci_remote_oob_data_req_ep;
+} __packed hci_remote_oob_data_req_ep;
 
 #define HCI_EVENT_SIMPLE_PAIRING_COMPL		0x36
 typedef struct {
 	uint8_t		status;		/* 0x00 - success */
 	bdaddr_t	bdaddr;		/* remote device address */
-} __attribute__ ((__packed__)) hci_simple_pairing_compl_ep;
+} __packed hci_simple_pairing_compl_ep;
 
 #define HCI_EVENT_LINK_SUPERVISION_TO_CHANGED	0x38
 typedef struct {
 	uint16_t	con_handle;	/* connection handle */
 	uint16_t	timeout;	/* link supervision timeout */
-} __attribute__ ((__packed__)) hci_link_supervision_to_changed_ep;
+} __packed hci_link_supervision_to_changed_ep;
 
 #define HCI_EVENT_ENHANCED_FLUSH_COMPL		0x39
 typedef struct {
 	uint16_t	con_handle;	/* connection handle */
-} __attribute__ ((__packed__)) hci_enhanced_flush_compl_ep;
+} __packed hci_enhanced_flush_compl_ep;
 
 #define HCI_EVENT_USER_PASSKEY_NOTIFICATION	0x3b
 typedef struct {
 	bdaddr_t	bdaddr;		/* remote device address */
 	uint32_t	value;		/* 000000 - 999999 */
-} __attribute__ ((__packed__)) hci_user_passkey_notification_ep;
+} __packed hci_user_passkey_notification_ep;
 
 #define HCI_EVENT_KEYPRESS_NOTIFICATION		0x3c
 typedef struct {
 	bdaddr_t	bdaddr;		/* remote device address */
 	uint8_t		notification_type;
-} __attribute__ ((__packed__)) hci_keypress_notification_ep;
+} __packed hci_keypress_notification_ep;
 
 #define HCI_EVENT_REMOTE_FEATURES_NOTIFICATION	0x3d
 typedef struct {
 	bdaddr_t	bdaddr;		/* remote device address */
 	uint8_t		features[HCI_FEATURES_SIZE]; /* LMP features bitmsk*/
-} __attribute__ ((__packed__)) hci_remote_features_notification_ep;
+} __packed hci_remote_features_notification_ep;
 
 #define HCI_EVENT_BT_LOGO			0xfe
 
Index: sys/netbt/l2cap.h
===================================================================
RCS file: /cvsroot/src/sys/netbt/l2cap.h,v
retrieving revision 1.7
diff -u -r1.7 l2cap.h
--- sys/netbt/l2cap.h	6 Aug 2008 15:01:24 -0000	1.7
+++ sys/netbt/l2cap.h	31 Aug 2008 02:33:48 -0000
@@ -181,7 +181,7 @@
 	uint32_t peak_bandwidth;	/* bytes per second */
 	uint32_t latency;		/* microseconds */
 	uint32_t delay_variation;	/* microseconds */
-} __attribute__ ((__packed__)) l2cap_qos_t;
+} __packed l2cap_qos_t;
 
 /* L2CAP QoS type */
 #define L2CAP_QOS_NO_TRAFFIC	0x00
@@ -197,7 +197,7 @@
 	uint16_t	retransmit_timo;   /* milliseconds */
 	uint16_t	monitor_timo;	   /* milliseconds */
 	uint16_t	max_pdu_size;	   /* bytes */
-} __attribute__ ((__packed__)) l2cap_rfc_t;
+} __packed l2cap_rfc_t;
 
 /* L2CAP RFC mode */
 #define L2CAP_RFC_BASIC		0x00	   /* (default) */
@@ -215,12 +215,12 @@
 typedef struct {
 	uint16_t	length;	/* payload size */
 	uint16_t	dcid;	/* destination channel ID */
-} __attribute__ ((__packed__)) l2cap_hdr_t;
+} __packed l2cap_hdr_t;
 
 /* L2CAP ConnectionLess Traffic		(dcid == L2CAP_CLT_CID) */
 typedef struct {
 	uint16_t	psm; /* Protocol/Service Multiplexor */
-} __attribute__ ((__packed__)) l2cap_clt_hdr_t;
+} __packed l2cap_clt_hdr_t;
 
 #define L2CAP_CLT_MTU_MAXIMUM \
 	(L2CAP_MTU_MAXIMUM - sizeof(l2cap_clt_hdr_t))
@@ -230,21 +230,21 @@
 	uint8_t	code;   /* command OpCode */
 	uint8_t	ident;  /* identifier to match request and response */
 	uint16_t	length; /* command parameters length */
-} __attribute__ ((__packed__)) l2cap_cmd_hdr_t;
+} __packed l2cap_cmd_hdr_t;
 
 /* L2CAP Command Reject */
 #define L2CAP_COMMAND_REJ			0x01
 typedef struct {
 	uint16_t	reason; /* reason to reject command */
 	uint16_t	data[2];/* optional data */
-} __attribute__ ((__packed__)) l2cap_cmd_rej_cp;
+} __packed l2cap_cmd_rej_cp;
 
 /* L2CAP Connection Request */
 #define L2CAP_CONNECT_REQ			0x02
 typedef struct {
 	uint16_t	psm;  /* Protocol/Service Multiplexor (PSM) */
 	uint16_t	scid; /* source channel ID */
-} __attribute__ ((__packed__)) l2cap_con_req_cp;
+} __packed l2cap_con_req_cp;
 
 /* L2CAP Connection Response */
 #define L2CAP_CONNECT_RSP			0x03
@@ -253,7 +253,7 @@
 	uint16_t	scid;   /* source channel ID */
 	uint16_t	result; /* 0x00 - success */
 	uint16_t	status; /* more info if result != 0x00 */
-} __attribute__ ((__packed__)) l2cap_con_rsp_cp;
+} __packed l2cap_con_rsp_cp;
 
 /* L2CAP Configuration Request */
 #define L2CAP_CONFIG_REQ			0x04
@@ -261,7 +261,7 @@
 	uint16_t	dcid;  /* destination channel ID */
 	uint16_t	flags; /* flags */
 /*	uint8_t	options[] --  options */
-} __attribute__ ((__packed__)) l2cap_cfg_req_cp;
+} __packed l2cap_cfg_req_cp;
 
 /* L2CAP Configuration Response */
 #define L2CAP_CONFIG_RSP			0x05
@@ -270,14 +270,14 @@
 	uint16_t	flags;  /* flags */
 	uint16_t	result; /* 0x00 - success */
 /*	uint8_t	options[] -- options */
-} __attribute__ ((__packed__)) l2cap_cfg_rsp_cp;
+} __packed l2cap_cfg_rsp_cp;
 
 /* L2CAP configuration option */
 typedef struct {
 	uint8_t	type;
 	uint8_t	length;
 /*	uint8_t	value[] -- option value (depends on type) */
-} __attribute__ ((__packed__)) l2cap_cfg_opt_t;
+} __packed l2cap_cfg_opt_t;
 
 /* L2CAP configuration option value */
 typedef union {
@@ -292,7 +292,7 @@
 typedef struct {
 	uint16_t	dcid; /* destination channel ID */
 	uint16_t	scid; /* source channel ID */
-} __attribute__ ((__packed__)) l2cap_discon_req_cp;
+} __packed l2cap_discon_req_cp;
 
 /* L2CAP Disconnect Response */
 #define L2CAP_DISCONNECT_RSP			0x07
@@ -312,7 +312,7 @@
 #define L2CAP_INFO_REQ				0x0a
 typedef struct {
 	uint16_t	type; /* requested information type */
-} __attribute__ ((__packed__)) l2cap_info_req_cp;
+} __packed l2cap_info_req_cp;
 
 /* L2CAP Information Response */
 #define L2CAP_INFO_RSP				0x0b
@@ -323,13 +323,13 @@
  *
  * L2CAP_CONNLESS_MTU - 2 bytes connectionless MTU
  */
-} __attribute__ ((__packed__)) l2cap_info_rsp_cp;
+} __packed l2cap_info_rsp_cp;
 
 typedef union {
 	/* L2CAP_CONNLESS_MTU */
 	struct {
 		uint16_t	mtu;
-	} __attribute__ ((__packed__)) mtu;
+	} __packed mtu;
 } l2cap_info_rsp_data_t;
 
 /**************************************************************************
Index: sys/netbt/rfcomm.h
===================================================================
RCS file: /cvsroot/src/sys/netbt/rfcomm.h,v
retrieving revision 1.7
diff -u -r1.7 rfcomm.h
--- sys/netbt/rfcomm.h	6 Aug 2008 15:01:24 -0000	1.7
+++ sys/netbt/rfcomm.h	31 Aug 2008 02:33:48 -0000
@@ -163,7 +163,7 @@
 	uint8_t		control;
 	uint8_t		length;
 	uint8_t		fcs;
-} __attribute__ ((__packed__));
+} __packed;
 
 /* RFCOMM MSC command */
 struct rfcomm_mcc_msc
@@ -171,7 +171,7 @@
 	uint8_t		address;
 	uint8_t		modem;
 	uint8_t		brk;
-} __attribute__ ((__packed__));
+} __packed;
 
 /* RFCOMM RPN command */
 struct rfcomm_mcc_rpn
@@ -183,14 +183,14 @@
 	uint8_t		xon_char;
 	uint8_t		xoff_char;
 	uint16_t	param_mask;
-} __attribute__ ((__packed__));
+} __packed;
 
 /* RFCOMM RLS command */
 struct rfcomm_mcc_rls
 {
 	uint8_t		address;
 	uint8_t		status;
-} __attribute__ ((__packed__));
+} __packed;
 
 /* RFCOMM PN command */
 struct rfcomm_mcc_pn
@@ -202,7 +202,7 @@
 	uint16_t	mtu;
 	uint8_t		max_retrans;
 	uint8_t		credits;
-} __attribute__ ((__packed__));
+} __packed;
 
 /* RFCOMM frame parsing macros */
 #define RFCOMM_DLCI(b)			(((b) & 0xfc) >> 2)
Index: sys/netinet/ip_icmp.h
===================================================================
RCS file: /cvsroot/src/sys/netinet/ip_icmp.h,v
retrieving revision 1.24
diff -u -r1.24 ip_icmp.h
--- sys/netinet/ip_icmp.h	25 Dec 2007 18:33:46 -0000	1.24
+++ sys/netinet/ip_icmp.h	31 Aug 2008 02:33:48 -0000
@@ -74,7 +74,7 @@
 			u_int8_t irt_wpa;
 			u_int16_t irt_lifetime;
 		} ih_rtradv __packed;
-	} icmp_hun /* XXX __attribute__((__packed__)) ??? */;
+	} icmp_hun /* XXX __packed ??? */;
 #define	icmp_pptr	  icmp_hun.ih_pptr
 #define	icmp_gwaddr	  icmp_hun.ih_gwaddr
 #define	icmp_id		  icmp_hun.ih_idseq.icd_id
@@ -94,11 +94,11 @@
 		struct id_ip  {
 			  struct ip idi_ip;
 			  /* options and then 64 bits of data */
-		} id_ip /* XXX: __attribute__((__packed__)) ??? */;
+		} id_ip /* XXX: __packed ??? */;
 		struct icmp_ra_addr id_radv;
 		u_int32_t id_mask;
 		int8_t	  id_data[1];
-	} icmp_dun /* XXX __attribute__((__packed__)) ??? */;
+	} icmp_dun /* XXX __packed ??? */;
 #define	icmp_otime	  icmp_dun.id_ts.its_otime
 #define	icmp_rtime	  icmp_dun.id_ts.its_rtime
 #define	icmp_ttime	  icmp_dun.id_ts.its_ttime
Index: sys/sys/cdefs_aout.h
===================================================================
RCS file: /cvsroot/src/sys/sys/cdefs_aout.h,v
retrieving revision 1.20
diff -u -r1.20 cdefs_aout.h
--- sys/sys/cdefs_aout.h	18 May 2006 17:55:38 -0000	1.20
+++ sys/sys/cdefs_aout.h	31 Aug 2008 02:33:49 -0000
@@ -67,8 +67,8 @@
 #endif /* __GNUC__ */
 
 #if defined(__sh__)		/* XXX SH COFF */
-#undef __indr_reference(sym,alias)
-#undef __warn_references(sym,msg)
+#undef __indr_reference
+#undef __warn_references
 #define	__warn_references(sym,msg)
 #endif
 
Index: sys/sys/systm.h
===================================================================
RCS file: /cvsroot/src/sys/sys/systm.h,v
retrieving revision 1.226
diff -u -r1.226 systm.h
--- sys/sys/systm.h	31 May 2008 20:27:24 -0000	1.226
+++ sys/sys/systm.h	31 Aug 2008 02:33:49 -0000
@@ -218,7 +218,7 @@
 #endif /* _KERNEL */
 
 void	panic(const char *, ...)
-    __attribute__((__noreturn__,__format__(__printf__,1,2)));
+    __dead __attribute__((__format__(__printf__,1,2)));
 void	uprintf(const char *, ...)
     __attribute__((__format__(__printf__,1,2)));
 void	uprintf_locked(const char *, ...)
